commit 640314e5322f93dd20c77db9e66e3e68c3c6577c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 22 13:14:18 2012 +0000

    Release Clutter 1.10.0 (stable)

 NEWS         | 45 +++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 47 insertions(+), 2 deletions(-)

commit 15e548ad4a41bdbcf107215c5335f45efe5b4392
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 22 13:20:55 2012 +0000

    build: Remove disabling Clutter's deprecation warnings while building it
    
    Now that we have deprecation warnings and not full on symbol removal
    from the headers, we can just skip Clutter's own, and use only GLib's.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ffa484e732bcee5c53df14fcad3ec238fa9f72bc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 21 14:01:31 2012 +0000

    osx: Fix compilation warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672536

 clutter/osx/clutter-stage-osx.c | 44 ++++++++++++++++++++++++++++++++++++-----
 1 file changed, 39 insertions(+), 5 deletions(-)

commit c0a02349800b2809832d593b897dbee00f33a3a0
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 21 10:42:32 2012 -0400

    table-layout: Remove dead code
    
    If a column/row is expanding, n_expand has to be greater than 1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672557

 clutter/clutter-table-layout.c | 16 ++++------------
 1 file changed, 4 insertions(+), 12 deletions(-)

commit 0e2399e79dfd2d7900fa90f1616646a08b07022c
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 21 10:36:42 2012 -0400

    table-layout: Fix x/y-expand for spanning actors
    
    Ported to ClutterTableLayout from MxTable:
    
    https://github.com/clutter-project/mx/commit/239e53146a678ae753b1fb9a862f4030c66a1d9b
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672557

 clutter/clutter-table-layout.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 890bf1438691273dee1f13c5cfe70bd9e43f5573
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 21 09:36:07 2012 -0400

    table-layout: Fix column visibility for spanning actors
    
    Ported to ClutterTableLayout from MxTable:
    
    https://github.com/clutter-project/mx/commit/6633f185fcfb7ce8a6ef85276d09e4ee92f584b8
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672557

 clutter/clutter-table-layout.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 6bb486798639c65daae5000a0b725729a56db30c
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 21 09:35:37 2012 -0400

    table-layout: Remove unused 'shrink' field.
    
    Ported to ClutterTableLayout from MxTable:
    
    https://github.com/clutter-project/mx/commit/053a1b04290e6ac307f90033babf761179d1db89
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672557

 clutter/clutter-table-layout.c | 1 -
 1 file changed, 1 deletion(-)

commit 6751056439e38fe4701a3fbd4940ed329e2b7f05
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Feb 16 14:06:25 2012 -0500

    actor: Freeze property change notifications on destroy

 clutter/clutter-actor.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a8b8bd89e56447e2609372a6b1112530a19d8ba2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 21 14:01:11 2012 +0000

    Fix fallback profile counter macro

 clutter/clutter-profile.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a7151519f369d3e1686d7fd3de0d231ecc93ae0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 21 13:30:28 2012 +0000

    docs: Clean up the animations sections of the Actor reference

 clutter/clutter-actor.c | 147 ++++++++++++++++++++++++++++--------------------
 1 file changed, 86 insertions(+), 61 deletions(-)

commit 7afc3b2fca6ffbfb160e1f32bbfcfe01a83c7867
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 21 12:57:26 2012 +0000

    interactive/scrolling: Use the implicit animation API

 tests/interactive/test-scrolling.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit ae3a4c3cfbad506c4a3df52a392a3c20a96a2da5
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Wed Mar 21 13:59:54 2012 +0100

    build: Remove superfluous ','

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8678cb74e8868d0d7ad8614a401227f113982801
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 16:18:20 2012 +0000

    conform: Set harsher environment for running tests
    
    Set the MALLOC_CHECK_ and MALLOC_PERTURB_ environment variables to catch
    allocation issues.

 tests/conform/run-tests.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 133e663878f958e5cafe8d09bb1ffef9956dcd31
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 16:11:52 2012 +0000

    paint-node: Initialize ClutterPaintOperation
    
    Don't leave it to the compiler.

 clutter/clutter-paint-node-private.h | 2 ++
 clutter/clutter-paint-node.c         | 8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit e9b05f48607b4a7095d7aeb96dc8f6b1c2b34c54
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Mar 20 14:06:10 2012 +0000

    clutter-wayland-compositor.h: Adds missing header guards
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-compositor.h | 5 +++++
 1 file changed, 5 insertions(+)

commit e00384826dc5358b17de784922f09f1129b385d9
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Mar 9 18:24:14 2012 +0000

    wayland: Fix some missing includes
    
    The commit 90e5088 added some extra compiler warning options that were
    triggering warnings when enabling the wayland build due to missing
    header includes. This adds those header includes in.
    
    Reviewed-by: Robert Bragg <robert@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-backend.c                      | 4 ++++
 clutter/evdev/clutter-device-manager-evdev.c   | 1 +
 clutter/wayland/clutter-event-wayland.c        | 1 +
 clutter/wayland/clutter-input-device-wayland.c | 1 +
 clutter/wayland/clutter-stage-wayland.c        | 1 +
 5 files changed, 8 insertions(+)

commit dea90d2fe394d724e569f1558322bc7a9b35061f
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Mar 20 13:50:42 2012 +0000

    include standalone cogl-wayland-server/client headers
    
    Because the wayland-server-protocol.h header includes symbols that
    collide with wayland-client-protocol.h Cogl now provides top level
    <cogl/cogl-wayland-server.h> and <cogl/cogl-wayland-client.h> headers so
    that applications can ensure they only include one of the wayland
    protocol headers in a particular compilation unit. This updates clutter
    accordingly to include those headers.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-backend.c                 | 2 ++
 clutter/wayland/clutter-backend-wayland.c | 1 +
 clutter/wayland/clutter-stage-wayland.c   | 2 ++
 clutter/wayland/clutter-wayland-surface.c | 3 +--
 4 files changed, 6 insertions(+), 2 deletions(-)

commit fabf2ddf0f390d5ac21090e37ed4c96a1ac9d468
Author: Rob Bradford <rob@linux.intel.com>
Date:   Tue Mar 20 13:31:28 2012 +0000

    wayland: Only try and resize the framebuffer if there is a valid framebuffer

 clutter/wayland/clutter-stage-wayland.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 2fc9934d2dd0bb1afc65dc951c3363f689d55cd1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 13:06:48 2012 +0000

    docs: Reorganize the API reference index

 doc/reference/clutter/clutter-docs.xml.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 31ec4faa8f61462cc0b9ab4be4df0d3f569bcca4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 12:06:21 2012 +0000

    docs: Fix typo

 clutter/clutter-transition.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf5ac39552e59a84d3891531c3abd8af027bef70
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 11:55:41 2012 +0000

    docs: Add a section on actor animations
    
    Detail the implicit and explicit animation models used by ClutterActor.

 clutter/clutter-actor.c | 72 ++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 71 insertions(+), 1 deletion(-)

commit 4f62137302483537a30725aba1ae9d3fb0e9d0f4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 11:47:41 2012 +0000

    property-transition: Remove animatable from the ctor
    
    Should not have been there in the first place: the animatable will be
    set either using ClutterTransition API, or when adding the transition
    to a ClutterActor.

 clutter/clutter-actor.c               | 5 +++--
 clutter/clutter-property-transition.c | 8 +++-----
 clutter/clutter-property-transition.h | 3 +--
 3 files changed, 7 insertions(+), 9 deletions(-)

commit 5694b8031e0cb257ba618d266255637468365352
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 11:22:07 2012 +0000

    Use g_clear_object() instead of unref() + NULL

 clutter/clutter-actor.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 48ca103de183fadb53017657cb1afd8f3295265a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 11:17:53 2012 +0000

    actor: Clarify and improve memory management of transitions
    
    When adding a transition to a ClutterActor, the actor should hold a
    reference on it, and release it only when we remove it. This makes
    transitions just like other objects held by ClutterActor.

 clutter/clutter-actor.c | 44 +++++++++++++++++++++++++++++++-------------
 1 file changed, 31 insertions(+), 13 deletions(-)

commit 9b1b554c1ab0dab0654bb3e661b632d4b740f568
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Mar 20 16:36:51 2012 +0800

    Update Visual C++ property sheets
    
    -"Install" the newly-introduced headers
    -Fix the situation when the Clutter sources are not unpacked in the root
     folder of a drive (ex: Clutter is unpacked in c:\blah or d:\blah, instead
     of c:\ or d:\)

 build/win32/vs10/clutter.props  | 28 +++++++++++++++++++++++++---
 build/win32/vs9/clutter.vsprops | 23 +++++++++++++++++++----
 2 files changed, 44 insertions(+), 7 deletions(-)

commit a1b8cc4b3b1f816d1f9d0c0b9af2b3f4a20e877a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Mar 20 16:16:57 2012 +0800

    Update test-interactive Visual C++ projects
    
    Link to GDK-Pixbuf as well.

 build/win32/vs10/test-interactive-clutter.vcxprojin | 8 ++++----
 build/win32/vs9/test-interactive-clutter.vcprojin   | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 073ec80c05c27a36d2412f9d6784c12c01417bc5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 18:10:26 2012 +0000

    cookbook/examples: Use real implicit animations
    
    Instead of clutter_actor_animate().

 doc/cookbook/examples/animations-moving-implicit.c | 42 +++++++++++-----------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 65cf2039d89f00811beacea4ce98b5003df49f94
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 18:05:29 2012 +0000

    timeline: Increment current-repeat after ::completed
    
    The ::completed signal emission is part of the current cycle; repeating,
    like the automatic reverse of the timeline's direction, happens after
    the ::completed chain of handlers has been called.

 clutter/clutter-timeline.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1dbb1db1837f18ad59a1c4f4830fcdfe0f434299
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Mar 19 23:45:28 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 607 ++++++++++++++++++++++++++++++++++++------------------------
 po/zh_TW.po | 607 ++++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 732 insertions(+), 482 deletions(-)

commit 03c504efc9f45917f84d11dbe7eb982380738487
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 15:23:08 2012 +0000

    Post-release version bump to 1.9.17

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa6ba2c706a5d53d8a994694d021edb0c07f03f2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 15:10:04 2012 +0000

    Release Clutter 1.9.16 (1.10 release candidate 1)

 NEWS         | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 65 insertions(+), 1 deletion(-)

commit 28266a59ed9082fbf5ce453a498b61e833644786
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 14:57:46 2012 +0000

    docs: Fixes for the API reference

 clutter/clutter-event.h                    | 9 ++++-----
 doc/reference/clutter/clutter-sections.txt | 5 +++++
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 767b14fb2d1cc639cd65604049cfe3fc0abb108f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 14:47:55 2012 +0000

    conform/anchors: Fix a dubious test
    
    Changing the scale gravity should not affect the scale factors as well;
    it was just a side-effect of the wrong implementation of the setter.

 tests/conform/actor-anchors.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5a77f814abfee368e4322d5dacbfce1869bc3149
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 14:40:46 2012 +0000

    x11/keymap: Silence deprecation warnings around a fallback
    
    We still use XKeycodeToKeysym() in a fallback path in case we're not
    running on a decent enough system; XKeycodeToKeysym() is deprecated as
    of version 1.12 of the X server, but since I don't want to copy a bunch
    of code from GDK or, god forbid, from Xlib, for a fallback path, it's
    probably more reasonable to just silence the compiler warnings - at
    least until we can drop all the X compatibility crap, and just use
    modern, or semi-modern, API.

 clutter/x11/clutter-keymap-x11.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit 09a317d23dc7d4785c31f8393b54392b5f473f60
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 14:28:34 2012 +0000

    x11: Add support for touch events
    
    For the time being, we just relay everything we get from the X server to
    the Clutter application.

 clutter/clutter-event-private.h          |   3 +
 clutter/clutter-event.c                  |  12 +++
 clutter/x11/clutter-backend-x11.c        |   5 +
 clutter/x11/clutter-backend-x11.h        |   1 +
 clutter/x11/clutter-device-manager-xi2.c | 177 ++++++++++++++++++++++++++++++-
 clutter/x11/clutter-input-device-xi2.c   |  10 ++
 6 files changed, 207 insertions(+), 1 deletion(-)

commit d15b828cc5749772a46bee07277aa1694c67a1fd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 13:47:19 2012 +0000

    event: Add ClutterTouchEvent
    
    The ClutterTouchEvent structure contains the data relative to a touch
    event.

 clutter/clutter-enums.h | 18 ++++++++-
 clutter/clutter-event.c | 97 +++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.h | 55 ++++++++++++++++++++++++++++
 clutter/clutter-main.c  |  9 +++++
 clutter/clutter.symbols |  1 +
 5 files changed, 179 insertions(+), 1 deletion(-)

commit ab3582be1cca307350389ca6bcb326b4fce35d73
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 12:19:26 2012 +0000

    gdk: Relay scroll delta from GDK

 clutter/gdk/clutter-event-gdk.c | 3 +++
 clutter/gdk/clutter-stage-gdk.h | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 1c500f7de9d02c826e333e7dfd90aa8bb677d484
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 14:27:54 2012 +0000

    x11: Reset scroll valuators
    
    We need to clear up the state on enter and leave, as well as when the X
    server tells us that the device has changed.

 clutter/x11/clutter-device-manager-xi2.c | 3 +++
 1 file changed, 3 insertions(+)

commit 676a31743993915437da419551d7c5193f0b9f43
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 12:16:53 2012 +0000

    x11: Add support for scroll valuators on XInput2.2

 clutter/clutter-device-manager-private.h |  23 +++++++
 clutter/clutter-input-device.c           |  96 ++++++++++++++++++++++++++
 clutter/x11/clutter-backend-x11.c        |   5 ++
 clutter/x11/clutter-device-manager-xi2.c | 111 ++++++++++++++++++++++++++++++-
 4 files changed, 233 insertions(+), 2 deletions(-)

commit 6b07f8a3df5647e752165af44bdea31619f7e8d1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 12:15:41 2012 +0000

    event: Expose precise scrolling information
    
    Some events may contain precise scrolling information coming from
    devices like trackpads and touchscreens. ClutterEvent should allow
    setting and getting this information.

 clutter/clutter-enums.h |  7 ++++-
 clutter/clutter-event.c | 71 +++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.h |  8 ++++++
 clutter/clutter.symbols |  2 ++
 4 files changed, 87 insertions(+), 1 deletion(-)

commit 4fcd32025580c35b2133369159f411ea508e3d3b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 19 12:13:01 2012 +0000

    Check for XInput 2.2 extension

 configure.ac | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit 28bfebc7ec27f01000c3ec1591d3117e8d7f0052
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Mar 19 01:15:12 2012 +0100

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1693 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 984 insertions(+), 709 deletions(-)

commit 36f8314e320fcb2c489d76c53855a3d582b2ac79
Author: Gil Forcada <gforcada@gnome.org>
Date:   Mon Mar 19 01:15:07 2012 +0100

    [l10n] Updated Catalan translation

 po/ca.po | 334 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 209 insertions(+), 125 deletions(-)

commit ff10941ac752b5c662fb7983c532fac2599c051e
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Mar 18 21:41:05 2012 +0100

    Updated French translation

 po/fr.po | 1861 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1069 insertions(+), 792 deletions(-)

commit b0a0e5e177c8e5b76d3eb9a305ac3fb58305bf27
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Mar 18 20:29:17 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 442 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 263 insertions(+), 179 deletions(-)

commit bf7f0a492eb1443e48fe6eb133ee92851e69de62
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Mar 18 11:04:34 2012 +0100

    Updated Swedish translation

 po/sv.po | 1926 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1125 insertions(+), 801 deletions(-)

commit 103438cfe2b51f479c6f6ccce4afc1ba1b0406f0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Mar 18 08:07:56 2012 +0000

    actor: Add ::transitions-completed signal
    
    While you can get a per-transition notification of completion, it can be
    convenient to also have a way to notify that all the transitions
    involving an actor are complete. A simple signal triggered by the
    removal of the last transition fits the bill pretty neatly.

 clutter/clutter-actor.c | 34 +++++++++++++++++++++++++++++++++-
 1 file changed, 33 insertions(+), 1 deletion(-)

commit a37ec4bd34f549ac7c3614616940f2aef2de1ff1
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Mar 18 03:07:31 2012 -0400

    script-parser: Fix build

 clutter/clutter-script-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4da8001cac3ba14286f99bc9e35e2ec24dee0421
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Mar 18 07:57:52 2012 +0100

    Updated Czech translation

 po/cs.po | 1181 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 643 insertions(+), 538 deletions(-)

commit 5b6d9e0f2b10ac1abad22415493333a5e223ea31
Author: Adam Matoušek <adydas95@gmail.com>
Date:   Sun Mar 18 07:38:15 2012 +0100

    Updated Czech translation

 po/cs.po | 1866 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1033 insertions(+), 833 deletions(-)

commit 4d42904fcc748df33adaa3b76f6d6fc664bf1842
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Mar 17 23:52:48 2012 +0000

    x11/stage: fix multi-stage support
    
    When handling Configure events from the X server we update the
    internal copy of the window size. Unfortunately we may be updating the
    wrong stage implementation because we use the one related to the event
    translator (which is the first created stage).
    
    This patch fix flickering/redrawning issues with multi-stage by
    looking for the right stage implementation associated with an XEvent.
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>

 clutter/x11/clutter-stage-x11.c | 37 +++++++++++++++++++++++++------------
 1 file changed, 25 insertions(+), 12 deletions(-)

commit efac119cabe99425aeeb05e970cf4c2b76a45cab
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Mar 18 00:19:04 2012 +0000

    Updated Portuguese translation

 po/pt.po | 1686 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 986 insertions(+), 700 deletions(-)

commit d5738b6bd4e40f36ca09cfd730968c8035d3ad62
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Mar 17 22:55:33 2012 +0000

    script: Add 'context' to the translatable definitions
    
    This should cover all the possible options.

 clutter/clutter-script-parser.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 837b6cf756f8683a8c69184d32d3ea10e41191b1
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Mar 17 20:45:56 2012 +0100

    Updated Serbian translation

 po/sr.po       | 463 ++++++++++++++++++++++++++++++++++-----------------------
 po/sr@latin.po | 463 ++++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 558 insertions(+), 368 deletions(-)

commit 05f78306d18a5107d194445882cae5afae3eab7f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Mar 17 16:49:35 2012 +0000

    actor: Avoid popping the easing state stack once too many
    
    If restore_easing_state() is called on the last easing state on the
    stack, clean up the stack, so that we don't leave stale pointers
    around to later segfault on.

 clutter/clutter-actor.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 229241b8757a0192f2c2ade3f0ce50f311aeea99
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Mar 17 16:46:38 2012 +0000

    actor: Remove the implicit easing state save
    
    When setting the easing mode, duration, or delay without having ever
    called clutter_actor_save_easing_state(). It's confusing, and not
    really nice.
    
    In the future, we'll have a default easing state implicitly created by
    the actor itself, but for the time being explicitly opting in is
    preferrable.

 clutter/clutter-actor.c | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit b3b1994c132743c7f68f5aec811170ecc51b6c6c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Mar 17 16:38:06 2012 +0000

    Use G_VALUE_INIT instead of { 0, }
    
    The macro avoids warnings from anal-retentive compilers.

 clutter/clutter-actor.c          |  2 +-
 clutter/clutter-alpha.c          |  4 ++--
 clutter/clutter-animation.c      | 12 ++++++------
 clutter/clutter-animator.c       |  6 +++---
 clutter/clutter-binding-pool.c   |  9 +++++++--
 clutter/clutter-container.c      |  4 ++--
 clutter/clutter-interval.c       |  6 +++---
 clutter/clutter-layout-manager.c |  4 ++--
 clutter/clutter-list-model.c     |  4 ++--
 clutter/clutter-model.c          |  4 ++--
 clutter/clutter-script-parser.c  |  6 +++---
 clutter/clutter-shader-effect.c  |  2 +-
 clutter/clutter-state.c          | 10 +++++-----
 13 files changed, 39 insertions(+), 34 deletions(-)

commit be5921e6fb8dc25db8c8da327c07c63d8ca3b2c3
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 17 18:30:43 2012 +0200

    Updated Lithuanian translation

 po/lt.po | 1096 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 607 insertions(+), 489 deletions(-)

commit 82bc7285847ef50aae3d4e48907309ec509105ad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Mar 17 16:29:09 2012 +0000

    Add initializer utilities for ClutterVertex
    
    Similar to what we did for ClutterActorBox.

 clutter/clutter-actor.c                    | 26 ++++++++++++++++++++++++--
 clutter/clutter-types.h                    | 20 ++++++++++++++++++++
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  2 ++
 4 files changed, 47 insertions(+), 2 deletions(-)

commit 63f3eaab62ddd42af5b0d3511d3930232c496485
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Mar 17 16:17:39 2012 +0000

    actor: Fix set_scale_with_gravity()
    
    Add a scale-gravity internal setter, and make set_scale_with_gravity()
    call it, along with the scale factor.

 clutter/clutter-actor.c | 67 ++++++++++++++++++++++---------------------------
 1 file changed, 30 insertions(+), 37 deletions(-)

commit 5e9d6f72577c788c24049d8057f856a0f669fa59
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Mar 17 15:27:26 2012 +0000

    Add some utility initializers to ClutterActorBox

 clutter/clutter-actor-box.c                | 58 +++++++++++++++++++++++++++---
 clutter/clutter-types.h                    | 28 +++++++++++++++
 clutter/clutter.symbols                    |  2 ++
 doc/reference/clutter/clutter-sections.txt |  3 ++
 4 files changed, 86 insertions(+), 5 deletions(-)

commit e1a31bb587b7e5b18d169c2db1c910cf323a9186
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Mar 17 15:04:38 2012 +0100

    Updated Galician translations

 po/gl.po | 296 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 174 insertions(+), 122 deletions(-)

commit b6f5609b2f3cc582e499e6d24ed05fe08807592d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 16 23:10:28 2012 +0000

    osx/stage: Synthesize an enter event on show
    
    If the pointer is inside the window frame when it's shown then we need
    to synthesize and emit a NSMouseEnterEvent ourselves, as Quartz won't
    do it for us.
    
    This is a bit of a blind commit - but it's taken from an equivalent
    patch that has been verified to work in GDK.

 clutter/osx/clutter-stage-osx.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit f7735ff1ad66444ede0fbc8e45447e7e0b4ce895
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 18:10:34 2012 +0000

    docs: Change the short description of ClutterActor
    
    The Actor class is not abstract any more.

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5e10b6a04486f6936265727b099390fd99f2f5a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 17:30:26 2012 +0000

    Annotate functionality added in 1.10

 clutter/clutter-canvas.h              |  3 +++
 clutter/clutter-content.h             |  3 +++
 clutter/clutter-image.h               |  6 ++++++
 clutter/clutter-paint-node.h          | 13 +++++++++++++
 clutter/clutter-paint-nodes.h         | 10 ++++++++++
 clutter/clutter-property-transition.h |  4 ++++
 clutter/clutter-transition.h          |  7 +++++++
 7 files changed, 46 insertions(+)

commit 1df14c1bac2c903466d975946a4c29a892ed28c1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 16:16:40 2012 +0000

    Debugging cleanups
    
    Add some more debugging notes to the layout and paint node output.

 clutter/clutter-actor.c              | 51 ++++++++++++++++++++----------------
 clutter/clutter-paint-node-private.h |  2 +-
 clutter/clutter-paint-nodes.c        | 38 +++++++++++++++++++++++++--
 3 files changed, 66 insertions(+), 25 deletions(-)

commit a7714e294ee26f52cabb96694ce871d2dffebe7e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 16:13:11 2012 +0000

    actor: Remove an has_allocation() check
    
    The get_content_box() method should always succeed; if the actor does
    not have an allocation, we are just going to return a 0-box.

 clutter/clutter-actor.c | 3 ---
 1 file changed, 3 deletions(-)

commit de32ba1ddfa73901fea0146ec462754a420659b0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 15:05:42 2012 +0000

    interactive/image-box: Clarify the label contents

 tests/interactive/test-image-box.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 800b5b6ef7f45c280347a521c16682b16f051657
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 14:26:28 2012 +0000

    actor: Restore a lost queue_relayout()
    
    It got lost during a rebase conflict resolution.

 clutter/clutter-actor.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 72b202c7ed268ae3f5fe9d8b1a0d3b7a9b646ad5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 16 15:25:30 2012 +0100

    Updated Polish translation

 po/pl.po | 296 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 174 insertions(+), 122 deletions(-)

commit 9ac9fa903a3ff41790ed5442cf5e475b25d68dd5
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Mar 16 14:18:12 2012 +0000

    Updated British English translation

 po/en_GB.po | 443 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 264 insertions(+), 179 deletions(-)

commit 045beaff5a8d31e2a4e42ace9ad811ec1558720f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 16 15:12:38 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b05717575cf17fec578ce0a4c26de788324ad08a
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Fri Mar 16 19:30:46 2012 +0530

    Assamese translation updated

 po/as.po | 322 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 189 insertions(+), 133 deletions(-)

commit cb69be6b97eaa62418d60540b4de532f544e631b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Mar 16 14:58:09 2012 +0100

    Updated Slovenian translation

 po/sl.po | 307 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 181 insertions(+), 126 deletions(-)

commit a7b076b7aaba761705ff861aaf70d26e0577efb5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Mar 16 14:13:57 2012 +0100

    Updated Spanish translation

 po/es.po | 310 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 183 insertions(+), 127 deletions(-)

commit a3007b9847e0ff527c1a11f111c6dfa491378858
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 12:21:19 2012 +0000

    build: Remove maintainer flags from cookbook/examples
    
    The code should be a tad more relaxed.

 doc/cookbook/examples/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cbed0484c01471e06a2302097e6f632d1e427c5b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 12:19:33 2012 +0000

    po: Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit ae554a5061b64ee7b4d157f91467c19ce74495fa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 12:05:11 2012 +0000

    Rename 'bilinear' scaling filter to 'trilinear'
    
    Yes, it's not really the proper GL name for a linear-on-every-axis of a
    texture plus linear-between-mipmap-levels minification filter, but it
    has three redeeming qualities as a name:
    
      - LINEAR_MIPMAP_LINEAR sucks, as it introduces GL concepts like
        mipmaps in the API naming, while we're trying to avoid that;
      - people using GL already know what 'trilinear' means in this context
        without going all Khronos on their asses;
      - we're using 2D textures anyway, so 'linear on two axes and linear
        between mipmap levels' can be effectively approximated to
        'trilinear'.
    
    I mean, if even the OpenGL official wiki says:
    
      Unfortunately, what most people think of as "trilinear" is not linear
      filtering of a 3D texture, but what in OpenGL terms is GL_LINEAR mag
      filter and GL_LINEAR_MIPMAP_LINEAR in the min filter in a 2D texture.
      That is, it is bilinear filtering of each appropriate mipmap level,
      and doing a third linear filter between the adjacent mipmap levels.
      Hence the term "trilinear".
                    -- http://www.opengl.org/wiki/Texture
    
    then the horse has already been flogged to death, and I don't intend to
    be accused of necrophilia and sadism by flogging it some more.
    
    Prior art: every single GL tutorial in the history of ever;
    CoreAnimation's scaling filter enumerations.
    
    If people want to start using 1D or 3D textures they they are probably
    going to be using Cogl API directly, and that has the GL naming scheme
    for minification and magnification filters anyway.

 clutter/clutter-actor.c            | 2 +-
 clutter/clutter-enums.h            | 7 ++++---
 clutter/clutter-paint-nodes.c      | 2 +-
 tests/interactive/test-canvas.c    | 2 +-
 tests/interactive/test-image-box.c | 2 +-
 5 files changed, 8 insertions(+), 7 deletions(-)

commit b44290c4369e86f8fff19bf4ccbb0cb7a5268cdc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 12:01:28 2012 +0000

    docs: Add ClutterActorClass.paint_node() description

 clutter/clutter-actor.h | 2 ++
 1 file changed, 2 insertions(+)

commit 8904f7cbe4525d0d458dbb9ad8c011113f13074a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 16 11:57:34 2012 +0000

    paint-nodes: Make part of the API internal
    
    At least for the time being, we only expose the parts of the API that we
    want to use internally and for new, out-of-tree Content implementations.
    
    The full PaintNode tree API will be made public in 1.12 once we branch
    master.

 clutter/clutter-paint-node-private.h       | 50 +++++++++++++++++++++++++++++-
 clutter/clutter-paint-node.c               | 11 ++++++-
 clutter/clutter-paint-node.h               | 15 ---------
 clutter/clutter-paint-nodes.c              | 36 +++++++++++----------
 clutter/clutter-paint-nodes.h              | 23 --------------
 clutter/clutter.symbols                    | 11 -------
 doc/reference/clutter/clutter-sections.txt | 18 -----------
 7 files changed, 78 insertions(+), 86 deletions(-)

commit 74f5bbe5aa7a6a577666a672fd2b67b046c284a0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 19:08:20 2012 +0000

    docs: Fixes for ClutterImage's API reference

 clutter/clutter-image.c                   | 2 ++
 doc/reference/clutter/clutter-docs.xml.in | 1 +
 2 files changed, 3 insertions(+)

commit d123e4b701a458b8674bd5f3dca20de8dc70f017
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 19:02:39 2012 +0000

    Update release notes

 README.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0a2ee1709b644cbead9a4540950e7a0d34ae1861
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 18:26:42 2012 +0000

    docs: Fixes for the API reference

 clutter/clutter-image.h                    | 16 ++++++++++++++++
 doc/reference/clutter/clutter-sections.txt | 16 +++++++---------
 2 files changed, 23 insertions(+), 9 deletions(-)

commit 90784a025af679a9c40c14ee90549dea4929497d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 13 17:19:15 2012 +0000

    interactive/image-box: Remove unneeded stuff

 tests/interactive/test-image-box.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 10e2f551f5d7a3f67b1481fefd673fef5da9a11e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 12 16:19:08 2012 +0000

    actor: Unconditionally emit ::paint
    
    It's a bit late in the game for changing the emission of the paint
    signal with actors that use paint nodes - mostly because we have both
    implicit paint nodes (background color, content) and explicit paint
    nodes (the paint_node virtual).
    
    When we branch for 1.12 we can revert this change.

 clutter/clutter-actor.c           | 14 +++++++++++---
 tests/conform/test-conform-main.c |  2 +-
 2 files changed, 12 insertions(+), 4 deletions(-)

commit d1fd53b29d7761e79b77c64c4b15dd339b1a3a84
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 12 16:07:55 2012 +0000

    po: Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 5432775eff1b8cacc895d8511b90c51cb441cddd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 12 15:52:55 2012 +0000

    paint-node: Make texture template pipeline clamp to edge
    
    It's safer, and consistent with the rest of Clutter, to make sure that
    the template pipeline we use for ClutterTextureNode has its wrap mode
    set to clamp-to-edge.

 clutter/clutter-paint-nodes.c | 2 ++
 1 file changed, 2 insertions(+)

commit 75e6560160034ac831965aa7870d710fc558641a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 12 15:46:34 2012 +0000

    image: Add set_area() method
    
    This method allows replacing an area inside the texture data used by a
    ClutterImage.

 clutter/clutter-image.c                    | 92 ++++++++++++++++++++++++++++++
 clutter/clutter-image.h                    | 22 ++++---
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 108 insertions(+), 8 deletions(-)

commit 2be850f441f0c2da4df3b843b432472a8565d3ec
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 12 15:25:38 2012 +0000

    image: Add get_texture()
    
    Allow retrieving the Cogl texture used by the ClutterImage.

 clutter/clutter-image.c                    | 25 +++++++++++++++++++++++++
 clutter/clutter-image.h                    |  4 ++++
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 31 insertions(+)

commit 9845ce9d89655882a19b3079d76397fbcd35e677
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 9 16:26:44 2012 +0000

    actor: Fix RESIZE_ASPECT mode for the content box

 clutter/clutter-actor.c            | 58 ++++++++++++++++++++++++++++----------
 tests/interactive/test-image-box.c | 20 +++++++++----
 2 files changed, 58 insertions(+), 20 deletions(-)

commit b6403b01a14677d0ec88928f292aa1aa08b39283
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 9 17:11:19 2012 +0000

    Documentation fixes

 clutter/clutter-actor.c                    | 19 +++++++++-----
 clutter/clutter-enums.h                    | 12 +++++++++
 clutter/clutter-image.c                    | 40 ++++++++++++++++++++++++++++--
 doc/reference/clutter/clutter-sections.txt | 20 +++++++++++++++
 4 files changed, 83 insertions(+), 8 deletions(-)

commit 1b4bfb04e5dc5f0a173b18d7c54b4d111f298604
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 9 16:26:34 2012 +0000

    interactive/image-box: Add a pure Image test, suitable for docs

 tests/interactive/Makefile.am      |   4 +-
 tests/interactive/test-image-box.c | 100 +++++++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+), 1 deletion(-)

commit 6c181b96e9f0699aea33fc27aa0e31819be7d326
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 9 14:58:17 2012 +0000

    interactive/image: Test ClutterImage
    
    Load up the image content using a GdkPixbuf; this means that the test is
    not compiled when --disable-gdk-pixbuf is passed.

 tests/interactive/Makefile.am  |   8 +-
 tests/interactive/test-image.c | 252 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 258 insertions(+), 2 deletions(-)

commit 6cb94b2de2b6fb575770123b276dfed556296a45
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 9 14:56:58 2012 +0000

    build: Check for gdk-pixbuf
    
    Some tests may need to load image data without going through
    ClutterTexture or Cogl, so let's add a configure switch and a
    conditional for gdk-pibxuf.

 configure.ac | 29 ++++++++++++++++++++++++++++-
 1 file changed, 28 insertions(+), 1 deletion(-)

commit f90330867e2677394283bc6c6a3a30b9252b5f13
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 17:37:00 2012 +0000

    Update clutter.symbols

 clutter/clutter.symbols | 51 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

commit 23fad8589ca67696ef5328ff1c7c5a3cb28bc296
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 17:19:58 2012 +0000

    interactive/canvas: Set the scaling filters

 tests/interactive/test-canvas.c | 3 +++
 1 file changed, 3 insertions(+)

commit fb106ece058ee43673f425b997e34886540ac751
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 17:19:12 2012 +0000

    Use the content scaling filters
    
    Both ClutterCanvas and ClutterImage should use the minification and
    magnification filters set on the actor, just like the use the content
    box and the paint opacity.

 clutter/clutter-canvas.c      |  4 ++-
 clutter/clutter-image.c       |  4 ++-
 clutter/clutter-paint-nodes.c | 58 +++++++++++++++++++++++++++++--------------
 clutter/clutter-paint-nodes.h |  4 ++-
 4 files changed, 49 insertions(+), 21 deletions(-)

commit 77729c73624537021da731250a82937a8216a995
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 17:18:17 2012 +0000

    actor: Add minification/magnification filters
    
    These settings are informative, and will only be used by the eventual
    content of an actor.

 clutter/clutter-actor.c | 120 +++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-actor.h |   8 ++++
 clutter/clutter-enums.h |   6 +++
 3 files changed, 133 insertions(+), 1 deletion(-)

commit cadae5b3257b5f3c1455554036bd85e04e5dc399
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 16:38:45 2012 +0000

    Add ClutterImage, and image data content

 clutter/Makefile.am     |   2 +
 clutter/clutter-image.c | 190 ++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-image.h | 101 +++++++++++++++++++++++++
 clutter/clutter.h       |   1 +
 4 files changed, 294 insertions(+)

commit f2b9c17a78d539dafbab2ad4922b22bb1978fd30
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 16:38:30 2012 +0000

    canvas: Fix single header inclusion guard

 clutter/clutter-canvas.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 0eeb61f3a890dbed51fa8d82c016572f5d3442b7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 15:47:16 2012 +0000

    canvas: Add canvas size to the ::draw signal
    
    Instead of requiring a call to clutter_content_get_preferred_size(), we
    can simply pass the canvas size to the Canvas::draw signal.

 clutter/clutter-canvas.c        | 24 +++++++++++++++---------
 clutter/clutter-canvas.h        |  4 +++-
 clutter/clutter-content.c       |  4 ++--
 clutter/clutter-marshal.list    |  1 +
 tests/interactive/test-canvas.c | 11 ++++++-----
 5 files changed, 27 insertions(+), 17 deletions(-)

commit 07bb35bbe38392e46f92ad17049893ef752f5c55
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 10:31:21 2012 +0000

    Add ClutterCanvas, a drawing content

 clutter/Makefile.am                        |   2 +
 clutter/clutter-cairo-texture.h            |  20 --
 clutter/clutter-canvas.c                   | 507 +++++++++++++++++++++++++++++
 clutter/clutter-canvas.h                   |  91 ++++++
 clutter/clutter-macros.h                   |  20 ++
 clutter/clutter.h                          |   1 +
 clutter/clutter.symbols                    |   3 +
 doc/reference/clutter/clutter-docs.xml.in  |   6 +
 doc/reference/clutter/clutter-sections.txt |  17 +
 doc/reference/clutter/clutter.types        |   1 +
 tests/interactive/Makefile.am              |   3 +-
 tests/interactive/test-canvas.c            | 135 ++++++++
 12 files changed, 785 insertions(+), 21 deletions(-)

commit e2f1153c462d955dbbab8bc981dc2fc77cae1cde
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 14:06:20 2012 +0000

    paint-node: Remove redundant declarations

 clutter/clutter-paint-node.c  | 2 ++
 clutter/clutter-paint-nodes.c | 6 ------
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 546a14ec3b7e17d51537ac19d83c1d7a86366fa5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 14:05:48 2012 +0000

    content: Make get_preferred_size() public

 clutter/clutter-actor.c           |  9 ++++++---
 clutter/clutter-content-private.h |  4 ----
 clutter/clutter-content.c         | 14 +++++++++-----
 clutter/clutter-content.h         |  3 +++
 4 files changed, 18 insertions(+), 12 deletions(-)

commit 74765404dd93feeb3d0fde70a102f9fc843f293e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 19:02:16 2012 +0000

    conform: Skip actor-offscreen-redirect
    
    Until we figure out a way to make it succeed even without the paint
    signal emission.

 tests/conform/test-conform-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 485b720a543002c2d1344452fb6d2de6ec418303
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 19:01:30 2012 +0000

    conform/text-cache: Use the stage paint signal
    
    The stage's paint signal is guaranteed to be emitted; ClutterText's
    paint signal is not.

 tests/conform/text-cache.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e54ee64380fa186b59538327c49dbcf6f7efd7a8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 18:32:16 2012 +0000

    actor: Make paint_node() and ::paint mutually exclusive
    
    The ::paint signal is the old way to paint an actor; the paint_node()
    virtual function is the new way. It's still not possible to traverse the
    whole scene graph and build a render tree of PaintNode instances, but
    with this change we simultaneously cut out the ::paint signal emission
    from the critical path for actors that are using the new PaintNode-based
    API, and we retain backward compatibility in the interim period between
    1.10 and 2.0.

 clutter/clutter-actor.c | 96 ++++++++++++++++++++++++++++---------------------
 1 file changed, 56 insertions(+), 40 deletions(-)

commit a58be8aad15b0248578de11405832b23332a7d99
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 18:32:02 2012 +0000

    paint-nodes: Fix compiler warning

 clutter/clutter-paint-nodes.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff7eb6c0a9b1920678bac45de039331c71f553c1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 20 10:09:58 2012 +0000

    interactive/content: Define the size of the text geometry
    
    So that Clutter can decide whether or not to clip the text properly.

 tests/interactive/test-content.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 51cca132e0d91a5cc9db8407d8eee42992acd1e6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 20 10:09:05 2012 +0000

    paint-nodes: Use logical extents for the TextNode::draw
    
    When we decide if we ought to clip, we should use the logical extents of
    the PangoLayout, just like we do for ClutterText.

 clutter/clutter-paint-nodes.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fa77274e808e84f83f856e0d0a5ab997eb091d25
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 4 12:58:40 2012 +0000

    content: Turn attached and detached into signals
    
    The attached and detached virtual functions are now informative, and not
    normative - which means it's a good idea to provide them as signals.

 clutter/clutter-content.c | 54 +++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 52 insertions(+), 2 deletions(-)

commit 2f0d29ad75f7d616e4d368d6da758d4b6b72c376
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 4 12:49:49 2012 +0000

    content: Make vfuncs optional
    
    The virtual functions on the ClutterContent interface should provide
    hooks for application code, not be the actual implementation.

 clutter/clutter-content.c | 83 ++++++++++++++++++++++++-----------------------
 clutter/clutter-content.h | 11 +++----
 2 files changed, 47 insertions(+), 47 deletions(-)

commit f4d8fb054a911aaa69aef9fa40ff4fec4e385b4c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 3 13:51:29 2012 +0000

    paint-node: Use JSON-GLib for debug serialization
    
    Instead of our homegrown string building; this at least ensures that
    we're generating proper data, instead of random strings. Plus, using
    JsonNode and JsonBuilder, we can ask the PaintNode subclasses to
    serialize themselves in a sensible way.

 clutter/clutter-paint-node-private.h |   3 +
 clutter/clutter-paint-node.c         | 201 ++++++++++++++++-------------------
 clutter/clutter-paint-nodes.c        |  83 +++++++++++++++
 3 files changed, 175 insertions(+), 112 deletions(-)

commit 2ee58519709eff8fd24b4a378f143f8377b8143b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 2 14:51:17 2012 +0000

    docs: Update the API reference
    
    Add all the new symbols.

 clutter/clutter-content.c                  |   2 +-
 doc/reference/clutter/Makefile.am          |   1 +
 doc/reference/clutter/clutter-docs.xml.in  |  10 ++
 doc/reference/clutter/clutter-sections.txt | 266 +++++++++++++++++++++--------
 doc/reference/clutter/clutter.types        |   2 +
 5 files changed, 205 insertions(+), 76 deletions(-)

commit 6cddd697475cfd0610622b21a970f7c755968b0f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 1 19:26:15 2012 +0000

    docs: Update documentation on the paint sequence

 clutter/clutter-actor.c | 77 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

commit be4746b15f339c7959ff5a3df94b8f289c274ab3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 1 18:33:55 2012 +0000

    Add ClutterContent
    
    ClutterContent is an interface for creating delegate objects that handle
    what an actor is going to paint.
    
    Since they are a newly added type, they only hook into the new PaintNode
    based API.
    
    The position and size of the content is controlled in part by the
    content's own preferred size, and by the ClutterContentGravity
    enumeration.

 clutter/Makefile.am               |   3 +
 clutter/clutter-actor.c           | 417 +++++++++++++++++++++++++++++++++++++-
 clutter/clutter-actor.h           |  15 ++
 clutter/clutter-content-private.h |  47 +++++
 clutter/clutter-content.c         | 248 +++++++++++++++++++++++
 clutter/clutter-content.h         | 100 +++++++++
 clutter/clutter-enums.h           |  36 ++++
 clutter/clutter-types.h           |   1 +
 clutter/clutter.h                 |   1 +
 tests/interactive/Makefile.am     |   3 +-
 tests/interactive/test-content.c  | 223 ++++++++++++++++++++
 11 files changed, 1091 insertions(+), 3 deletions(-)

commit 6f0782e0a41deb34e8eeedd492d33f1efa8b3a90
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 1 17:47:15 2012 +0000

    actor: Add paint_node virtual function
    
    The ::paint-node virtual inside ClutterActor is what we want people to
    use when painting their actors.
    
    Right now, it's a new code path, that gets called while painting; the
    paint_node() implementation should only paint the actor itself, and not
    its children — they will get their own paint_node() called when needed.
    
    Internally, ClutterActor will automatically create a dummy PaintNode and
    paint the background color; then control will be handed out to the
    implementation on the class. This is required to maintain compatibility
    with the old ::paint signal emission.
    
    Once we are able to get rid of the paint (and pick) sequences, we'll
    switch to a fully retained render tree.

 clutter/clutter-actor.c | 69 ++++++++++++++++++++++++++++++++++++++-----------
 clutter/clutter-actor.h |  7 +++--
 2 files changed, 59 insertions(+), 17 deletions(-)

commit b83dc6abfaed4ac16af2cad412d6382f5b0aa427
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 1 15:51:27 2012 +0000

    Add PaintNode, an element on the render object tree
    
    Now that we have a proper scene graph API, we should split out the
    rendering part from the logical and event handling part.
    
    ClutterPaintNode is a lightweight fundamental type that encodes only the
    paint operations: pipeline state and geometry. At its most simple, is a
    way to structure setting up the programmable pipeline using a
    CoglPipeline, and submitting Cogl primitives. The important take away
    from this API is that you are not allowed to call Cogl API like
    cogl_set_source() or cogl_primitive_draw() directly.
    
    The interesting approach to this is that, in the future, we should be
    able to move to a purely retained mode: we will decide which actors need
    to be painted, they will update their own branch of the render graph,
    and we'll take the render graph and build all the rendering commands
    from that.
    
    For the 1.x API, we will have to maintain invariants and the existing
    behaviour, but as soon as we can break API, the old paint signal will
    just go away, and Actors will only be allowed to manipulate the render
    tree.

 clutter/Makefile.am                  |    5 +
 clutter/clutter-paint-node-private.h |  115 ++++
 clutter/clutter-paint-node.c         | 1137 ++++++++++++++++++++++++++++++++++
 clutter/clutter-paint-node.h         |   95 +++
 clutter/clutter-paint-nodes.c        | 1124 +++++++++++++++++++++++++++++++++
 clutter/clutter-paint-nodes.h        |  161 +++++
 clutter/clutter-types.h              |    1 +
 clutter/clutter.h                    |    2 +
 8 files changed, 2640 insertions(+)

commit 696017edf25bb2ae4c92cacb699e0c784cfc115d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Mar 16 13:04:34 2012 +0100

    Updated Spanish translation

 po/es.po | 394 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 214 insertions(+), 180 deletions(-)

commit 0316dfc21303037843d9c1b9d0408dc06edb36b8
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Fri Mar 16 12:54:23 2012 +0530

    Assamese translation updated

 po/as.po | 396 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 215 insertions(+), 181 deletions(-)

commit 024ebfc0cfd3eabe7c1d2793600e79f355877f15
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Mar 16 01:56:03 2012 +0100

    Updated Galician translations

 po/gl.po | 388 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 210 insertions(+), 178 deletions(-)

commit 291ec65a535fb4b4f883347e0fe4b5f325611185
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Mar 15 21:57:19 2012 +0100

    Updated Slovenian translation

 po/sl.po | 390 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 210 insertions(+), 180 deletions(-)

commit d56feaa523b1d5c03842bf437c0a39c11dba6a7c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 15 20:53:33 2012 +0100

    Updated Polish translation

 po/pl.po | 280 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 156 insertions(+), 124 deletions(-)

commit bbb6f09bcf5e4dd4377b3f9e5f24fc4fa5ec9551
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 15 20:47:06 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in | 2 ++
 1 file changed, 2 insertions(+)

commit cbcc84022e3174e8cb3f0d08f93900666be8116d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 17:51:22 2012 +0000

    animator: Fix NULL check

 clutter/clutter-animator.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa9be0ba738d16a0b2330ad329c2484c357be70b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 17:42:42 2012 +0000

    interactive/texture-async: Use implicit animations

 tests/interactive/test-texture-async.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 7f1f9a50c1a631894f4292773ef135421fc7a65b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 17:41:28 2012 +0000

    actor: Remove G_SIGNAL_NO_RECURSE
    
    As it turns out, we do end up recursing inside the ::paint signal
    emission - especially inside the conformance test suite.
    
    This thoroughly sucks - and we'll only be able to fix it properly
    when we bump API for 2.0.

 clutter/clutter-actor.c | 3 ---
 1 file changed, 3 deletions(-)

commit 6a8d67a8ad292d68f9cf59467cf92bf4e7b49abe
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 17:32:53 2012 +0000

    I should compile the changes I make

 clutter/clutter-actor.c | 1 +
 1 file changed, 1 insertion(+)

commit 5e652b91d65f2daa3c9bb88ec4d2fdfe9e71ac4f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 17:31:36 2012 +0000

    actor: Fix get_transition() method
    
    We now store a closure, not directly a ClutterTransition instance.

 clutter/clutter-actor.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 9e1ec8283894e4f4b354381cd989ab4c0df56af6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 16:57:18 2012 +0000

    doc: Reference fixes

 clutter/clutter-actor.c                    | 2 +-
 doc/reference/clutter/clutter-sections.txt | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 0cf9ad82c4c8b9d4c1b6b1d6f9206303a43b3534
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 16:53:19 2012 +0000

    symbols: Update

 clutter/clutter.symbols | 1 +
 1 file changed, 1 insertion(+)

commit 4bd3583dbf59d1882d2b7704d6a1416176df80d6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 16:40:41 2012 +0000

    actor: Add generic transition support
    
    ClutterActor should be able to hold all transitions, even the ones that
    have been explicitly created.
    
    This will allow to add new transitions types in the future, like the
    keyframe-based one, or the transition group.

 clutter/clutter-actor.c                    | 187 ++++++++++++++++++++++++-----
 clutter/clutter-actor.h                    |  18 +++
 clutter/clutter.symbols                    |   3 +
 doc/reference/clutter/clutter-sections.txt |   3 +
 4 files changed, 179 insertions(+), 32 deletions(-)

commit 3638c1efed449a07fb7e6d052ce4110db4b4feeb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 13:53:56 2012 +0000

    transition: Clear the animatable member when removing on complete

 clutter/clutter-transition.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 514466601e93421fad985975c7a1938452a60188
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 13:52:09 2012 +0000

    transition: Check the repeat count to remove on complete
    
    We can now ask the timeline for the current repeat, and if it's the last
    one, then we can safely detach the transition from the animatable
    instance.

 clutter/clutter-transition.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 388f818f419b9aa745ca1d6ad6bd300c4b859df7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 13:50:28 2012 +0000

    timeline: Add more state accessors
    
    It should be possible to ask a timeline what is its duration, taking
    into account eventual repeats, and which repeat is the one currently
    in progress.
    
    These two functions allow writing animations that depend on the current
    state of another timeline.

 clutter/clutter-timeline.c                 | 54 ++++++++++++++++++++++++++++++
 clutter/clutter-timeline.h                 |  5 +++
 clutter/clutter.symbols                    |  2 ++
 doc/reference/clutter/clutter-sections.txt |  2 ++
 4 files changed, 63 insertions(+)

commit 1511e588df3366034de9115741e23b5d43923ab2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 12:24:02 2012 +0000

    actor: Add delay to the easing state
    
    It should be possible to set up the delay of a transition, but since
    we start the Transition instance before returning control to the caller,
    we cannot use clutter_actor_get_transition() to do it without something
    extra-awkward, like:
    
      transition = clutter_actor_get_transition (actor, "width");
      clutter_timeline_stop (transition);
      clutter_timeline_set_delay (transition, 1000);
      clutter_timeline_start (transition);
    
    for each property involved. It's much easier to add a delay to the
    easing state of an actor.

 clutter/clutter-actor-private.h            |  1 +
 clutter/clutter-actor.c                    | 60 ++++++++++++++++++++++++++++++
 clutter/clutter-actor.h                    |  3 ++
 clutter/clutter.symbols                    |  2 +
 doc/reference/clutter/clutter-sections.txt | 11 ++++++
 5 files changed, 77 insertions(+)

commit 303ebaea88778d8b184b2a63572d4a0eb323318a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:25:52 2012 +0000

    interactive/bin-layout: Use implicit animations

 tests/interactive/test-bin-layout.c | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit 389ee457472ed9e32bb78fed3ae9b2b5c2dc4585
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:25:26 2012 +0000

    interactive/actor: Do not use clutter_actor_animate()
    
    Use implicit animations instead.

 tests/interactive/test-actor.c | 59 +++++++++++++++++++++++-------------------
 1 file changed, 33 insertions(+), 26 deletions(-)

commit cb8dea0379d3d2fc8a7df0962eaadff8b245d5ad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:24:46 2012 +0000

    interactive/transitions: An easing demo without animate()
    
    Use the newly added implicit animations support in ClutterActor.

 tests/interactive/Makefile.am        |   3 +-
 tests/interactive/test-transitions.c | 225 +++++++++++++++++++++++++++++++++++
 2 files changed, 227 insertions(+), 1 deletion(-)

commit 043cf6b284d970fdf1555d95056d08b7e8a2900e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:24:27 2012 +0000

    docs: Update the API reference

 doc/reference/clutter/clutter-docs.xml.in  |  2 ++
 doc/reference/clutter/clutter-sections.txt | 41 ++++++++++++++++++++++++++++++
 doc/reference/clutter/clutter.types        |  2 ++
 3 files changed, 45 insertions(+)

commit dda4db378c39dd50e41afd16c1a6697150b85395
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:24:07 2012 +0000

    symbols: Update

 clutter/clutter.symbols | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 67113ed690bed69fe182f675d0951bf21047e026
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:09:11 2012 +0000

    actor: Implement implicit animatable properties
    
    Clutter is meant to be, and I quote from the README, a toolkit:
    
      for creating fast, compelling, portable, and dynamic graphical
      user interfaces
    
    and yet the default mode of operation for setting an actor's state on
    the scene graph (position, size, opacity, rotation, scaling, depth,
    etc.) is *not* dynamic. We assume a static UI, and then animate it.
    
    This is the wrong way to design an API for a toolkit meant to be used to
    create animated user interfaces. The default mode of operation should be
    to implicitly animate every state transition, and only allow skipping
    the animation if the user consciously decides to do so — i.e. the design
    tenet of the API should be to make The Right Thing™ by default, and make
    it really hard (or even impossible) to do The Wrong Thing™.
    
    So we should identify "animatable" properties, i.e. those properties
    that should be implicitly animated by ClutterActor, and use the
    animation framework we provide to tween the transitions between the
    current state and the desired state; the implicit animation should
    happen when setting these properties using the public accessors, and not
    through some added functionality. For instance, the following:
    
      clutter_actor_set_position (actor, newX, newY);
    
    should not make the actor jump to the (newX, newY) point; it should
    tween the actor's position between the current point and the desired
    point.
    
    Since we have to maintain backward compatibility with existing
    applications, we still need to mark the transitions explicitly, but we
    can be smart about it, and treat transition states as a stack that can
    be pushed and popped, e.g.:
    
      clutter_actor_save_easing_state (actor);
    
        clutter_actor_set_easing_duration (actor, 500);
        clutter_actor_set_position (actor, newX, newY);
        clutter_actor_set_opacity (actor, newOpacity);
    
      clutter_actor_restore_easing_state (actor);
    
    And we can even start stacking animations, e.g.:
    
      clutter_actor_save_easing_state (actor);
    
        clutter_actor_set_easing_duration (actor, 500);
        clutter_actor_set_position (actor, newX, newY);
    
        clutter_actor_save_easing_state (actor);
    
          clutter_actor_set_easing_duration (actor, 500);
          clutter_actor_set_easing_mode (actor, CLUTTER_LINEAR);
          clutter_actor_set_opacity (actor, newOpacity);
          clutter_actor_set_depth (actor, newDepth);
    
        clutter_actor_restore_easing_state (actor);
    
      clutter_actor_restore_easing_state (actor);
    
    And so on, and so forth.
    
    The implementation takes advantage of the newly added Transition API,
    which uses only ClutterTimeline sub-classes and ClutterInterval, to cut
    down the amount of signal emissions and memory management of object
    instances; as well of using the ClutterAnimatable interface for custom
    properties and interpolation of values.

 clutter/clutter-actor-private.h |   29 +
 clutter/clutter-actor.c         | 1242 +++++++++++++++++++++++++++++++++++----
 clutter/clutter-actor.h         |   12 +
 clutter/clutter-private.h       |    2 +
 4 files changed, 1167 insertions(+), 118 deletions(-)

commit 40bcbf9c0d5db711b2bce47459cca40e2cf27266
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:06:00 2012 +0000

    Add ClutterPropertyTransition
    
    ClutterPropertyTransition is a ClutterTransition that animates a
    property of a ClutterAnimatable implementation.

 clutter/Makefile.am                   |   2 +
 clutter/clutter-property-transition.c | 291 ++++++++++++++++++++++++++++++++++
 clutter/clutter-property-transition.h |  88 ++++++++++
 clutter/clutter.h                     |   1 +
 4 files changed, 382 insertions(+)

commit 0c8443f71a49b72fcea68e14cb30f6d381fdbc78
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:04:31 2012 +0000

    Add ClutterTransition
    
    ClutterTransition is a Timeline sub-class that allows interpolation of a
    value between the initial and final states held by a ClutterInterval.

 clutter/Makefile.am          |   4 +-
 clutter/clutter-transition.c | 451 +++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-transition.h | 110 +++++++++++
 clutter/clutter.h            |   1 +
 4 files changed, 565 insertions(+), 1 deletion(-)

commit e546d28771e4c001f9451efa04dae2226237c032
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:08:38 2012 +0000

    types: Declare new Transition classes

 clutter/clutter-types.h | 2 ++
 1 file changed, 2 insertions(+)

commit beb91d76763b3b3aede1be1da8bc3c1f8184ed8a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 11:02:30 2012 +0000

    interval: Add variadic arguments for initial/final setters
    
    As a convenience for the C API.
    
    Language bindings should already be using the GValue variants.
    
    This commit also moves the custom progress functions out of the
    clutter-interval.c, as they are meant to be generic interpolation
    functions and not ClutterInterval-specific.

 clutter/clutter-interval.c | 277 ++++++++++++++++++++++-----------------------
 clutter/clutter-interval.h |  33 +-----
 clutter/clutter-private.h  |   7 ++
 clutter/clutter-types.h    |  28 +++++
 clutter/clutter-util.c     | 148 ++++++++++++++++++++++++
 5 files changed, 322 insertions(+), 171 deletions(-)

commit 06314e9ed8d85fc8fcebc418278b60f7a18c133c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 15 17:00:38 2012 +0000

    docs: Update reference symbols

 doc/reference/clutter/clutter-sections.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit 8e48afd06644b9e258ea12ef76569d545686adfe
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 15 16:55:55 2012 +0800

    Fix "install" paths in VS 2010 property sheets

 build/win32/vs10/clutter.props | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 708d385866645a9c7d6b90d477aff7b693879bb2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 14 11:33:55 2012 +0000

    actor: Annotate signals to enable some optimization
    
    The ::paint, ::queue-redraw, and ::queue-relayout signals should be
    marked as no-recurse and no-hooks; these signals are emitted *a lot*
    during each frame, and since GLib has a bunch of optimizations for
    signals with no closures, we should try and squeeze every single CPU
    cycle we can.

 clutter/clutter-actor.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 5d26aeca34c83589cac6be0d7754316e16d045fd
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:   Tue Mar 13 18:22:19 2012 +0100

    Install clutter-version.h

 clutter/Makefile.am | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c4de95f27557f729a09e2ed9a86022d0b98229f2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Mar 5 10:32:44 2012 +0800

    Dist clutter-version.h
    
    Dist clutter-version.h for use under non-autotools-based build
    environments (e.g. MSVC) as this header is now generic under the
    systems Clutter supports
    
    Checked with Emmanuele Bassi on IRC.

 clutter/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 53e16b6019e49dd0c24d5f05187648ef2abfa6b7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 8 17:11:35 2012 +0800

    clutter-master-clock.c: Set frame_budget conditionally
    
    The frame_budget member of ClutterMasterClock is only enabled when
    CLUTTER_ENABLE_DEBUG is enabled, so fix the build with this.
    
    Checked with Emmanuele Bassi on IRC.

 clutter/clutter-master-clock.c | 2 ++
 1 file changed, 2 insertions(+)

commit eaecd1efef6abbf6d344a56f1e02fda95c8ffd5a
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Tue Mar 13 09:08:31 2012 +0100

    Updated Danish translation

 po/da.po | 886 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 460 insertions(+), 426 deletions(-)

commit 80b4e7513273b38efbda187954a1773676c59490
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Mar 9 10:29:33 2012 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 758 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 393 insertions(+), 365 deletions(-)

commit 945caff989ab30598ebd74c0d19c9bbdcf6a71c1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 12 14:23:35 2012 +0000

    Bump up the GDK dependency
    
    Commit ac6ce79aa389982c3e7113f6192f492a6e21b4b1 introduced a dependency
    on the latest GDK symbols, so we need to bump up the required version of
    GDK.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac6ce79aa389982c3e7113f6192f492a6e21b4b1
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:   Sat Mar 10 16:39:16 2012 +0100

    gdk: add new device types (GDK_SOURCE_TOUCHSCREEN, GDK_SOURCE_TOUCHPAD)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671779

 clutter/gdk/clutter-input-device-gdk.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 440c47e9410532df8ba70cc84ab65dffee4c02d5
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Mon Mar 12 17:44:54 2012 +0530

    Updated Odia Translation

 po/or.po | 1774 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1011 insertions(+), 763 deletions(-)

commit a3be0e091986b8b027dea25970f5dfff1fa4c0df
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Mar 12 11:29:54 2012 +0200

    Add partial Finnish translation

 po/fi.po | 2323 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2323 insertions(+)

commit 66d1e311d698072b6d3af8c64325951c59071262
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Mar 11 23:36:53 2012 +0400

    Updated Russian translation

 po/ru.po | 1915 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1074 insertions(+), 841 deletions(-)

commit 9707822eba76583abe35a71d3ffe3ddc4d92ba50
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Mar 10 23:07:27 2012 +0100

    Updated Serbian translation

 po/sr.po       | 783 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 783 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 810 insertions(+), 756 deletions(-)

commit 1ee842116ab44f488b9003ee5ca89631f14bd547
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sat Mar 10 13:53:53 2012 +0100

    Add initial Khmer translation

 po/km.po | 2276 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2276 insertions(+)

commit 8216d961e710c3d32bd72ec8a4914116c0c15e85
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Mar 10 13:44:09 2012 +0100

    Updated Catalan translation

 po/ca.po | 1614 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 912 insertions(+), 702 deletions(-)

commit 639a82ed01796f181c7a22e197d4087a5dbd73a0
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Mar 9 21:55:55 2012 +0300

    Updated Belarusian translation.

 po/be.po | 30 +++++++++++++++++++++++-------
 1 file changed, 23 insertions(+), 7 deletions(-)

commit ffc8fd2455301e0c5423a25fdcf235896d985825
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 9 19:09:40 2012 +0100

    Updated Polish translation

 po/pl.po | 1717 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 967 insertions(+), 750 deletions(-)

commit 52b1d7186c4004d52ff652ddb5ed7443b343be7a
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Mar 9 16:17:52 2012 +0100

    Add skeleton translations for RTL locales
    
    RTL locales need to translate the "default:LTR" string to have
    clutter_actor_get_text_direction() return the expected result;
    as GNOME Shell now makes use of that API, users of RTL locales
    would be up for an unpleasant surprise, so add all locales that
    translate "default:LTR" to "default:RTL" in GTK+.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671736

 po/ar.po    | 2359 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/az_IR.po | 2358 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fa.po    | 2358 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ps.po    | 2357 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ur.po    | 2357 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/yi.po    | 2357 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 14146 insertions(+)

commit 52f142c14c89357c6333ee1fa55fc5184f6551dc
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Mar 9 16:34:54 2012 +0100

    Update Hebrew translations
    
    RTL locales need to translate the "default:LTR" string to have
    clutter_actor_get_text_direction() return the expected result;
    as GNOME Shell now makes use of that API, users of RTL locales
    would be up for an unpleasant surprise, so add the required
    translation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671736

 po/he.po | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit d303fdc22ddffe6782298e5b4de6c371b0584dac
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 9 17:32:46 2012 +0000

    po: Update bug tracker in Makevars

 po/Makevars | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b22b60e6ea1ca22d7052d9bfb1fc8acfec4ca81
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Mar 10 02:06:10 2012 +0900

    Fixed leaking GValue content in clutter_animation_setup_valist().
    
    Normally this leak goes unnoticed because basic fundamental types
    are typically used with clutter_actor_animate(), the leak shows up
    if boxed or object types are passed (such as ClutterVertex in the
    case I stumbled upon).

 clutter/clutter-animation.c | 3 +++
 1 file changed, 3 insertions(+)

commit 620e57ac1334424bd47579417815e67080d802c2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 8 14:07:15 2012 +0000

    text: Use CoglFramebuffer API for the path-based clip

 clutter/clutter-text.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4b0badba4aca44b4fcd52e2f26ec5608f4e93011
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Mar 9 16:24:35 2012 +0000

    Updated British English translation

 po/en_GB.po | 1726 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 973 insertions(+), 753 deletions(-)

commit 610ed1e1c510240ea54328d7dc36a9bad7ed80e8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Mar 8 23:25:57 2012 +0100

    Updated Galician translations

 po/gl.po | 530 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 273 insertions(+), 257 deletions(-)

commit 4ff1cc08f8bf8c8962ac541c1a090f99331176ab
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Mar 8 22:45:17 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 530 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 273 insertions(+), 257 deletions(-)

commit 7b33f2fa1f6e1c4783c36f2316d4f0c852fb3d23
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Mar 8 15:42:14 2012 +0100

    Updated Slovenian translation

 po/sl.po | 682 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 349 insertions(+), 333 deletions(-)

commit e1c99ed3c487d6e441cb8155feee4768542bb913
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 8 17:44:02 2012 +0800

    Fixup VS 2010 property sheets
    
    There are some properties which were not correctly set.  My bad for not
    fixing these sooner.

 build/win32/vs10/clutter.props | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e2e49253b607a37d082f20a26b062513c2d29fa3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Mar 8 10:29:08 2012 +0100

    Updated Spanish translation

 po/es.po | 637 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 328 insertions(+), 309 deletions(-)

commit d279a1393855fb6d8230cd92c71603b5e8cb641a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 8 17:07:34 2012 +0800

    Update VS property sheets
    
    "Install" the new headers that were introduced lately.

 build/win32/vs10/clutter.props  | 4 ++++
 build/win32/vs9/clutter.vsprops | 2 ++
 2 files changed, 6 insertions(+)

commit 9a551689c21cc3de35253c7b2c90a4843aba59ad
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Mar 8 14:12:50 2012 +0530

    Assamese translation completed

 po/as.po | 637 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 328 insertions(+), 309 deletions(-)

commit 86e8f35d66c4c5baca753066f75173491236a7c9
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Mar 8 15:53:04 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 912 +++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 910 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 953 insertions(+), 869 deletions(-)

commit 734a26fe97e6ff2270745504ab52152dcff27014
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 8 00:04:55 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 009b0297f1b3df08d73305466fbb0bbf01138d89
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Wed Mar 7 23:40:08 2012 +0300

    Updated Belarusian translation.

 po/be.po | 758 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 384 insertions(+), 374 deletions(-)

commit 32f57595feef4859ac506cb81a2f17781d554d83
Author: Joseph Scheuhammer <clown@alum.mit.edu>
Date:   Thu Feb 2 16:23:00 2012 -0500

    Add brightness/contrast effect
    
    The ClutterBrightnessContrastEffect effect class allows changing the
    brightness and contrast levels of an actor.
    
    Modified-by: Emmanuele Bassi <ebassi@linux.intel.com>
    Modified-by: Neil Roberts <neil@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656156

 clutter/Makefile.am                          |   2 +
 clutter/clutter-brightness-contrast-effect.c | 643 +++++++++++++++++++++++++++
 clutter/clutter-brightness-contrast-effect.h |  80 ++++
 clutter/clutter.h                            |   1 +
 clutter/clutter.symbols                      |   8 +
 doc/reference/clutter/clutter-docs.xml.in    |   1 +
 doc/reference/clutter/clutter-sections.txt   |  20 +
 doc/reference/clutter/clutter.types          |   1 +
 8 files changed, 756 insertions(+)

commit 41f06138b451bbe51949d818fdc9963077eff59c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:59:25 2012 +0000

    cally/text: Constify string members

 clutter/cally/cally-text.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 90e5088a512e723c41dd59aeaace7e4f87ca14ac
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:35:57 2012 +0000

    build: Increase the anal-retentiveness of the maintainer flags
    
    The new rules have already caught a couple of issues.

 configure.ac | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit de90be9586bdab941c4174a8a3fa74bd480d2555
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:34:48 2012 +0000

    build: Remove maintainer flags from test build
    
    Part of the test infrastructure relies on relaxed build conditions, so
    there's no point to enforce the anal retentive maintainer flags.

 tests/conform/Makefile.am     | 2 +-
 tests/interactive/Makefile.am | 2 +-
 tests/performance/Makefile.am | 1 -
 3 files changed, 2 insertions(+), 3 deletions(-)

commit 2567049ce3899ab8045afd540a333bcd22f6332c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:34:06 2012 +0000

    Fix missing/redundant declarations

 clutter/clutter-actor.c                   | 13 ++++++++-----
 clutter/clutter-animatable.c              |  2 ++
 clutter/clutter-animation.c               |  2 ++
 clutter/clutter-backend.c                 |  2 ++
 clutter/clutter-bin-layout.c              |  2 ++
 clutter/clutter-box-layout.c              |  2 ++
 clutter/clutter-cairo-texture.c           |  2 ++
 clutter/clutter-constraint.c              |  1 +
 clutter/clutter-deform-effect.c           | 16 ++++++++--------
 clutter/clutter-feature.c                 |  6 +++---
 clutter/clutter-keysyms-table.c           |  2 ++
 clutter/clutter-list-model.c              |  2 ++
 clutter/clutter-main.c                    |  2 +-
 clutter/clutter-script.c                  |  2 +-
 clutter/clutter-settings.c                |  1 +
 clutter/clutter-stage-manager.c           |  2 ++
 clutter/clutter-table-layout.c            |  2 ++
 clutter/clutter-texture.c                 |  5 +++--
 clutter/clutter-timeline.c                |  5 ++++-
 clutter/clutter-util.c                    |  4 +++-
 clutter/deprecated/clutter-frame-source.c |  6 ++++--
 21 files changed, 57 insertions(+), 24 deletions(-)

commit 266ea8a3d99c877fb70b7d86fcfd6ad0cdf0b113
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:32:32 2012 +0000

    cally: Fix redundant declarations

 clutter/cally/cally-actor.c     | 2 --
 clutter/cally/cally-clone.c     | 3 ---
 clutter/cally/cally-group.c     | 2 --
 clutter/cally/cally-rectangle.c | 3 ---
 clutter/cally/cally-root.c      | 2 --
 clutter/cally/cally-stage.c     | 3 ---
 clutter/cally/cally-text.c      | 2 --
 clutter/cally/cally-texture.c   | 3 ---
 clutter/cally/cally-util.c      | 3 ---
 9 files changed, 23 deletions(-)

commit 4da1c3efb8fcea58854ce6ff57856fec4ec1a427
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:31:25 2012 +0000

    snap-constraint: Fix typo that broke the get_edges() method
    
    We were declaring a get_edges() method, but the definition was called
    get_edge().

 clutter/clutter-snap-constraint.c | 6 +++---
 clutter/clutter.symbols           | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 3a86d88b431e381d6b4ed50e38018ca545a975e7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:07:41 2012 +0000

    x11/device-manager-core: Avoid a signed/unsigned comparison

 clutter/x11/clutter-device-manager-core-x11.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f5065059b7ab21b8ad28d30a006a038e3275b3b1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:07:15 2012 +0000

    x11/keymap: Avoid a signed/unsigned comparison

 clutter/x11/clutter-keymap-x11.c | 6 +++---
 clutter/x11/clutter-keymap-x11.h | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit f54a4532a4e703c4e925390ccdebeb5270da4272
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:06:24 2012 +0000

    x11/backend: Ensure that pre/post parse hooks are not exposed
    
    Not even as private methods.

 clutter/x11/clutter-backend-x11.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit e3aea910b1524933e6ea3ef95a19a6c970d46677
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:04:44 2012 +0000

    Try to avoid duplicate declarations for profile macros
    
    We can use the __COUNTER__ macro or, failing that, the __LINE__ macro to
    ensure that we don't declare dummy variables more than once with the
    same name.

 clutter/clutter-profile.h | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 9bc8c05db8500f435da057710000b21244cc5735
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 7 12:04:25 2012 +0000

    gdk: Add missing declaration of clutter_gdk_get_default_display()

 clutter/gdk/clutter-gdk.h | 1 +
 1 file changed, 1 insertion(+)

commit fc12c591c324a6070a1763e9d0c6ab9aeadbba52
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Mar 7 12:54:09 2012 +0100

    Updated Galician translations

 po/gl.po | 558 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 284 insertions(+), 274 deletions(-)

commit ee0f43b701124b929b806e2f4a963a229bf92f9b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Mar 7 11:33:52 2012 +0100

    Updated Spanish translation

 po/es.po | 638 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 323 insertions(+), 315 deletions(-)

commit ca550bc5cd9f4b6056a43f32f48396db05b7813a
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Mar 7 06:36:27 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 558 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 284 insertions(+), 274 deletions(-)

commit 05813872f9179d8fbe6c4be6cea8f86a89edf3ff
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 27 12:30:04 2012 +0000

    osx: Call finishLaunching on post-parse
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668801

 clutter/osx/clutter-backend-osx.c | 3 +++
 1 file changed, 3 insertions(+)

commit cc25deade04b8f06d460292915f3ab6d2369d33c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 15:39:29 2012 +0000

    texture: Fix the async loop ceiling
    
    The comment says that we're going to load textures in a loop until we
    still have work to do, or if one iteration took more than 5
    milliseconds, to avoid blowing up our frame budget, but the check is for
    5 seconds, which is hardly a sensible value.

 clutter/clutter-texture.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4849c02e330ce9db52564c812dc4a0316498b979
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Mar 6 21:07:26 2012 +0530

    Assamese translation completed

 po/as.po | 366 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 174 insertions(+), 192 deletions(-)

commit 4db4471528a33cc07c2b98e0d84e34018c6ee1ec
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 15:07:55 2012 +0000

    interactive/text-field: Use :background-color
    
    Instead of a custom paint signal handler.

 tests/interactive/test-text-field.c | 31 +++----------------------------
 1 file changed, 3 insertions(+), 28 deletions(-)

commit 477d399c31dc2c5e5af91ee3c561f0a40f21155b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 15:06:52 2012 +0000

    text: Use the background color when painting
    
    If the ClutterActor:background-color-set property is set to TRUE.

 clutter/clutter-text.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 663d6179ffdb27ef25ee67e4b7d2e05a5d1216aa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 15:05:36 2012 +0000

    text: Center the cursor caret
    
    We remove 2 pixels from the height of the cursor, but we should also
    remove the same amount from the position on the y axis, so that the
    cursor caret appears centered in the allocated height.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655491

 clutter/clutter-text.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 812fbee7ecba813b2d8c5511b974b15b004a975d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Mar 6 15:43:08 2012 +0100

    Updated Slovenian translation

 po/sl.po | 458 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 234 insertions(+), 224 deletions(-)

commit 764640419607b4918515f42722bb0950ea23d90c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 14:23:33 2012 +0000

    script: Support translatable strings for properties
    
    ClutterScript should be able to automatically call gettext() and friends
    on strings loaded from a UI definition, prior to passing the string to
    the object it is constructing.
    
    The basic implementation is trivial:
    
      - set a translation domain on the ClutterScript instance
      - mark the translatable strings inside the JSON data, like:
    
          "property" : {
            "translatable" : true,
            "string" : "a translatable string"
          }
    
    The hard part is now getting the tools we use to extract the
    translatable strings to understand the JSON format we use inside
    ClutterScript.

 clutter/clutter-script-parser.c  | 58 +++++++++++++++++++++++++
 clutter/clutter-script-private.h |  3 ++
 clutter/clutter-script.c         | 93 ++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-script.h         |  6 +++
 tests/data/test-script.json      |  4 +-
 5 files changed, 162 insertions(+), 2 deletions(-)

commit 4a9414ff870ce74d3194425d30709124558eacd2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 14:22:43 2012 +0000

    Annotate clutter_threads_add_repaint_func_full()

 clutter/clutter-main.h | 1 +
 1 file changed, 1 insertion(+)

commit 1ac655b3942a51ff0b24228d9ecf264a51d52c87
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 14:21:04 2012 +0000

    Add missing enumeration type to clutter.symbols

 clutter/clutter.symbols | 3 +++
 1 file changed, 3 insertions(+)

commit c2e7704151be86bf26a47c63f2735f45394a08bd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 13:50:10 2012 +0000

    master-clock: Add frame budget diagnostic messages
    
    Let's keep a budget of 16.6 milliseconds per frame, and reduce it by the
    amount of time spent in each phase of the frame processing. If any phase
    goes over the allocated budget then we use the diagnostic mode
    facilities to warn the app developer.

 clutter/clutter-master-clock.c | 55 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 54 insertions(+), 1 deletion(-)

commit bdf9f4958825fa7a9adf0bea16d4d079becb896f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 12:55:27 2012 +0000

    master-clock: Clean up the frame processing
    
    Split out every phase into its own function, to ensure that the sequence
    of operation is clear and easy to follow.

 clutter/clutter-master-clock.c | 237 +++++++++++++++++++++--------------------
 clutter/clutter-master-clock.h |   1 -
 2 files changed, 124 insertions(+), 114 deletions(-)

commit 229607464b287d6ea1ed1633d4e982768ccb18cc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 6 12:09:00 2012 +0000

    Improve repaint functions
    
    It is sometimes useful to be able to have better control on when a
    repaint function is called. Currently, all repaint functions are called
    prior to the stages update phase of the frame processing.
    
    We can introduce flags to represent the point in the frame update
    process in which we wish Clutter called the repaint function.
    
    As a bonus, we can also add a flag that causes adding a repaint function
    to spin the master clock.

 clutter/clutter-enums.h                    | 19 +++++++
 clutter/clutter-main.c                     | 91 +++++++++++++++++++++++++++---
 clutter/clutter-main.h                     |  4 ++
 clutter/clutter-master-clock.c             |  8 ++-
 clutter/clutter-private.h                  |  2 +-
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 7 files changed, 113 insertions(+), 13 deletions(-)

commit afda0c955e57bd511725bc8704a4e8cfec52462c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 23:57:01 2012 +0000

    Post-release version bump to 1.9.15

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 59affd808824d43d2fbb288c17587536243645cd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 23:41:52 2012 +0000

    Release Clutter 1.9.14 (snapshot)

 NEWS         | 42 ++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 43 insertions(+), 1 deletion(-)

commit a8d800580017b474fabc6b6322ccbdc6c8da504e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 23:34:27 2012 +0000

    docs: Updates to the API reference

 clutter/wayland/clutter-wayland-surface.h  | 5 +++--
 doc/reference/clutter/clutter-sections.txt | 4 ++++
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 9813a874992ff6215e71d580856284154c4bc65e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 22:02:01 2012 +0000

    Update the release notes

 README.in | 7 +++++++
 1 file changed, 7 insertions(+)

commit 155f7741fed2138d64ec0b06d8ec160c67ca12b3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 21:59:53 2012 +0000

    actor: Ensure static scope to allocation-changed arguments
    
    In theory, handlers connected to the ::allocation-changed signal may be
    able to modify the actor's real allocation and allocation flags,
    especially now that we use STATIC_SCOPE; let's avoid this, so that we
    don't regret it later.

 clutter/clutter-actor.c | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit 762e0de2c60dff77b36e9fefefc3ad263c33ce90
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Mar 5 19:23:46 2012 +0000

    tests: Remove test-cogl-pixel-buffer
    
    This has been converted to a Cogl-based test in the cogl source tree
    so there is no need to maintain it here anymore.
    
    Reviewed-by: Robert Bragg <robert@linux.intel.com>

 tests/conform/Makefile.am              |   1 -
 tests/conform/test-cogl-pixel-buffer.c | 329 ---------------------------------
 tests/conform/test-conform-main.c      |   1 -
 3 files changed, 331 deletions(-)

commit 7d64693de265e0d00e783b7ae164abd06d75a68d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 17:45:23 2012 +0000

    conformance/invariants: Test that visibility is not recursive
    
    The show and hide methods should not recurse; that is the job of
    show_all and hide_all, which are deprecated.

 tests/conform/actor-invariants.c  | 42 +++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  1 +
 2 files changed, 43 insertions(+)

commit 720fbd3bec522f200396f206242bc76285492f15
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 17:38:27 2012 +0000

    stage: Fix up a copy-and-paste train wreck
    
    The show and hide implementation inside ClutterStage ended up being
    recursive, and the hide implementation would actually show the children
    of the stage unconditionally.
    
    Whoopsie.

 clutter/clutter-stage.c | 36 +++++++++++++++++++++++++++++-------
 1 file changed, 29 insertions(+), 7 deletions(-)

commit add274c447f1d4a2d9c269754c019882738662c1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 17:26:09 2012 +0000

    conform/actor-invariants: Add tests for show-on-set-parent
    
    The show-on-set-parent flag is mental, but it needs to be tested better
    than just checking for it always been set to TRUE.

 tests/conform/actor-invariants.c | 31 ++++++++++++++++++++++++++++---
 1 file changed, 28 insertions(+), 3 deletions(-)

commit a882b20b26222f537becfbedf9af2d12e74691a3
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Mar 5 19:56:42 2012 +0530

    Assamese translation completed

 po/as.po | 1711 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 952 insertions(+), 759 deletions(-)

commit 2aaa39e0080a180689f53f82bccda36bc400f885
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 5 10:36:03 2012 +0000

    actor: Annotate the allocation-changed signal
    
    The ActorBox passed to the ::allocation-changed signal should be
    annotated as STATIC_SCOPE, given that it's a pointer to a structure
    inside ClutterActorPrivate - hence there's no risk of it actually being
    freed from a signal handler. This allows the GSignal machinery to avoid
    a costly copy/free for each signal emission.

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 796cf67503cce01f303b59d5280def4b8bdfd0b9
Author: Krishnababu Krothapalli <email>
Date:   Fri Mar 2 13:47:57 2012 +0530

    Updated Telugu Translations

 po/te.po | 2489 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1350 insertions(+), 1139 deletions(-)

commit 018ede2b24079089e2c4e84698776a1235dbde20
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Thu Mar 1 22:58:39 2012 +0100

    ClutterActor: clear redraw entry before emitting signals
    
    If the redraw entry is not cleared, queueing a redraw from a signal
    handler could reinsert the same object in the stage redraw list,
    causing the segfault later (as the object is immediately freed)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671173

 clutter/clutter-actor.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 251d3b545e4df6c55dd596424dda3470564f16cf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 1 15:11:59 2012 +0000

    input: Add a check on the argument

 clutter/clutter-input-device.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 23e8e43d666a9237dc0096924c2e1d30d1027128
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 1 15:11:36 2012 +0000

    symbols: Add missing InputDevice symbol

 clutter/clutter.symbols | 1 +
 1 file changed, 1 insertion(+)

commit b248fbd010d428ec103f2b5cde906403d1eac3f0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 1 11:06:04 2012 +0000

    Make clutter-stage-window.h a private header
    
    It should have never been public in the first place; nothing can
    implement the ClutterStageWindow interface and use it, so this is
    not a break.

 clutter/Makefile.am            |  2 +-
 clutter/clutter-stage-window.c |  2 ++
 clutter/clutter-stage-window.h | 23 +++++------------------
 clutter/clutter.h              |  1 -
 clutter/clutter.symbols        |  1 -
 5 files changed, 8 insertions(+), 21 deletions(-)

commit a1ec559d14a5baafc45e663e8d62d2109d8a8e90
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 1 15:07:05 2012 +0000

    Fix compilation
    
    Hide a symbol if we're not compiling with Wayland compositor support.

 clutter/clutter-backend.c | 2 ++
 1 file changed, 2 insertions(+)

commit cfbb7a0fa0fcd1014984e2b70a8c2a5d12e3ad79
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 29 19:20:18 2012 +0000

    clutter-wayland-surface: Add padding to the class struct
    
    This just adds some padding pointers so that we can later add more
    virtual functions without breaking ABI.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 5f654069feff8361509e5fc832f335d653e70726
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 29 17:50:22 2012 +0000

    clutter-input-device-wayland: Include clutter-stage-private.h
    
    This was giving a warning about using _clutter_stage_update_state
    without declaring it.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-input-device-wayland.c | 1 +
 1 file changed, 1 insertion(+)

commit b5c90f6caaf0457c0f81720060f4a69cf2bd59fb
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Feb 13 13:20:02 2012 +0000

    wayland-surface: don't queue redraw on buffer attach
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 3c6a0cdc610ba434beed733bde548175d665cc36
Author: Robert Bragg <robert@linux.intel.com>
Date:   Sun Jan 22 15:36:17 2012 +0000

    evdev: Adds api to release/reclaim the evdev devices
    
    Clutter applications using evdev are typically fullscreen applications
    associated with a single virtual termainal. When switching away from
    the applications associated tty then Clutter should stop managing all
    evdev devices and re-probe for devices when the application regains
    focus by switching back to the tty. To facilitate this, this patch
    adds clutter_evdev_release_devices() and clutter_evdev_reclaim_devices()
    functions.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/Makefile.am                          |   5 +
 clutter/evdev/clutter-device-manager-evdev.c | 144 +++++++++++++++++++++++++--
 clutter/evdev/clutter-evdev.h                |  38 +++++++
 3 files changed, 177 insertions(+), 10 deletions(-)

commit 1f7968e5f99adbc28e5c6bf7495169687d00f4d1
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 29 16:35:48 2012 +0000

    wayland/x11: Set constraints on the CoglRenderer
    
    When using the Wayland backend this sets a constraint that the
    CoglRenderer selects the Wayland EGL winsys.
    
    When a Wayland compositor display is set it now also sets a constraint
    that the render should use EGL because only EGL renderers will set up
    the required wl_drm global object.
    
    The X11 backend now sets the X11 constraint.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-backend.c                 | 6 ++++++
 clutter/wayland/clutter-backend-wayland.c | 2 ++
 clutter/x11/clutter-backend-x11.c         | 2 ++
 3 files changed, 10 insertions(+)

commit a0d3b01aa967e3740bc22c925864acac1829da62
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Jan 17 17:29:18 2012 +0000

    device-manager-core-x11: Create core input devices as x11
    
    The core input devices when XInput doesn't work were being created as
    generic ClutterInputDevices instead of ClutterInputDeviceX11s. This
    meant the keycode_to_evdev virtual wouldn't work.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/x11/clutter-device-manager-core-x11.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 13e3f9e5f1f1f648280a154fe1900fce4a26500a
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Jan 17 15:40:08 2012 +0000

    Add an input device function to convert keycodes to evdev codes
    
    This adds a virtual function to ClutterInputDevice to translate a
    keycode from the hardware_keycode member of ClutterKeyEvent to an
    evdev keycode. The function can fail so that input backends that don't
    have a sensible way to translate to evdev keycodes can return FALSE.
    There are implementations for evdev, wayland and X. The X
    implementation assumes that the X server is using an evdev driver in
    which case the hardware keycodes are the evdev codes plus 8.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-device-manager-private.h       |  3 +++
 clutter/clutter-input-device.c                 | 31 ++++++++++++++++++++++++++
 clutter/clutter-input-device.h                 |  4 ++++
 clutter/evdev/clutter-input-device-evdev.c     | 12 ++++++++++
 clutter/wayland/clutter-input-device-wayland.c | 12 ++++++++++
 clutter/x11/clutter-input-device-core-x11.c    | 15 +++++++++++++
 clutter/x11/clutter-input-device-xi2.c         | 15 +++++++++++++
 doc/reference/clutter/clutter-sections.txt     |  1 +
 8 files changed, 93 insertions(+)

commit a3bbcff946295f6e7232697fd167437baef6b785
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Jan 17 13:37:26 2012 +0000

    evdev: Associate devices with the first created stage
    
    Because evdev isn't associated with the display system, it doesn't
    have any easy way to associate an input device with a stage.
    Previously Clutter would never set a stage for an input device and
    leave it up to the application to set it. To make it easier for
    applications which just have a single fullscreen stage (which is
    probably the most common use case for evdev) the device manager now
    associates all input devices with the first stage that is created
    unless something has already set a stage.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/evdev/clutter-device-manager-evdev.c | 106 ++++++++++++++++++++++++++-
 1 file changed, 105 insertions(+), 1 deletion(-)

commit 1bfd1d85eb2dd4e2093c5c7e6833da4196110177
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 12 20:36:16 2012 +0000

    Updates in line with latest wayland protocol
    
    The shm buffer format enum values were renamed and the explicitly
    premultiplied format was dropped since it's now assumed if the buffer
    has an alpha component then it's premultiplied.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 6cc58f7d7d01418eb61622afcb7e322a8645d5d6
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Jan 11 18:11:51 2012 +0000

    clutter-wayland-surface: Remove the pick method
    
    The pick method doesn't do anything special over the default pick
    method provided by ClutterActor so there's no need to implement it.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 13 -------------
 1 file changed, 13 deletions(-)

commit 560f92b69849eb671ac539df16c1d3f4797d9032
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 11 00:16:10 2012 +0000

    wayland-surface: removes unused origin variable
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 1 -
 1 file changed, 1 deletion(-)

commit c1aac36d35638b00691f20b538289eae9a7cf68a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 11 00:08:05 2012 +0000

    wayland-surface: Adds queue-damage-redraw signal
    
    This adds a signal that's emitted whenever a wayland surface is damaged
    that allows sub-classes to override the default handler to change
    how clipped redraws are queued if the sub-class doesn't simply draw
    a rectangle. The signal can also be used just to track damage.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 50 ++++++++++++++++++++++++++-----
 clutter/wayland/clutter-wayland-surface.h |  7 +++++
 2 files changed, 50 insertions(+), 7 deletions(-)

commit b89af8efa3931bb0cb5a7c5c6a01823ab5d6be78
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jan 10 22:39:53 2012 +0000

    wayland-surface: Add cogl-texture property
    
    This adds a "cogl-texture" gobject property so that a compositor may
    listen for notifications of changes to the texture used to paint.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 36 +++++++++++++++++++++++++------
 clutter/wayland/clutter-wayland-surface.h |  1 +
 2 files changed, 30 insertions(+), 7 deletions(-)

commit 8ac2200aac44d481f2b069554e85976ad1f47372
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 9 16:13:03 2012 +0000

    clutter-wayland-surface: Rename the width/height properties
    
    This patch renames the width/height properties to
    surface-width/surface-height so that they won't override the
    width/height properties of ClutterActor which have different
    semantics.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 1b77565e63d6bfc2dd4edd6961e39044d536b08b
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jan 10 17:04:50 2012 +0000

    configure: Adds xkb-utils automake conditional
    
    This adds a NEEDS_XKB_UTILS automake conditional that's set to true if
    either the wayland backend is enabled or the evdev input backend is
    enabled since they both depend on clutter-xkb-utils.c and we need
    to avoid listing the file twice since that leads to duplicate symbols
    and the build fails.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/Makefile.am | 7 +++++--
 configure.ac        | 2 ++
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 612bde3c4a00800c12fb20e287cb32eefed12ffd
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jan 9 19:03:59 2012 +0000

    wayland-surface: Set actor size on buffer attach
    
    When a new buffer is attached and we update the width and height
    properties for the surface we now also call clutter_actor_set_size()
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0ba6127edc16db16884a27efcfdefc422eaac382
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jan 9 19:16:21 2012 +0000

    wayland-surface: Adds _get_surface function
    
    This adds a clutter_wayland_surface_get_surface() function for querying
    the struct wl_surface * associated with a ClutterWaylandSurface.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 9 ++++++++-
 clutter/wayland/clutter-wayland-surface.h | 1 +
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 83b94ec27d3073cbfaec92e9f1b4c7568081d568
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jan 9 19:14:09 2012 +0000

    wayland-surface: Make _set_surface api public
    
    This exposes a clutter_wayland_surface_set_surface() function. The
    implementation ignores requests to re-set the same surface and since now
    has code to cleanup old surface state before setting the new surface.
    (previously the surface was construct only so this wasn't necessary)
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 14 +++++++++++++-
 clutter/wayland/clutter-wayland-surface.h |  2 ++
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 862eebceb6f0a3faa407e953e69eeb9ccc133036
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jan 9 19:11:43 2012 +0000

    wayland-surface: Cleanup properly in _dispose
    
    When disposing a ClutterWaylandSurface we now make sure to unref any
    pipeline we created and unref any surface buffer textures we created.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit c7e10024d86acdfbafbc3159fa479e03e71d425d
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jan 9 19:09:43 2012 +0000

    wayland-surface: remove unused damage array
    
    There was a GArray member named damage that wasn't being used which this
    patch removes.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/wayland/clutter-wayland-surface.c | 8 --------
 1 file changed, 8 deletions(-)

commit 3839cf13a2f2184e22d41b6cddc461d4128e5be0
Author: Robert Bragg <robert@linux.intel.com>
Date:   Sat Jan 7 21:44:32 2012 +0000

    configure: fix --enable-evdev-input documentation
    
    The --help documentation for ./configure was listing a spurious
    --with-evdev option when it should list --enable-evdev-input.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c9ec271e2a42d52e00da7a3c98af4da5fa532ac
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 5 14:33:35 2012 +0000

    wayland: install wayland compositor headers + pkgconfig file
    
    If wayland compositor support has been enabled then we make sure to
    install the corresponding public headers and a
    clutter-wayland-compositor.pc pkgconfig file.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/Makefile.am | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit b0fc4c1dff80b0ec761f3037b77676fa8119543f
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 29 16:18:07 2012 +0000

    Remove test-wayland-surface
    
    In a separate branch, this test has become quite complicated and
    involves multiple files and its own configure options. Instead of
    cluttering up the clutter source tree it has now been moved to its own
    repo at:
    
     http://github.com/clutter-project/test-wayland-surface
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 tests/interactive/Makefile.am            |   4 -
 tests/interactive/test-wayland-surface.c | 567 -------------------------------
 2 files changed, 571 deletions(-)

commit c42be83d698ea2795564f8c5ec451c290d809b7b
Author: Jonh Wendell <jwendell@gnome.org>
Date:   Wed Feb 29 14:03:44 2012 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1691 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 941 insertions(+), 750 deletions(-)

commit c46588172629574abb900ea1851d7248780f9597
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 29 15:12:55 2012 +0000

    docs: Refresh the layout managers example image
    
    Drop the window decoration and pointer; drop the double image for the
    FlowLayout class; add an image for the TableLayout class.

 clutter/clutter-flow-layout.c                    |  12 ++----------
 clutter/clutter-table-layout.c                   |   6 ++++++
 doc/reference/clutter/Makefile.am                |   6 +++---
 doc/reference/clutter/bin-layout.png             | Bin 12890 -> 13424 bytes
 doc/reference/clutter/box-layout.png             | Bin 5119 -> 10557 bytes
 doc/reference/clutter/flow-layout-horizontal.png | Bin 5888 -> 0 bytes
 doc/reference/clutter/flow-layout-vertical.png   | Bin 5333 -> 0 bytes
 doc/reference/clutter/flow-layout.png            | Bin 0 -> 1850 bytes
 doc/reference/clutter/table-layout.png           | Bin 0 -> 20058 bytes
 9 files changed, 11 insertions(+), 13 deletions(-)

commit 7713d3bbdc0f360f9f0e8d782d0a3215441bb6f5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 29 15:05:44 2012 +0000

    docs: Update the actor example image

 clutter/clutter-actor.c                 |   4 ++--
 doc/reference/clutter/Makefile.am       |   4 ++--
 doc/reference/clutter/actor-example.png | Bin 0 -> 4966 bytes
 doc/reference/clutter/test-actor.png    | Bin 5081 -> 0 bytes
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 3f5d63b5227fa401367142e0f4b774d8e039dc88
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 29 15:02:59 2012 +0000

    interactive/actor: Add margin usage example

 tests/interactive/test-actor.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit fde094dce2d1801ce1000671966f2acbad26d9c5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 29 14:46:01 2012 +0000

    build: Remove clutter-version.h.win32.in
    
    The clutter-version.h header file is now completely generic, and does
    not need to be masked by a Windows-specific header when building under
    MSVC.

 .gitignore                         |   1 -
 build/win32/vs10/clutter.props     |   7 -
 build/win32/vs9/clutter.vsprops    |   4 -
 clutter/Makefile.am                |   2 -
 clutter/clutter-version.h.win32.in | 277 -------------------------------------
 configure.ac                       |   1 -
 6 files changed, 292 deletions(-)

commit 38bcd86c51c42bd4f71ed5bbdb09345c2af4652c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 29 14:43:01 2012 +0000

    Annotate the exported version variables
    
    When using MSVC we need to annotate the variables that are going to be
    exported.

 clutter/clutter-version.h.in | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 80626e75842a24c3d0a45068e241ba309f6ec138
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 28 15:45:24 2012 +0000

    actor: Do not check for child destruction in add_child_internal()
    
    We currently check for the IN_DESTRUCTION flag inside the
    add_child_internal() function.
    
    This check disallows calling methods that change the stacking order
    within the destruction sequence, by triggering a critical warning first,
    and leaving the actor in an undefined state, which then ends up being
    caught by an assertion.
    
    The reproducible sequence is:
    
      - actor gets destroyed;
      - another actor, linked to the first, will try to change the
        stacking order of the first actor;
      - changing the stacking order is a composite operation composed
        by the following steps:
        1. ref() the child;
        2. remove_child_internal(), which removes the reference;
        3. add_child_internal(), which adds a reference;
      - the state of the actor is not changed between (2) and (3), as
        it could be an expensive recomputation;
      - if (3) bails out, then the actor is in an undefined state, but
        still alive;
      - the destruction sequence terminates, but the actor is unparented
        while its state indicates being parented instead.
      - assertion failure.
    
    The obvious fix would be to decompose each set_child_*_sibling() method
    into proper remove_child()/add_child(), with state validation; this may
    cause excessive work, though, and trigger a cascade of other bugs in
    code that assumes that a change in the stacking order is an atomic
    operation.
    
    Another potential fix is to just remove this check here, and let code
    doing stacking order changes inside the destruction sequence of an actor
    continue doing the work.
    
    The third fix is to silently bail out early from every
    set_child_*_sibling() and set_child_at_index() method, and avoid doing
    work.
    
    I have a preference for the second solution, since it involves the least
    amount of work, and the least amount of code duplication.
    
    See bug: https://bugzilla.gnome.org/show_bug.cgi?id=670647

 clutter/clutter-actor.c | 58 +++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 54 insertions(+), 4 deletions(-)

commit 6e78ebca957fe838508e6a02f6c9c312edd40f21
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Feb 29 15:49:23 2012 +0100

    a11y: Not compute extents for actors without an stage
    
    This solves a crash on GNOME Shell, as compute the extents
    for some StWidgets could lead to call st_widget_get_theme_node,
    and it is a fatal error to call this on a widget that it not
    beed added to a stage.

 clutter/cally/cally-actor.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit dde5da1dd8f75c3522f3b89417f3e5eb5a414a25
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Feb 29 15:47:36 2012 +0100

    a11y: Stop to use ClutterActor::name as default accessible-name
    
    ClutterActor::name is mostly used for debugging purposes

 clutter/cally/cally-actor.c | 25 -------------------------
 1 file changed, 25 deletions(-)

commit 9d9afc0f05f4e476305f29cfc0447775c7fe9134
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Feb 29 18:09:29 2012 +0800

    Update VS property sheets
    
    Update the "installation" of headers...

 build/win32/vs10/clutter.props  | 16 ++++++++++++++--
 build/win32/vs9/clutter.vsprops |  8 +++++++-
 2 files changed, 21 insertions(+), 3 deletions(-)

commit b689737a4353e382bf7195d655307d7645781505
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Feb 29 18:03:15 2012 +0800

    Update clutter-version.h.win32(.in)
    
    Make it like the clutter-version.h.in template.  Since we aren't having
    Windows-specific items in here (such as CLUTTER_FLAVOUR), perhaps we
    could get the dllexport stuff in clutter-version.h.in, where it can be
    used when necessary, and this file would be gone.

 clutter/clutter-version.h.win32.in | 137 +++++++++++++++++++++++++++++--------
 1 file changed, 108 insertions(+), 29 deletions(-)

commit a22d7ac1b569ea2cfb4ffe30e738db9887c06002
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 29 09:27:01 2012 +0000

    interactive: Remove test-shader
    
    ClutterShader is deprecated, and we already have various tests for the
    shader API, both for Cogl and for ClutterShaderEffect.

 tests/interactive/Makefile.am   |   1 -
 tests/interactive/test-shader.c | 411 ----------------------------------------
 2 files changed, 412 deletions(-)

commit f292550d0602fba97aab4e081da9a0a4d1f1fe76
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 29 09:25:51 2012 +0000

    interactive: Remove test-fullscreen
    
    The stage state test also has a fullscreen option, and it's a better
    test all around.

 tests/interactive/Makefile.am       |   1 -
 tests/interactive/test-fullscreen.c | 109 ------------------------------------
 2 files changed, 110 deletions(-)

commit caf759f72fdf78340dadbf62cf00c3c00c8a5b0e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 29 09:24:34 2012 +0000

    interactive: Remove test-actor-clone
    
    Another clone of the venerable test-actors - but test-actor already uses
    ClutterClone, so there's really little point in it.

 tests/interactive/Makefile.am        |   1 -
 tests/interactive/test-actor-clone.c | 301 -----------------------------------
 2 files changed, 302 deletions(-)

commit bd2f5d0e383bdf61a757a9f405f23ed0cf48edcb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 29 09:23:40 2012 +0000

    interactive: Remove test-behave
    
    ClutterBehaviour and friends are deprecated, there's no point in having
    an interactive test, and it may be misleading.

 tests/interactive/Makefile.am   |   1 -
 tests/interactive/test-behave.c | 212 ----------------------------------------
 2 files changed, 213 deletions(-)

commit b9553083e03417eb4b6d4fca072bc423dbc1ac4a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 16:47:53 2012 +0000

    docs: Document the versioning macros

 clutter/clutter-version.h.in | 37 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 36 insertions(+), 1 deletion(-)

commit fb9df4bef27a45de5471ee2937156ec5191bc201
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 16:31:53 2012 +0000

    Annotate all functions available since 1.10

 clutter/clutter-actor.h            | 43 ++++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.h            |  1 +
 clutter/clutter-input-device.h     |  3 +++
 clutter/clutter-offscreen-effect.h |  1 +
 clutter/clutter-script.h           |  1 +
 clutter/clutter-text-buffer.h      | 24 ++++++++++++---------
 clutter/clutter-text.c             |  6 +++---
 clutter/clutter-text.h             |  4 ++++
 clutter/clutter-timeline.h         |  6 +++++-
 clutter/clutter-types.h            |  1 +
 10 files changed, 76 insertions(+), 14 deletions(-)

commit 7d4fa54a4b7a8c19d493da187a14081202c41271
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 16:03:09 2012 +0000

    docs: Add new macros to the sections file

 doc/reference/clutter/clutter-sections.txt | 33 ++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 0ee7170dbb56dba21e7404acc1e2151a1558e38c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 15:56:12 2012 +0000

    Move clutter-util.h into the deprecated section

 clutter/Makefile.am               |  4 ++--
 clutter/clutter-deprecated.h      |  1 +
 clutter/clutter-util.c            |  2 +-
 clutter/clutter-util.h            | 40 ---------------------------------------
 clutter/clutter.h                 |  1 -
 clutter/deprecated/clutter-util.h | 40 +++++++++++++++++++++++++++++++++++++++
 6 files changed, 44 insertions(+), 44 deletions(-)

commit 2daf2e8e6bca403b24d8a79a02bc7d3a5006f7b4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 15:47:46 2012 +0000

    Add a deprecated header for ClutterCairoTexture

 clutter/Makefile.am                        |  1 +
 clutter/clutter-cairo-texture.h            | 10 ------
 clutter/clutter-deprecated.h               |  1 +
 clutter/deprecated/clutter-cairo-texture.h | 51 ++++++++++++++++++++++++++++++
 4 files changed, 53 insertions(+), 10 deletions(-)

commit 45d61d795bcb401eb78d03d6009f51831be39027
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 15:44:38 2012 +0000

    Add a deprecated header for ClutterTexture

 clutter/Makefile.am                  |  1 +
 clutter/clutter-deprecated.h         |  1 +
 clutter/clutter-texture.h            | 11 ---------
 clutter/deprecated/clutter-texture.h | 48 ++++++++++++++++++++++++++++++++++++
 4 files changed, 50 insertions(+), 11 deletions(-)

commit 3c12b3575d077a87683e0f906cebfbb253f49791
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 15:29:50 2012 +0000

    Add deprecated header for ClutterAnimation

 clutter/Makefile.am                    |  1 +
 clutter/clutter-actor.c                |  3 +-
 clutter/clutter-animatable.c           |  1 +
 clutter/clutter-animation.h            | 78 +++++++++++++---------------------
 clutter/clutter-deprecated.h           |  1 +
 clutter/clutter-interval.h             |  3 +-
 clutter/clutter-types.h                |  1 +
 clutter/deprecated/clutter-animation.h | 57 +++++++++++++++++++++++++
 8 files changed, 93 insertions(+), 52 deletions(-)

commit 4ae36f1e5f2374d10f683720c0c876e952636755
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 15:21:07 2012 +0000

    Add a deprecated header for ClutterAnimatable

 clutter/Makefile.am                     |  1 +
 clutter/clutter-animatable.h            |  9 -------
 clutter/clutter-deprecated.h            |  1 +
 clutter/deprecated/clutter-animatable.h | 47 +++++++++++++++++++++++++++++++++
 4 files changed, 49 insertions(+), 9 deletions(-)

commit 9613374c73984a76e8d7780105004dde2ac3448e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 15:16:38 2012 +0000

    Add deprecated header for ClutterStageManager

 clutter/Makefile.am                        |  1 +
 clutter/clutter-deprecated.h               |  1 +
 clutter/clutter-stage-manager.h            |  7 +----
 clutter/deprecated/clutter-stage-manager.h | 42 ++++++++++++++++++++++++++++++
 4 files changed, 45 insertions(+), 6 deletions(-)

commit d5b565f7b939fcf3d65e310442f91cada3a9b8e2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 15:10:13 2012 +0000

    Update the deprecation macros
    
    Use the new versioned macros instead of the generic ones.

 clutter/clutter-animation.h                    |  8 +++---
 clutter/clutter-backend.c                      |  2 +-
 clutter/deprecated/clutter-actor.h             | 30 ++++++++++----------
 clutter/deprecated/clutter-backend.h           | 14 +++++-----
 clutter/deprecated/clutter-behaviour-depth.h   |  6 ++--
 clutter/deprecated/clutter-behaviour-ellipse.h | 34 +++++++++++------------
 clutter/deprecated/clutter-behaviour-opacity.h |  6 ++--
 clutter/deprecated/clutter-behaviour-path.h    | 10 +++----
 clutter/deprecated/clutter-behaviour-rotate.h  | 18 ++++++------
 clutter/deprecated/clutter-behaviour-scale.h   |  6 ++--
 clutter/deprecated/clutter-behaviour.h         | 20 +++++++-------
 clutter/deprecated/clutter-box.h               | 20 +++++++-------
 clutter/deprecated/clutter-container.h         | 24 ++++++++--------
 clutter/deprecated/clutter-fixed.h             |  6 ++--
 clutter/deprecated/clutter-frame-source.h      |  4 +--
 clutter/deprecated/clutter-group.h             |  8 +++---
 clutter/deprecated/clutter-main.h              | 32 +++++++++++-----------
 clutter/deprecated/clutter-rectangle.h         | 16 +++++------
 clutter/deprecated/clutter-score.h             | 28 +++++++++----------
 clutter/deprecated/clutter-shader.h            | 38 +++++++++++++-------------
 clutter/deprecated/clutter-stage.h             | 18 ++++++------
 clutter/deprecated/clutter-timeline.h          |  6 ++--
 clutter/deprecated/clutter-timeout-pool.h      |  6 ++--
 23 files changed, 180 insertions(+), 180 deletions(-)

commit 780a11b926ec8eacd58d9ba57be8d88beacdd726
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 14:59:00 2012 +0000

    Add flexible versioning scheme
    
    GLib introduced macros that allows defining the lower and upper bounds
    of the API to be used by application code.
    
    The lower bound allows to define the minimum version that will trigger
    deprecation warnings; the upper bound defines the maximum version that
    will trigger compiler warnings for unavailable symbols.
    
    This scheme allows gradually porting application code to a new version
    of the API, especially in case of resynchronization after multiple
    development cycles.

 clutter/clutter-macros.h     | 209 +++++++++++++++++++++++++++++++++++++++++--
 clutter/clutter-version.h.in | 108 +++++++++++++---------
 2 files changed, 269 insertions(+), 48 deletions(-)

commit eb42127cf0039f9ac5a2fe111ed863cd7b0a5660
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 14:35:53 2012 +0000

    Require GLib ≥ 2.31.19
    
    For the new deprecation and versioning macros.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6b1972d71b17c813625b72973eefda406306e79
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 14:03:57 2012 +0000

    Move macros to their own headers

 clutter/Makefile.am          |  1 +
 clutter/clutter-macros.h     | 56 ++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-types.h      | 27 +--------------------
 clutter/clutter-version.h.in |  4 ++++
 clutter/clutter.h            |  1 +
 5 files changed, 63 insertions(+), 26 deletions(-)

commit 4e6ff76a77ab61562891612cd4137b63202bf552
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 13:08:31 2012 +0000

    conformance: Clean up
    
    Remove the last inconsistent bits.

 tests/conform/Makefile.am                |   2 +-
 tests/conform/actor-layout.c             |   8 +-
 tests/conform/actor-offscreen-redirect.c |   4 +-
 tests/conform/actor-pick.c               |   2 +-
 tests/conform/actor-shader-effect.c      | 272 +++++++++++++++++++++++++++++++
 tests/conform/path.c                     |   2 +-
 tests/conform/shader-effect.c            | 272 -------------------------------
 tests/conform/test-conform-main.c        |  12 +-
 8 files changed, 287 insertions(+), 287 deletions(-)

commit 60e2f8ed5bd90c99218f90393c7c1db1119f5fa7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 13:02:01 2012 +0000

    conformance: Rename the source files
    
    It's the conformance test suite: there's no need to namespace the files,
    just like there's no need to namespace the units.
    
    This commit does not change the Cogl tests: they will be moved to Cogl
    over time, and it's easier to do if we leave them as they are.

 tests/conform/Makefile.am                 |  64 +--
 tests/conform/actor-anchors.c             | 704 +++++++++++++++++++++++++++++
 tests/conform/actor-destroy.c             | 182 ++++++++
 tests/conform/actor-graph.c               | 450 +++++++++++++++++++
 tests/conform/actor-invariants.c          | 377 ++++++++++++++++
 tests/conform/actor-iter.c                | 129 ++++++
 tests/conform/actor-layout.c              | 296 +++++++++++++
 tests/conform/actor-offscreen-redirect.c  | 348 +++++++++++++++
 tests/conform/actor-paint-opacity.c       | 142 ++++++
 tests/conform/actor-pick.c                | 287 ++++++++++++
 tests/conform/actor-size.c                | 211 +++++++++
 tests/conform/animator.c                  | 200 +++++++++
 tests/conform/behaviours.c                |  90 ++++
 tests/conform/binding-pool.c              | 309 +++++++++++++
 tests/conform/cairo-texture.c             | 198 +++++++++
 tests/conform/cally-text.c                | 338 ++++++++++++++
 tests/conform/color.c                     | 313 +++++++++++++
 tests/conform/group.c                     |  57 +++
 tests/conform/model.c                     | 526 ++++++++++++++++++++++
 tests/conform/path.c                      | 710 ++++++++++++++++++++++++++++++
 tests/conform/rectangle.c                 |  56 +++
 tests/conform/score.c                     | 121 +++++
 tests/conform/script-parser.c             | 400 +++++++++++++++++
 tests/conform/shader-effect.c             | 272 ++++++++++++
 tests/conform/state.c                     |  87 ++++
 tests/conform/test-actor-destroy.c        | 182 --------
 tests/conform/test-actor-graph.c          | 450 -------------------
 tests/conform/test-actor-invariants.c     | 377 ----------------
 tests/conform/test-actor-iter.c           | 129 ------
 tests/conform/test-actor-layout.c         | 296 -------------
 tests/conform/test-actor-size.c           | 211 ---------
 tests/conform/test-anchors.c              | 704 -----------------------------
 tests/conform/test-animator.c             | 200 ---------
 tests/conform/test-behaviours.c           |  90 ----
 tests/conform/test-binding-pool.c         | 309 -------------
 tests/conform/test-cairo-texture.c        | 198 ---------
 tests/conform/test-cally-text.c           | 338 --------------
 tests/conform/test-color.c                | 313 -------------
 tests/conform/test-group.c                |  57 ---
 tests/conform/test-model.c                | 526 ----------------------
 tests/conform/test-offscreen-redirect.c   | 348 ---------------
 tests/conform/test-paint-opacity.c        | 142 ------
 tests/conform/test-path.c                 | 710 ------------------------------
 tests/conform/test-pick.c                 | 287 ------------
 tests/conform/test-rectangle.c            |  56 ---
 tests/conform/test-score.c                | 121 -----
 tests/conform/test-script-parser.c        | 400 -----------------
 tests/conform/test-shader-effect.c        | 272 ------------
 tests/conform/test-state.c                |  87 ----
 tests/conform/test-text-cache.c           | 297 -------------
 tests/conform/test-text.c                 | 504 ---------------------
 tests/conform/test-texture-fbo.c          | 241 ----------
 tests/conform/test-texture.c              |  89 ----
 tests/conform/test-timeline-interpolate.c | 162 -------
 tests/conform/test-timeline-rewind.c      |  92 ----
 tests/conform/test-timeline.c             | 360 ---------------
 tests/conform/test-units.c                | 131 ------
 tests/conform/text-cache.c                | 297 +++++++++++++
 tests/conform/text.c                      | 504 +++++++++++++++++++++
 tests/conform/texture-fbo.c               | 241 ++++++++++
 tests/conform/texture.c                   |  89 ++++
 tests/conform/timeline-interpolate.c      | 162 +++++++
 tests/conform/timeline-rewind.c           |  92 ++++
 tests/conform/timeline.c                  | 360 +++++++++++++++
 tests/conform/units.c                     | 131 ++++++
 65 files changed, 8711 insertions(+), 8711 deletions(-)

commit d16f2ac3b545a6b853f5ab3190c6aad07b7b6b1a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 12:54:23 2012 +0000

    conform: Clean up test names
    
    Drop the 'test-' prefix: it's the conformance test suite, we know it's
    full of tests.

 tests/conform/Makefile.am                  |  64 ++--
 tests/conform/test-animator.c              |  10 +-
 tests/conform/test-behaviours.c            |   2 +-
 tests/conform/test-binding-pool.c          |   4 +-
 tests/conform/test-cairo-texture.c         | 198 ++++++++++++
 tests/conform/test-clutter-cairo-texture.c | 198 ------------
 tests/conform/test-clutter-rectangle.c     |  56 ----
 tests/conform/test-clutter-text.c          | 504 -----------------------------
 tests/conform/test-clutter-texture.c       |  89 -----
 tests/conform/test-clutter-units.c         | 131 --------
 tests/conform/test-color.c                 |  20 +-
 tests/conform/test-conform-main.c          | 107 +++---
 tests/conform/test-group.c                 |   4 +-
 tests/conform/test-model.c                 |  24 +-
 tests/conform/test-paint-opacity.c         |  12 +-
 tests/conform/test-rectangle.c             |  56 ++++
 tests/conform/test-score.c                 |   2 +-
 tests/conform/test-script-parser.c         |  28 +-
 tests/conform/test-state.c                 |   4 +-
 tests/conform/test-text.c                  | 504 +++++++++++++++++++++++++++++
 tests/conform/test-texture-fbo.c           |   4 +-
 tests/conform/test-texture.c               |  89 +++++
 tests/conform/test-timeline.c              |   6 +-
 tests/conform/test-units.c                 | 131 ++++++++
 24 files changed, 1122 insertions(+), 1125 deletions(-)

commit e4c948b1502707630f15cb4ef12c6b73f3298a34
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 27 11:59:57 2012 +0000

    actor: Add a method for computing the default paint volume
    
    Now that ClutterActor has a default paint volume, subclasses may wish
    to retrieve it without chaining up to the parent's implementation of
    the get_paint_volume() function.
    
    The get_default_paint_volume() returns a ClutterPaintVolume pointer
    to the paint volume as computed by the default implementation of the
    get_paint_volume() virtual function; it can only be used immediately,
    as it's not guaranteed to survive across multiple frames.

 clutter/clutter-actor.c                    | 125 ++++++++++++++++++++++-------
 clutter/clutter-actor.h                    |   1 +
 clutter/clutter.symbols                    |   1 +
 doc/reference/clutter/clutter-sections.txt |   1 +
 4 files changed, 99 insertions(+), 29 deletions(-)

commit 6a09bf5b52c97668d280357b03720956f83ad79a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 13 22:40:19 2012 +0000

    paint-volume: Add a union method for boxes
    
    Creating PaintVolume instances is not possible, and it's not recommended
    anyway. It is, though, necessary to union paint volumes, especially with
    2D boxes, in some cases.
    
    Clutter should provide a simple convenience function that allows
    unioning volumes to boxes in a moderately efficient way.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670021

 clutter/clutter-paint-volume.c             | 36 ++++++++++++++++++++++++++++++
 clutter/clutter-types.h                    |  2 ++
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 40 insertions(+)

commit 618e04e9ccb14c5a920b0d0974b539267d64a2b7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 24 15:42:11 2012 +0000

    cookbook/examples: Modernize the code
    
    Use new and non-deprecated methods.

 doc/cookbook/examples/cb-button.c                      |  5 +++--
 doc/cookbook/examples/effects-basic.c                  |  7 +++----
 doc/cookbook/examples/events-pointer-motion-crossing.c | 11 ++++++-----
 doc/cookbook/examples/layouts-stacking.c               | 12 ++++++------
 4 files changed, 18 insertions(+), 17 deletions(-)

commit aadbc6df3ec63d65653c30089eb7bd79efcc3e99
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Mon Feb 27 06:53:05 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 600 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 304 insertions(+), 296 deletions(-)

commit fe45b9c4a47cdfa023f6a20b0d9ac4278c3bb758
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Feb 26 14:07:44 2012 +0200

    Uploaded Ukranian

 po/uk.po | 1924 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1043 insertions(+), 881 deletions(-)

commit 8afe002fa96824314c921a00c692ed98e1767f06
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Feb 26 11:12:37 2012 +0900

    Uyghur translation

 po/ug.po | 2343 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2343 insertions(+)

commit 59ba4f5eb0e3f9b43119fe59bd082671bb3c181b
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Feb 25 22:33:41 2012 +0300

    Updated Belarusian translation.

 po/be.po | 600 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 304 insertions(+), 296 deletions(-)

commit 0382bbbc9bfa56ae51bb16b4a12ca87904a1488c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Feb 25 13:49:07 2012 +0100

    Updated Galician translations

 po/gl.po | 600 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 304 insertions(+), 296 deletions(-)

commit 5a84952747d606e75f093a71b0f68c111ec54c47
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Feb 23 21:04:59 2012 +0100

    Updated Slovenian translation

 po/sl.po | 612 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 310 insertions(+), 302 deletions(-)

commit 076d803bb23a7b9b55fea70f795f097f2bb32307
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Feb 23 20:54:23 2012 +0100

    Updated Serbian translation

 po/sr.po       | 517 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 517 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 528 insertions(+), 506 deletions(-)

commit f27e575ad43b98f393895f419898dcced6489b37
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 14:34:26 2012 +0000

    build: Make abicheck.sh backend-aware
    
    It should be possible to adapt the abicheck.sh script so that it
    actually tests the ABI of libclutter-1.0.so taking into account
    the backends that were compiled into Clutter, and avoid expected
    failures if Clutter was not built with a specific backend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670680

 clutter/Makefile.am |  2 +-
 clutter/abicheck.sh | 25 +++++++++++++++++++------
 2 files changed, 20 insertions(+), 7 deletions(-)

commit 78b237b535b58332f41252679c03b91bdc5281d1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 17:21:57 2012 +0000

    Clean up the included headers
    
    Especially inside ClutterStage.

 clutter/clutter-cairo-texture.c  | 1 +
 clutter/clutter-cairo-texture.h  | 1 -
 clutter/clutter-stage.h          | 6 +++---
 clutter/clutter-text.c           | 1 +
 clutter/clutter-texture.c        | 1 +
 clutter/deprecated/clutter-box.c | 1 +
 6 files changed, 7 insertions(+), 4 deletions(-)

commit 630282ac77070d43022c912061d15200aeb4ecea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 17:01:40 2012 +0000

    build: Fix the header order
    
    The "keep the list sorted" comment on the list of headers is there not
    for fun, or because I'm anal-retentive like that.

 clutter/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4a35b443f2e5462dbf6fceb92f20cff2dcebc5b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Feb 23 14:00:35 2012 +0100

    Updated Spanish translation

 po/es.po | 490 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 250 insertions(+), 240 deletions(-)

commit 8f0003f6f0a9dfa9eeb07dc84007824061a6f3a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 12:15:41 2012 +0000

    Post-release version bump to 1.9.13

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12d74cebb95e0a2439a4b418dbf9807de7867b43
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 12:04:29 2012 +0000

    Release Clutter 1.9.12 (snapshot)

 NEWS         | 70 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 71 insertions(+), 1 deletion(-)

commit 39a75436bf93ef5349449feb6e19c27b3088d9c9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 12:01:11 2012 +0000

    docs: Documentation fixes

 clutter/clutter-actor-meta.h      |  6 +++++-
 clutter/clutter-actor.c           |  2 +-
 clutter/clutter-text-buffer.h     | 12 +++++++++---
 clutter/gdk/clutter-backend-gdk.c | 13 +++++++++++++
 4 files changed, 28 insertions(+), 5 deletions(-)

commit 2b35b2a0816155903a2fed663b0a456ee3e74241
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 11:54:41 2012 +0000

    docs: Document ClutterTextBuffer structures

 clutter/clutter-text-buffer.h | 29 ++++++++++++++++++++++++++---
 1 file changed, 26 insertions(+), 3 deletions(-)

commit 0099bbf7d98f3de32a653e5618112f89657c7c5c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 11:50:43 2012 +0000

    docs: Fix unused symbols

 doc/reference/clutter/Makefile.am          | 2 ++
 doc/reference/clutter/clutter-sections.txt | 1 +
 2 files changed, 3 insertions(+)

commit 115f6ee008d2305b068fdd2fe9aa16a5e3468b5d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 11:44:21 2012 +0000

    build: Bump up Cogl dependency
    
    We use the latest stable snapshot.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf435f9512d41139ddb3f6f7eb07bce24289d561
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 23 11:31:26 2012 +0000

    Fix compiler warning

 clutter/clutter-actor.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 6575f25e3258970f68ff4b3391e9c55843be1671
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 21 15:14:26 2012 +0000

    docs: "Soft" deprecation of ClutterAlpha
    
    We cannot deprecate ClutterAlpha yet. We cannot also implement
    ClutterAlpha in terms of ClutterTimeline, because multiple Alpha
    instances can be attached to the same Timeline. So we can start
    with a "soft" deprecation: just a warning in the documentation
    stating that ClutterAlpha will be deprecated, and removed, in the
    future, and that newly-written code should use ClutterTimeline
    instead.

 clutter/clutter-alpha.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit e5f410d4dfd86e3b67896b8961cfdc690c04c2c2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 21 12:34:57 2012 +0000

    Fix the progress function scope annotation

 clutter/clutter-timeline.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f98bb306337f8577f820b1c1e1e28f0e5bf4755d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 10 11:25:40 2011 +0100

    animation: Deprecate Alpha usage
    
    We can use ClutterTimeline and its progress mode inside
    ClutterAnimation; obviously, we have to maintain the invariants because
    of the ClutterAnimation:alpha property, but if all you set is the :mode
    property using one of the Clutter animation modes then we can skip the
    ClutterAlpha entirely.

 clutter/clutter-animation.c | 322 ++++++++++++++++++++++++++------------------
 clutter/clutter-animation.h |  30 +++--
 2 files changed, 208 insertions(+), 144 deletions(-)

commit 7ec975ed3d60c8861dc0a89e873ed928628f5270
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Feb 17 16:06:28 2012 +0000

    timeline: Add progress functions
    
    The whole progress computation should not be done using a separate
    class: it should be part of the Timeline class.

 clutter/clutter-timeline.c                 | 249 +++++++++++++++++++++++++++--
 clutter/clutter-timeline.h                 |  29 +++-
 clutter/clutter.symbols                    |   3 +
 doc/reference/clutter/clutter-sections.txt |   3 +
 4 files changed, 270 insertions(+), 14 deletions(-)

commit 59bd20a94b1644887117e4b96e446567def32a0f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 12 12:32:18 2011 +0100

    Move the easing functions to their own file
    
    Instead of having the easing functions be dependent of ClutterAlpha, and
    static to the clutter-alpha.c source file, we should make them generic
    and move them to their own internal header and source files. This will
    allow to re-use them in the near future.

 clutter/Makefile.am      |   2 +
 clutter/clutter-alpha.c  | 586 +++++++----------------------------------------
 clutter/clutter-easing.c | 380 ++++++++++++++++++++++++++++++
 clutter/clutter-easing.h | 115 ++++++++++
 4 files changed, 575 insertions(+), 508 deletions(-)

commit 1e3debbd9e125d4e318ba91ff1f80131ed18bdfd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 21 11:08:43 2012 +0000

    drag-action: Use the motion event when passing the drag threshold
    
    This avoids a critical warning, but it also makes the dragging more
    fluid in case of threshold crossing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670402

 clutter/clutter-drag-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a8e631543e6e34b40b4a7ae1e345a80db23e6b4d
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 21 15:55:51 2012 +0000

    Reduce our internal dependence on the Cogl 1.x api
    
    Since Cogl has started restricting what cogl 1.x api is exposed when
    COGL_ENABLE_EXPERIMENTAL_2_0_API is defined and since we build all
    Clutter internals with COGL_ENABLE_EXPERIMENTAL_2_0_API defined this
    patch makes a first pass at reducing our internal use of the Cogl 1.x
    api.
    
    The most notable api that's no longer exposed to us internally is
    the cogl_material_ api so this switches all Clutter internals to use the
    cogl_pipeline_ api instead. This patch also makes quite a bit of
    progress removing internal uses of CoglHandle although there is still
    more to go.

 clutter/Makefile.am                      |   1 +
 clutter/clutter-cogl-compat.h            |  52 ++++++
 clutter/clutter-offscreen-effect.c       |  24 +--
 clutter/clutter-offscreen-effect.h       |   1 +
 clutter/clutter-path.c                   |  13 +-
 clutter/clutter-shader-effect.c          |  10 +-
 clutter/clutter-stage-window.h           |  12 ++
 clutter/clutter-texture.c                | 277 ++++++++++++++++++-------------
 clutter/deprecated/clutter-fixed.c       |   4 +
 clutter/deprecated/clutter-shader.c      |   4 +
 clutter/x11/clutter-x11-texture-pixmap.c |  21 +--
 tests/conform/test-cogl-materials.c      |   8 +
 12 files changed, 270 insertions(+), 157 deletions(-)

commit eff95eba4a2e15124eb38a3d1984c6725efcbe4d
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 21 14:23:44 2012 +0000

    Pass context to cogl_texture_pixmap_x11_new() api
    
    The experimental cogl_texture_pixmap_x11_new() api was recently changed
    to take an explicit context argument and return a GError on failures.
    This updates Clutter's use of the api accordingly.

 clutter/x11/clutter-x11-texture-pixmap.c     | 26 ++++++++++++++++++++------
 tests/conform/test-cogl-texture-pixmap-x11.c |  7 ++++++-
 2 files changed, 26 insertions(+), 7 deletions(-)

commit 66cc330c0b4db8de6c819926318744c7f83e1b15
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 21 14:01:22 2012 +0000

    Loosen the guard around clutter_backend_get_cogl_context
    
    We were only exposing clutter_backend_get_cogl_context() if
    COGL_ENABLE_EXPERIMENTAL_2_0_API had been defined but the CoglContext
    api is also available if COGL_ENABLE_EXPERIMENTAL_API has been defined.
    
    As it was it meant that code opting into the experimental Cogl api
    but not limiting to the 2.0 only api would have to #define
    COGL_ENABLE_EXPERIMENTAL_2_0_API before including clutter.h but make
    sure it wasn't defined when including cogl.h which was particularly
    awkward.

 clutter/clutter-backend.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 671ead6681db8e23708396dd8707ece82aaa4326
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 21 13:37:55 2012 +0000

    Rename cogl_framebuffer_swap_* apis to cogl_onscreen_swap_*
    
    Recently the cogl_framebuffer_swap_* apis were moved into the
    cogl_onscreen_* namespace since only CoglOnscreen framebuffers can be
    double buffered. This renames all uses of the cogl_framebuffer_swap_*
    apis in Clutter.

 clutter/cogl/clutter-stage-cogl.c   | 27 +++++++++++++--------------
 clutter/win32/clutter-stage-win32.c |  2 +-
 2 files changed, 14 insertions(+), 15 deletions(-)

commit fbf94310fc175491090076de887d4bcc02a772ee
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 21 13:22:17 2012 +0000

    Pass a CoglContext when calling cogl_pipeline_new
    
    The experimental cogl_pipeline_new() api was recently changed so it
    explicitly takes a CoglContext. This updates all calls to
    cogl_pipeline_new() in clutter accordingly.

 clutter/clutter-actor.c                   |  6 ++++-
 clutter/clutter-blur-effect.c             |  6 ++++-
 clutter/clutter-colorize-effect.c         |  6 ++++-
 clutter/clutter-deform-effect.c           | 41 +++++++++++++++++--------------
 clutter/clutter-desaturate-effect.c       |  6 ++++-
 clutter/clutter-offscreen-effect.c        | 29 +++++++++++++---------
 clutter/cogl/clutter-stage-cogl.c         | 10 +++++---
 clutter/wayland/clutter-wayland-surface.c |  4 ++-
 8 files changed, 69 insertions(+), 39 deletions(-)

commit 89518071f10ac937b739810c5165225d5644d3c2
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Feb 21 11:38:18 2012 +0100

    Updated Galician translations

 po/gl.po | 544 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 276 insertions(+), 268 deletions(-)

commit fd334e652bb42a0e23ad56bb858148c219ca2200
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Tue Feb 21 10:22:48 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 800 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 456 insertions(+), 344 deletions(-)

commit b5369e1e401007cf61d46369956ad71b55001aca
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Mon Feb 20 22:55:26 2012 +0100

    Updated Danish translation

 po/da.po | 1529 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 844 insertions(+), 685 deletions(-)

commit c0e685cd871c31deabf9826246b77ff6efa8e0bc
Author: Kasia Bondarava <kasia.bondarava@gmail.com>
Date:   Sat Feb 18 00:04:55 2012 +0200

    Updated Belarusian translation

 po/be.po | 2368 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2368 insertions(+)

commit 4e345f6edc82a1254124ad56298e9c438bd4d05d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:   Sun Feb 19 17:56:12 2012 +0100

    clutter-drop-action: annotation fixes for some signals
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670433

 clutter/clutter-drop-action.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 2cee6a8efacd4753874c88488435b3a8d1708ff7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Feb 18 00:04:55 2012 +0200

    Updated Lithuanian translation

 po/lt.po | 1568 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 872 insertions(+), 696 deletions(-)

commit 958fbf5f66026f38bf2292765b6dbc629d2da42b
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Wed Feb 15 20:56:43 2012 +0100

    Updated Slovenian translation

 po/sl.po | 545 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 277 insertions(+), 268 deletions(-)

commit 493461e7989fc036b13cf44580c316b42b0c53a6
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Feb 15 19:09:04 2012 +0100

    a11y: remove Container explanation
    
    That explanation is outdated after the last changes on clutter

 clutter/cally/cally-actor.c | 34 ----------------------------------
 1 file changed, 34 deletions(-)

commit c1d43b70c51744dabccfa9040c71a2ea517513aa
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Thu Feb 9 12:32:44 2012 +0100

    a11y: proper ATK role for ClutterStage
    
    ATK_ROLE_CANVAS is not a suitable role, as the user (in general) can't
    draw on the Stage. CallyStage implements AtkWindow, so the proper role
    is ATK_ROLE_WINDOW

 clutter/cally/cally-stage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc126f55eb948a528211bc1649cd20bc7a7c0ed7
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Feb 8 18:46:11 2012 +0100

    a11y: redoing focus stuff
    
    Removing atkcomponent, focus_tracker, etc. Emitting focus state change
    from the stage. Now things are more simple, and stop to use some
    of the soon-to-be-deprecated signals on ATK.

 clutter/cally/cally-actor.c | 114 +++-----------------------------------------
 clutter/cally/cally-actor.h |  17 ++++---
 clutter/cally/cally-stage.c |  47 ++++++++++++++++++
 3 files changed, 61 insertions(+), 117 deletions(-)

commit 5b4d29bc4af6a92eb3ad700ec150c5764be1115f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 15 17:43:31 2012 +0000

    docs: Note when new ClutterBindCoordinate values were added
    
    The shorthands for position and size were added in 1.6.

 clutter/clutter-enums.h | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f97ffe544fb148c5acd2bb60ac38784de76b469b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 15 15:58:36 2012 +0000

    interactive/layout: Update to modern API
    
    No need to override Container. Actually, no need to use the Container
    API at all. This also removes a bunch of leaks.

 tests/interactive/test-layout.c | 216 +++++++---------------------------------
 1 file changed, 35 insertions(+), 181 deletions(-)

commit 851d2a42c4e840f01d67e6fb8400835e3bb28c37
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Feb 15 17:54:45 2012 +0100

    ClutterBindConstraint: Add CLUTTER_BIND_ALL coordinate
    
    Add a CLUTTER_BIND_ALL that binds both size and position.

 clutter/clutter-bind-constraint.c | 7 +++++++
 clutter/clutter-enums.h           | 6 ++++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit b8e5603a8585f6a4429263e6110a94132a7ad93d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 15 14:20:59 2012 +0000

    x11/stage: Allow setting fullscreen hint before realize
    
    It should be possible to do:
    
      clutter_stage_set_fullscreen (stage, TRUE);
      clutter_actor_show (stage);
    
    and have the stage be full screen as soon as it is shown.
    
    Currently, we need to call clutter_actor_realize() prior to calling
    set_fullscreen(), otherwise the backing X window will not be set,
    and ClutterStageX11 will silently discard the change.
    
    If set_fullscreen() was called prior to realization, ClutterStageX11
    should delay setting the fullscreen hint until the realize() chain
    has been successfully executed.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2515

 clutter/x11/clutter-stage-x11.c | 205 +++++++++++++++++++++-------------------
 clutter/x11/clutter-stage-x11.h |  11 ++-
 2 files changed, 114 insertions(+), 102 deletions(-)

commit c62b69bb14b12617179e81987835099bdffd2ffc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 15 13:43:15 2012 +0000

    conform/invariants: Clean up
    
    Use modern API, and add a minimal check that hiding an actor will cause
    it to unmap.

 tests/conform/test-actor-invariants.c | 158 ++++++++++++++++++++--------------
 tests/conform/test-conform-main.c     |  18 ++--
 2 files changed, 103 insertions(+), 73 deletions(-)

commit ffc526044845e34c1e1210f63478342815621fbd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Feb 15 12:59:01 2012 +0100

    Updated Spanish translation

 po/es.po | 538 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 270 insertions(+), 268 deletions(-)

commit d31bd6fe927dc5fd8a9c48695efc88d3e8ddabb5
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Jan 24 12:45:52 2012 +0000

    x11: adjust size to minimal size when realizing
    
    If you execute the following sequence :
    
    stage = clutter_stage_new ();
    clutter_actor_set_size (stage, 1280, 800);
    clutter_actor_realize (stage);
    
    Then you end up creating an onscreen buffer of size 1280x800 but
    ClutterStageX11 storing the stage size at 640x480.
    
    This patch resync the 2 implementation by using the ClutterStage's
    size in both classes when realizing.
    
    Signed-off-by: Lionel Landwerlin <llandwerlin@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667540

 clutter/x11/clutter-stage-x11.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b1ff53d98017089667e29135c49bf451446a4f74
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 15 09:30:18 2012 +0000

    effects: Delay the creation of the base pipeline
    
    Unconditionally creating CoglPipeline and CoglSnippets inside the class
    initialization functions does not seem to be enough when dealing with
    headless builds.
    
    Our last resort is to lazily create the base pipeline the first time we
    try to copy it, during the instance initialization.

 clutter/clutter-blur-effect.c       | 37 ++++++++++++++++++----------------
 clutter/clutter-colorize-effect.c   | 40 ++++++++++++++++++-------------------
 clutter/clutter-desaturate-effect.c | 39 ++++++++++++++++++------------------
 3 files changed, 60 insertions(+), 56 deletions(-)

commit d81ae9dd650f0a780cbd0ccedfe38d3150e2ac22
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Feb 15 10:17:45 2012 +0100

    Updated Serbian translation

 po/sr.po       | 529 ++++++++++++++++++++++++++++-----------------------------
 po/sr@latin.po | 529 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 512 insertions(+), 546 deletions(-)

commit 84632d9c1d54d6902bee42bb9a1aa9f4bf773a90
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 14 15:43:38 2012 -0500

    actor: Correct get_paint_volume for an actor with no children and no clip
    
    We do not need to repaint the entire stage if an actor has no children
    and no clip.

 clutter/clutter-actor.c | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

commit 114250e329b71cbcdd46ff8788afb87c5ea70c6d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 14 16:17:07 2012 -0500

    clutter.symbols: Fix up symbols

 clutter/clutter.symbols | 1 +
 1 file changed, 1 insertion(+)

commit c1a57e537b07e0036cec491044d92b5becdbc4b8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 14 17:14:25 2012 +0000

    Do not check for features inside class initialization
    
    The class initialization function may be called when Clutter hasn't been
    fully initialized — for instance, when scanning the source with gtk-doc
    or with the introspection scanner.

 clutter/clutter-blur-effect.c       | 19 +++++++------------
 clutter/clutter-colorize-effect.c   | 16 ++++++----------
 clutter/clutter-desaturate-effect.c | 16 ++++++----------
 3 files changed, 19 insertions(+), 32 deletions(-)

commit 553f446315f6d6122fd75277e4fde1d9526532f5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 14 16:50:52 2012 +0000

    interactive/actor: Add more animations
    
    Rotation along the Y axis and depth change.

 tests/interactive/test-actor.c | 74 ++++++++++++++++++++++++++++++++++++++----
 1 file changed, 68 insertions(+), 6 deletions(-)

commit c44ffb02f52682080f73e827ecaf06d520f8125d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 14 15:48:15 2012 +0000

    interactive/actor: Use a BoxLayout
    
    As it was intended.

 tests/interactive/test-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f854619bc976775af7c2a7ab7d52cec7cc0c490c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 14 15:39:15 2012 +0000

    box-layout: Fix allocation brain farts
    
    The allocation code for BoxLayout contains a sequence of brain farts
    that make it barely working since the synchronization of the layout
    algorithm to the one in GtkBox.
    
    The origin of the layout is inverted, and it doesn't take into
    consideration a modified allocation origin (for actors the provide
    padding or margin).
    
    The pack-start property is broken, and it only works because we walk the
    children list backwards; this horribly breaks when a child changes
    visibility. Plus, we count invisible children, which leads to
    allocations getting insane origins (either close to -MAX_FLOAT or
    MAX_FLOAT).
    
    Finally, the allocation is applied twice even for non-animated cases.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669291

 clutter/clutter-box-layout.c | 67 ++++++++++++++++++++++++++------------------
 1 file changed, 39 insertions(+), 28 deletions(-)

commit dbd603c5046254b555293b376dfbb59f80521311
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Tue Feb 14 16:37:51 2012 +0100

    ClutterStage: notify "key-focus" change on clutter_stage_emit_key_focus_event

 clutter/clutter-stage.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0f5ddb6d6c05e08f1c5c74f2ac867f2f6ec30077
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Feb 13 22:40:15 2012 -0500

    actor: Add freeze/thaw when changing the first/last child
    
    This should improve performance when adding/removing lots
    of children.

 clutter/clutter-actor.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit cf735b54df4bce53cac6e3ae9d41f4c88037f3a7
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 10 16:46:45 2012 +0000

    wayland: Add accessor API to permit access to underlying Wayland structures
    
    * clutter_wayland_input_device_get_wl_input_device for the input device
    * clutter_wayland_stage_get_wl_surface for the Wayland surface
    * clutter_wayland_stage_get_wl_shell_surface for the shell surface

 clutter/Makefile.am                            |  4 ++
 clutter/wayland/clutter-input-device-wayland.c | 29 +++++++++++++
 clutter/wayland/clutter-stage-wayland.c        | 58 ++++++++++++++++++++++++++
 clutter/wayland/clutter-wayland.h              | 48 +++++++++++++++++++++
 4 files changed, 139 insertions(+)

commit 84362a8257e0ce06fecf7b23c1adb6f15f4649c9
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 10 16:44:32 2012 +0000

    build: Install a clutter-wayland pkg-config file

 clutter/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit 3218cd686580d0c0e15d4ef88199e6f90e6e23b1
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Nov 28 13:46:30 2011 +0000

    Convert all of the internal shader-based effects to use snippets
    
    This converts the blur, colorize and desaturate effects to use
    snippets instead of CoglPrograms. Cogl can handle the snippets much
    more efficiently than programs so this should be a performance win. It
    also fixes the problem that Cogl would end up recompiling the program
    for every instance of the effects because Clutter was not reusing the
    same program.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-blur-effect.c       | 197 ++++++++++++++++--------------------
 clutter/clutter-colorize-effect.c   | 178 ++++++++++++++++----------------
 clutter/clutter-desaturate-effect.c | 175 ++++++++++++++++----------------
 3 files changed, 260 insertions(+), 290 deletions(-)

commit b4887c3699e70a221b4e3b68ff2996d8c541f714
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Feb 13 15:11:44 2012 +0000

    blur-effect: Use the texture size to work out the x/y step
    
    The blur effect needs to pass a uniform to the GLSL shader so that it
    can know the texture coordinate offset from one texel to another. To
    calculate this the blur effect was previously using the allocation
    size of the actor rounded up to the next power of two. Presumably the
    assumption was that Cogl would round up the size of the texture to the
    next power of two when allocating the texture. However this is not be
    true if the driver supports NPOT textures. Also it doesn't take into
    account the paint volume of the actor which may cause the texture to
    be a completely different size. This patch just changes to directly
    use the size of the texture.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-blur-effect.c | 41 +++++++++++++++--------------------------
 1 file changed, 15 insertions(+), 26 deletions(-)

commit 041ac40056f8f2e882b37ce51c9c0baed18e1f83
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Nov 28 11:53:54 2011 +0000

    offscreen-effect: Add clutter_offscreen_effect_get_texture
    
    Sometimes a subclass of ClutterOffscreenEffect wants to paint with a
    completely custom material. In that case it is awkward to modify the
    material returned owned by ClutterOffscreenEffect so it makes more
    sense to just get the texture and manage its own material.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-offscreen-effect.c         | 88 ++++++++++++++++++++----------
 clutter/clutter-offscreen-effect.h         |  2 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 3 files changed, 61 insertions(+), 30 deletions(-)

commit 0f04a1cd11500c943b41351ea603331f0bc6d746
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Feb 10 10:46:25 2012 +0000

    tests: Remove conformance tests that have been ported to Cogl
    
    A lot of the conformance tests that were just testing Cogl
    functionality have been ported to be standalone Cogl tests in the Cogl
    source tree. This patch removes those from Clutter so we don't have to
    maintain them in two places.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 tests/conform/Makefile.am                      |  11 -
 tests/conform/test-cogl-backface-culling.c     | 340 -------------------
 tests/conform/test-cogl-blend-strings.c        | 433 -------------------------
 tests/conform/test-cogl-depth-test.c           | 336 -------------------
 tests/conform/test-cogl-just-vertex-shader.c   | 138 --------
 tests/conform/test-cogl-offscreen.c            | 163 ----------
 tests/conform/test-cogl-path.c                 | 235 --------------
 tests/conform/test-cogl-pipeline-user-matrix.c | 146 ---------
 tests/conform/test-cogl-primitive.c            | 245 --------------
 tests/conform/test-cogl-sub-texture.c          | 368 ---------------------
 tests/conform/test-cogl-texture-3d.c           | 230 -------------
 tests/conform/test-cogl-wrap-modes.c           | 319 ------------------
 tests/conform/test-conform-main.c              |  13 -
 13 files changed, 2977 deletions(-)

commit 0e542aa30615353e4279e5ee3ef6430872584c4e
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 9 17:22:24 2012 +0000

    clutter-texture: Don't create a dummy texture
    
    All of the pipelines used for ClutterTexture actors share a common
    pipeline ancestor created with cogl_pipeline_copy. Previously this
    ancestor had a dummy 1x1 texture attached to it so that it would end
    up with the same state as the child pipelines that will render with a
    texture. Cogl now has a mechanism to specify that a texture will be
    used with a pipeline layer without having to create an actual texture.
    This patch makes it use that to avoid having an unused texture.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-texture.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit f861c788c9c9df4d5eaa62639c2cbde743b8118c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Feb 14 09:52:14 2012 +0800

    Update VS property sheets
    
    "Install" the "new" deprecated/clutter-timeline.h header

 build/win32/vs10/clutter.props  | 2 ++
 build/win32/vs9/clutter.vsprops | 1 +
 2 files changed, 3 insertions(+)

commit e3151228958e66fc8a0271c6cffd26234aa9ab69
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Feb 13 17:12:41 2012 -0500

    actor: Allow insert_child_at_index to add a child at the end with an index
    
    If we have N children and the user passes N (or a number beyond N) to
    clutter_actor_insert_child_at_index, we should respond by adding the
    child at the end, not silently doing nothing.

 clutter/clutter-actor.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit bbb7da03ac56a600b72dd81708db3f2af2113887
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 18:19:48 2012 +0000

    Add a note on the paint volume origin
    
    This should avoid trying to fix the origin of a paint volume set from
    the allocation's origin, and thus breaking everything.
    
    A PaintVolume for an actor is defined to be relative to the actor's
    modelview unless specifically modified by internal functions; the origin
    of an actor's allocation is, on the other hand, parent-relative.

 clutter/clutter-actor.c        | 5 ++++-
 clutter/clutter-paint-volume.c | 8 ++++++--
 clutter/clutter-types.h        | 5 ++++-
 3 files changed, 14 insertions(+), 4 deletions(-)

commit 8512dd2336f6583e52cbc46d0133ab47dd75b30a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Feb 13 12:43:08 2012 -0500

    actor: Only care about a child's paint volume when clip_to_allocation isn't set
    
    If we're clipping to the allocation, then the child can paint wherever it
    wants, and we don't care. The paint volume is the allocation here.

 clutter/clutter-actor.c | 67 ++++++++++++++++++++++++++-----------------------
 1 file changed, 35 insertions(+), 32 deletions(-)

commit b5aa666dcd853b063c44f279e41b73e2f792e1aa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 17:56:12 2012 +0000

    actor: Remove stray cogl_object_unref()
    
    The outline primitive is static, so unref'ing it makes Clutter crash.

 clutter/clutter-actor.c | 1 -
 1 file changed, 1 deletion(-)

commit 3996ae4348e4545c36a14f2aa6d57bb68c2023b9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 17:26:37 2012 +0000

    actor: Add destroy_all_children()
    
    There are times when we don't want to remove all children and count of
    the reference count to drop to 0 to ensure destruction; there are cases,
    such as managed environments, where it's preferable to ensure that the
    children of an actor get actually destroyed.

 clutter/clutter-actor.c                    | 51 ++++++++++++++++++++++++++++++
 clutter/clutter-actor.h                    |  1 +
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  4 ++-
 4 files changed, 56 insertions(+), 1 deletion(-)

commit 83119966a4216813cb8b641fd827b07be6bc7bfd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 16:58:30 2012 +0000

    interactive/depth: Drop deprecated API

 tests/interactive/test-depth.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 5b17b4e41bf861ceb35ca887293db23ae13fe9a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 16:47:17 2012 +0000

    interactive/*: Update the API usage
    
    Drop some deprecated methods.

 tests/interactive/test-actor-clone.c     | 4 ++--
 tests/interactive/test-actors.c          | 4 ++--
 tests/interactive/test-animation.c       | 2 +-
 tests/interactive/test-behave.c          | 4 ++--
 tests/interactive/test-bin-layout.c      | 2 +-
 tests/interactive/test-cairo-clock.c     | 2 +-
 tests/interactive/test-cairo-flowers.c   | 4 ++--
 tests/interactive/test-depth.c           | 2 +-
 tests/interactive/test-devices.c         | 2 +-
 tests/interactive/test-easing.c          | 2 +-
 tests/interactive/test-fbo.c             | 4 +---
 tests/interactive/test-flow-layout.c     | 2 +-
 tests/interactive/test-layout.c          | 2 +-
 tests/interactive/test-multistage.c      | 6 +++---
 tests/interactive/test-paint-wrapper.c   | 4 ++--
 tests/interactive/test-pixmap.c          | 2 +-
 tests/interactive/test-scale.c           | 9 +++------
 tests/interactive/test-shader-effects.c  | 4 ++--
 tests/interactive/test-shader.c          | 2 +-
 tests/interactive/test-state.c           | 2 +-
 tests/interactive/test-text-field.c      | 2 +-
 tests/interactive/test-text.c            | 2 +-
 tests/interactive/test-texture-async.c   | 2 +-
 tests/interactive/test-texture-quality.c | 2 +-
 tests/interactive/test-threads.c         | 4 ++--
 25 files changed, 36 insertions(+), 41 deletions(-)

commit bc7959069b6755052b76eccfc22d6543d77116cc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 16:05:21 2012 +0000

    Deprecate ClutterStage:color
    
    ClutterActor has a background-color property, now; we should use it for
    the Stage, re-implement the color property in terms of background-color.
    and deprecate the Stage property.

 clutter/clutter-stage.c            | 57 +++++++++++++++++++-------------------
 clutter/clutter-stage.h            |  4 ---
 clutter/deprecated/clutter-stage.h | 27 ++++++++++++------
 3 files changed, 47 insertions(+), 41 deletions(-)

commit d808367fe451005cf1e7923434cf08d2afc0c29c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 15:26:26 2012 +0000

    docs: Use ClutterTimeline:repeat-count instead of :loop

 doc/reference/clutter/clutter-animation-tutorial.xml | 15 +++++++++++----
 doc/reference/clutter/migrating-ClutterBehaviour.xml |  2 +-
 2 files changed, 12 insertions(+), 5 deletions(-)

commit cf9c4e651d0527be08f889a246c3366171437e4b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 15:04:18 2012 +0000

    timeline: Move deprecated methods into a separate header

 clutter/Makefile.am                   |  1 +
 clutter/clutter-deprecated.h          |  1 +
 clutter/clutter-timeline.h            | 10 ---------
 clutter/deprecated/clutter-timeline.h | 41 +++++++++++++++++++++++++++++++++++
 4 files changed, 43 insertions(+), 10 deletions(-)

commit cf1abda709f0eadb30a25bdf74efafcf4f46f4f0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 15:04:00 2012 +0000

    animation: Do not use deprecated timeline methods

 clutter/clutter-animation.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 657e0ce093198b83851f90ac47809b1732e3fa6e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 14:58:47 2012 +0000

    cookbook: Use clutter_timeline_set_repeat_count()

 doc/cookbook/animations.xml                         | 8 ++++----
 doc/cookbook/examples/animations-looping-animator.c | 2 +-
 doc/cookbook/examples/animations-looping-implicit.c | 2 +-
 doc/cookbook/examples/animations-path-circle.c      | 2 +-
 doc/cookbook/examples/animations-path.c             | 2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

commit 97feb06a6f4fbfb40af09e3436c81ec9a253ba4c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 14:45:06 2012 +0000

    timeline: Add repeat-count
    
    Being able to easily set the number of repeats has been a request for
    the animation framework for some time now. The usual way to implement
    this is: connect to the ::completed signal, use a static counter, and
    stop the timeline when the counter hits a specific spot.
    
    In the same light as the :auto-reverse property, we can make it easier
    to implement this common functionality by adding a :repeat-count
    property that, when set, limits the amount of loops that a Timeline can
    perform before stopping itself.
    
    In fact, we can implement the :loop property in terms of the
    :repeat-count property just by using a sentinel value mapping to
    "infinity", and map loop=FALSE to repeat-count=0, and loop=TRUE to
    repeat-count=-1.

 clutter/clutter-timeline.c                 | 181 +++++++++++++++++++++++------
 clutter/clutter-timeline.h                 |  13 ++-
 clutter/clutter.symbols                    |   2 +
 doc/reference/clutter/clutter-sections.txt |   6 +-
 4 files changed, 163 insertions(+), 39 deletions(-)

commit 42774689282a5d13210ab5943bbb75e6a3a0e047
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 13:44:52 2012 +0000

    timeline: Deprecate the clone() method
    
    The clutter_timeline_clone() method was a pretty dumb idea when it was
    introduced, back when we still had the ClutterEffectTemplate and the
    clutter_effect_* animation API. It has since become an API wart: we
    cannot change or add new properties to be cloned without the risk of
    breaking existing code. All in all, cloning a GObject is just a matter
    of calling g_object_new() with the wanted properties.
    
    Let's deprecate this throwback of the Olden Days™, so that we can remove
    it for good once we break for 2.0.

 clutter/clutter-timeline.c | 19 +++++++++++++------
 clutter/clutter-timeline.h |  1 +
 2 files changed, 14 insertions(+), 6 deletions(-)

commit bc2e4ac6c2ebdf00996f472f6583b582c5250a94
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 13:39:47 2012 +0000

    Clean up clutter-timeline.h
    
    Re-align everything to allow expansion, and move the only "protected"
    function to the clutter-master-clock.h private header.

 clutter/clutter-master-clock.h | 20 +++++-----
 clutter/clutter-timeline.h     | 90 ++++++++++++++++++++----------------------
 2 files changed, 54 insertions(+), 56 deletions(-)

commit aec65c91980888fca45d367ec8c33a32352de686
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Feb 9 15:45:14 2012 -0500

    actor-meta: Correct annotations for vfuncs
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-actor-meta.h | 5 +++++
 1 file changed, 5 insertions(+)

commit 96031a4f6f53dfb1067e1e3a176ac5103fd7d59d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Feb 9 08:48:18 2012 -0500

    actor: Fix some broken annotations
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-actor.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 3adcbb265c7f592abd6a7a98a257cbb610235d52
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 13 11:43:26 2012 +0000

    Update the Clutter moduleset

 build/clutter.modules | 459 ++++++++++++++++++++++++++++++--------------------
 1 file changed, 272 insertions(+), 187 deletions(-)

commit d8a51726e13e98cdce2a57782e33a12e570086d9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 13 08:59:09 2012 +0000

    actor: Implement remove_all_children using ActorIter
    
    The remove_all_children() method is an ideal candidate for using the
    ActorIter API; the end result is more compact and easy to follow.

 clutter/clutter-actor.c | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit 8f6da170bc2e8fb9ca02970ca864add9f7722c5d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 13 08:52:08 2012 +0000

    input-device: Do not use weak references with actors
    
    Use the ClutterActor::destroy signal.

 clutter/clutter-input-device.c | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit f024b852f9bb90d4efeba78ae255bfa6c25aa27e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 13 08:45:22 2012 +0000

    stage: Do not use weak refs with actors
    
    ClutterActor provides a signal for notifying destruction: using weak
    references is neither indicated nor recommended.

 clutter/clutter-stage.c | 38 ++++++++++++++------------------------
 1 file changed, 14 insertions(+), 24 deletions(-)

commit 519da376f070f8688a41b672601779aa99bec28a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 13 08:44:40 2012 +0000

    stage: Clean up
    
    Remove some ifdeffed out dead code, and some duplication.

 clutter/clutter-stage.c | 95 +++++++++----------------------------------------
 1 file changed, 16 insertions(+), 79 deletions(-)

commit cd118f0dc0172be089519b47da721eeca67bbc30
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Feb 11 16:02:31 2012 +0000

    text: Fix regression
    
    When the ClutterTextBuffer support inside ClutterText was merged, it
    introduced a regression that was identified and fixed in bug 659116.
    
    The optimization to not paint empty ClutterText actors is only valid
    is the actor is not editable, or if the cursor is not visible.

 clutter/clutter-text.c | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit f770cce7a5b0efaac3ae5732fe9673d68528b8d3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 10 12:26:43 2012 +0000

    build: Fix platform_linux check
    
    Missing * at the end.
    
    As a side effect, this commit enables the ABI check when running make
    check inside the clutter/ directory.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66451e75d31e79e3c25f6dcbb8cf0a1b10d91d99
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 10 16:15:06 2012 +0800

    Update config.h.win32(.in)
    
    Make it more like the config.h(.in) in terms of the entries to check.

 config.h.win32.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ca9b27615dcd79573ac94d670f905b39bf1bd3e5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 10 16:10:47 2012 +0800

    Update Visual C++ property sheets
    
    -Stop installing the cookbook items for now
    -Reflect on newly added and deprecated public headers

 build/win32/vs10/clutter.props  | 22 ++++++++--------------
 build/win32/vs9/clutter.vsprops | 12 ++++--------
 2 files changed, 12 insertions(+), 22 deletions(-)

commit 5220d659e0b9f2cffb246019ee19605f255e1af7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 10 15:50:55 2012 +0800

    Update Clutter Visual C++ projects
    
    Link also to GIO as the GResource APIs from GIO is now being used

 build/win32/vs10/clutter.vcxprojin | 8 ++++----
 build/win32/vs9/clutter.vcprojin   | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 001e83940156d083696781cdce09a6906283f868
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 18:42:27 2012 +0000

    Add abicheck.sh
    
    Courtesy of GLib and GTK+. The abicheck.sh is a simple, Linux-only,
    script to check that we're not leaking private symbols, or that the
    clutter.symbols file hasn't been updated.
    
    In theory, it should go inside the distcheck phase.

 clutter/Makefile.am | 18 ++++++++++++++++++
 clutter/abicheck.sh | 11 +++++++++++
 2 files changed, 29 insertions(+)

commit de9efd98a70bfc1aa652b2758eb3d02fc6ad58af
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 18:41:55 2012 +0000

    symbols: Update
    
    Add a bunch of missing public symbols, and remove some cruft.

 clutter/clutter.symbols | 72 +++++++++++++++++++++----------------------------
 1 file changed, 31 insertions(+), 41 deletions(-)

commit 92f6b520cb27e45f6682b0b06d76fed36ad43cfa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 18:41:19 2012 +0000

    build: Identify the Linux hosts
    
    This gives us a nice conditional, like the one we have on Windows and
    OSX.

 configure.ac | 6 ++++++
 1 file changed, 6 insertions(+)

commit 910b09d70a41ab58a14d316143a5354c332d2cc1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 18:40:03 2012 +0000

    Mark internal symbol as private
    
    A bunch of private symbols have escaped into the SO; let's rectify this
    situation by using the '_' private prefix, or making them static as they
    should have been.

 clutter/clutter-actor.c          |  6 ++--
 clutter/clutter-list-model.c     | 20 +++++++-------
 clutter/clutter-master-clock.c   |  2 ++
 clutter/clutter-master-clock.h   |  4 +--
 clutter/clutter-model-private.h  | 59 ++++++++++++++++++++++++++++------------
 clutter/clutter-model.c          | 52 +++++++++++++++++------------------
 clutter/clutter-script-parser.c  |  2 ++
 clutter/clutter-script-private.h |  4 +--
 8 files changed, 89 insertions(+), 60 deletions(-)

commit 8ba0351c7ab8f1c9e0d76c78fb56c3b9e8fe4210
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 16:44:28 2012 +0000

    conform/actor: Add unit for the Container signals
    
    ClutterActor should be emitting signals defined on the ClutterContainer
    interface, as well as ensuring that manipulating the scene graph is
    still possible from within them.
    
    The new unit checks that we're emitting signals, by implementing
    something similar to the Bin class available in toolkits like gtk, st,
    and mx — i.e. a container that can only hold one child at any given
    point.

 tests/conform/test-actor-graph.c  | 74 +++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  1 +
 2 files changed, 75 insertions(+)

commit fee53a2993db3795bd7ffbb4e878c807ccdaa80c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Dec 21 15:13:53 2011 +0000

    clutter-backend: Use the Cogl main loop mechanism
    
    Cogl now requires that all applications integrate their main loop with
    Cogl so that it can listen for events from winsys. This patch just
    adds Cogl's GSource to the main loop.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>
    Reviewed-by: Robert Bragg <robert@linux.intel.com>

 clutter/clutter-backend-private.h | 1 +
 clutter/clutter-backend.c         | 6 ++++++
 2 files changed, 7 insertions(+)

commit bace07c0a02198a97f89c516849e5161e20d26c3
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Feb 9 16:04:19 2012 +0000

    Updates use of Cogl in line with api changes
    
    Some of Cogl's experimental apis have changed so that the buffer apis
    now need to be passed a context argument and some drawing apis have been
    replaced with cogl_framebuffer_ drawing apis that take explicit
    framebuffer and pipeline arguments.
    
    These changes were made as part of Cogl moving towards a more stateless
    api that doesn't rely on a global context.
    
    This patch updates Clutter to work with the latest Cogl api and bumps
    the required Cogl version to 1.9.5.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>
    Reviewed-by: Neil Roberts <neil@linux.intel.com>

 clutter/clutter-actor.c                | 18 ++++++----
 clutter/clutter-deform-effect.c        | 27 ++++++++-------
 configure.ac                           |  2 +-
 tests/conform/test-cogl-pixel-buffer.c | 12 +++++--
 tests/conform/test-cogl-primitive.c    | 60 +++++++++++++++++++++-------------
 5 files changed, 75 insertions(+), 44 deletions(-)

commit d0e945fb70814ce1f75afef3baebd1b3cd352cb9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 15:49:30 2012 +0000

    actor: Add ClutterActorIter.destroy()
    
    Similar to the clutter_actor_iter_remove(), but it'll call destroy()
    instead of remove_child().
    
    We can also reimplement the ::destroy default handler using it, and make
    it more compact.

 clutter/clutter-actor.c | 49 ++++++++++++++++++++++++++++++++++++++++++-------
 clutter/clutter-actor.h |  1 +
 2 files changed, 43 insertions(+), 7 deletions(-)

commit 59bb19a4494d4be2b431cf62ccb34efc894cd027
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 15:43:25 2012 +0000

    actor: Add a default handler for ::destroy
    
    Now that ClutterActor can be instantiated, we need to do the right
    thing, and destroy its children when it is destroyed.

 clutter/clutter-actor.c | 54 ++++++++++++++++++++++++++++++++-----------------
 1 file changed, 35 insertions(+), 19 deletions(-)

commit 630e602eac37b831677376c33b208a5c536f8260
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 15:38:11 2012 +0000

    docs: Update the Container interface documentation
    
    The API reference should be more explicit about which parts of the
    interface should be overridden, and which are deprecated.

 clutter/clutter-container.c | 58 +++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 53 insertions(+), 5 deletions(-)

commit 0c715d00264241307b53a7d167352b127b46d314
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 9 14:22:31 2012 +0000

    conform/actor-graph: Add more cases
    
    The actor-insert unit is not exercising the whole API and its allowed
    arguments; this let sneak in the buglet found in bug 669730.

 tests/conform/test-actor-graph.c | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit a023bb341201b0dbb438efaef8d9d03ce99269de
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Thu Feb 9 02:13:50 2012 +0100

    actor: Fix add_child_at_index() for negative index
    
    There is a typo in the check for a negative index: the index variable
    should be index_, not index - unfortunately, the latter can still be
    resolved to index(3), so compiler and linker are perfectly happy.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669730

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74821f61c0f0880545dd12fd96be1539a9e72894
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Feb 8 21:40:54 2012 +0100

    Updated Serbian translation

 po/sr.po       | 1520 +++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 1520 +++++++++++++++++++++++++++++++-------------------------
 2 files changed, 1710 insertions(+), 1330 deletions(-)

commit e7511dd4695a0b817e439743d2263275814de72e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 7 11:36:27 2012 +0000

    text: Avoid changing the contents when possible
    
    An editable ClutterText will reset the selection and cursor whenever the
    contents are changed — even if those contents are the same. As this may
    confuse the user, we should check if we're setting the exact same string,
    and bail out if necessary.

 clutter/clutter-text.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit d509455de0f95fc804eb91776ec9e051df7cbca5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 7 11:33:12 2012 +0000

    text: Fix annotations
    
    Both set_text() and set_markup() have relaxed their preconditions on a
    non-NULL string as their argument, so we need to update the annotations.

 clutter/clutter-text.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 15441bb28029d3d328c4a450a384fa822c5fd023
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 7 11:31:28 2012 +0000

    text: Style cleanups
    
    Inline wrapper functions, and remove deep nested if's.

 clutter/clutter-text.c | 70 ++++++++++++++++++++++++++------------------------
 1 file changed, 37 insertions(+), 33 deletions(-)

commit 1d55af9dfacb7cc3bad2e36644b8933ddd6f87ca
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 7 11:30:43 2012 +0000

    interactive/text-field: Modernize

 tests/interactive/test-text-field.c | 79 ++++++++++++++++++++-----------------
 1 file changed, 42 insertions(+), 37 deletions(-)

commit 7ba9774572e44ad0049ecc8acb5dd093c9b0bbd1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 6 18:23:21 2012 +0000

    text: Add the coords_to_position() method
    
    The reverse of position_to_coords().
    
    While providing documentation on how to implement it using the
    PangoLayout API, I realized that the verbosity of it all, plus the usage
    of the Pango API, was not worth it, and decided to expose the method we
    are using internally.

 clutter/clutter-text.c                     | 30 +++++++++++++++++++++---------
 clutter/clutter-text.h                     |  3 +++
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 26 insertions(+), 9 deletions(-)

commit 3305105a8cf69dcc4ced98a896264559ef9d0f42
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 6 17:34:26 2012 +0000

    docs: Fix up Since annotation
    
    We only use stable releases for "since" tags.

 clutter/clutter-text.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit de64ccb45150d9f7cbaf1ec8f7c6de2680083a01
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 6 16:45:15 2012 +0000

    Post-release version bump to 1.9.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d7ec670f1fccddc2666b53b0947a2ff77805634
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 6 16:40:00 2012 +0000

    Release 1.9.10 (snapshot)

 NEWS         | 39 +++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 40 insertions(+), 1 deletion(-)

commit 8b904aa626a3b67a2058c86ee5bc7ef14aac024d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 6 16:34:18 2012 +0000

    docs: Update release notes

 README.in | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit ad276865d2874b53311840eee79dd4d41ef2dc77
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sun Jan 29 21:29:38 2012 +0900

    Fixed clutter_state_remove_key_internal() to propagate the is_inert state
    
    This was causing warnings when calling g_object_weak_unref on an
    already finalized object.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668951

 clutter/clutter-state.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 047f60b13829bc8fee66c9107e90f1aacf40cf93
Author: Tristan Van Berkom <tristanvb@openismus.com>
Date:   Sat Feb 4 22:43:51 2012 +0900

    Fix Makefile to properly include clutter-backend-eglnative.h in the disted tarball
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669360

 clutter/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit ce9564e5584381794ea6b8fae379ad2c3b499bef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 6 15:34:13 2012 +0000

    model: Drop GValueArray usage
    
    We can use a plain C array of GValues when deserializing a ClutterModel
    implementation from a ClutterScript description.

 clutter/clutter-model.c | 49 ++++++++++++++++++++++++++++---------------------
 1 file changed, 28 insertions(+), 21 deletions(-)

commit d699328f7fbefc49df5bcfe6703a707e9478d7a5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 6 14:37:49 2012 +0000

    list-model: Migrate from GValueArray
    
    GValueArray is on its way to deprecation in GLib; as far as the
    ListModel class is concerned, a plain C array of GValue is a perfectly
    suitable replacement for the GValueArray usage. It actually is an
    improvement, given that it's going to take less memory.

 clutter/clutter-list-model.c | 63 ++++++++++++++++++++++++--------------------
 1 file changed, 35 insertions(+), 28 deletions(-)

commit bfe71293757468f56922b138ba299dfda449fa2d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 5 08:47:17 2012 +0000

    Clean up clutter-actor.h
    
    It's time, we delayed far too long.

 clutter/clutter-actor.h | 623 +++++++++++++++++++++++-------------------------
 1 file changed, 301 insertions(+), 322 deletions(-)

commit ad62075378259e301e78620a7cfe5bc9ddc4164f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 2 14:07:38 2012 +0000

    interactive/actor: Show event and animation API

 tests/interactive/test-actor.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 9872d7eb1b31112f3f72855ef00334f39cdb949f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 2 11:18:00 2012 +0000

    docs: Clarify actor map and unmap methods
    
    ClutterActor stopped requiring to override the map and unmap virtual
    functions some time ago.
    
    Now that ClutterActor implements the Container interface, overriding map
    and unmap to control the MAPPED state of the children is pretty much
    going to be a source of bugs and misunderstandings.
    
    Plus, the ordering of the unmap, destroy, dispose, and finalize calls
    should be be documented properly.
    
    The documentation should clarify all that.

 clutter/clutter-actor.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 242de47c032eb750bd825a1d26b4b911e80527b9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 2 11:07:14 2012 +0000

    docs: Update the actor invariants
    
    • Clear up what's deprecated.
    • Remove mentions of set_parent/unparent, and use add_child/remove_child
      instead.
    • Clarify that reparent may not touch the MAPPED state.

 doc/actor-invariants.txt | 55 ++++++++++++++----------------------------------
 1 file changed, 16 insertions(+), 39 deletions(-)

commit 4b6156a57a00214297c696f20e374ad645b97019
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Thu Jan 12 18:15:55 2012 -0800

    introspection: add some missing annotations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667840

 clutter/clutter-actor.c                   | 20 ++++++++++----------
 clutter/clutter-list-model.c              |  4 ++--
 clutter/deprecated/clutter-timeout-pool.c |  2 +-
 3 files changed, 13 insertions(+), 13 deletions(-)

commit 2475443a873fdf57226c470caa964124c7a9547a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 17:03:14 2012 +0000

    Clean up the clutter API reference Makefile.am

 doc/reference/clutter/Makefile.am | 68 +++++++++++++--------------------------
 1 file changed, 23 insertions(+), 45 deletions(-)

commit bb2d807d2ab4ee13eea02bda7c65b562b7f503ae
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 16:44:43 2012 +0000

    docs: Add an image for the XIncluded code

 clutter/clutter-actor.c              |   4 ++++
 doc/reference/clutter/Makefile.am    |   6 ++++--
 doc/reference/clutter/test-actor.png | Bin 0 -> 5081 bytes
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 59f3488fa954b98220d1ec6298214b38cd402cfb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 16:44:07 2012 +0000

    docs: Add private macro CLUTTER_PRIVATE_FIELD

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 76c8b17144a26bb9cca712e8349d23f3df9b493a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 16:32:48 2012 +0000

    docs: XInclude test-actor inside the Actor's description

 clutter/clutter-actor.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 5974cfc97be14bed6aade7f6e85622d3f72e138f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 16:30:05 2012 +0000

    docs: Add an example to the Actor description

 clutter/clutter-actor.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 341faaa0898c19a0c2c569460a0c4f08a7b8e23c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 12:45:08 2012 +0000

    actor: Add diagnostic message for "behaviours" in ClutterScript
    
    Behaviours have long since been deprecated; we should notify the user
    that still uses behaviours in ClutterScript definitions.

 clutter/clutter-actor.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 11239d8da650ecf5d467fd8a131b30691e28dcbd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 12:35:17 2012 +0000

    actor: Do not unmap/unrealize twice on destruction
    
    When calling clutter_actor_destroy(), ClutterActor calls
    update_map_state() on itself to unset the REALIZED and MAPPED states,
    prior to running the dispose() implementation.
    
    The default dispose() will call remove_child() (either directly or
    through the Container implementation), which will check for the MAPPED
    state and then run update_map_state() again. We use the previously set
    MAPPED state to decide whether or not the parent should queue for a
    relayout/redraw when removing a visible children.
    
    If the MAPPED flag was cleared prior to remove_child(), though, it'll
    always be unset by the time we get to remove_child(), and this will
    cause missing redraws/relayouts; we were ignoring this prior the
    post-First Apocalypse changes because we were doing:
    
      if (was_mapped)
        clutter_actor_queue_relayout (parent);
    
      clutter_actor_queue_redraw (parent);
    
    which is obviously wrong. Once I removed that glaring brain damage from
    the remove_child() implementation, bugs started appearing — bugs that
    were probably the reason why we introduced that brain damage in the
    first place, instead of checking the source of those bugs.
    
    The obvious fix is to avoid clearing up the actor's state on destroy()
    until we remove the actor from its parent. This also reduces the amount
    of work we do, and the code paths that can potentially go wrong.

 clutter/clutter-actor.c | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 8ee6d106812788c0465845fccb9216c50fe8c27f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 18 22:52:49 2011 +0000

    actor: Move ClutterShader-related code out of clutter-actor.c
    
    Since the code dealing with ClutterShader is pretty self-contained, now,
    we can safely move it outside of the main ClutterActor source file and
    into its own. This will allow us to just drop a bunch of files when
    branching for 2.0.

 clutter/Makefile.am                           |   1 +
 clutter/clutter-actor-private.h               |   4 +
 clutter/clutter-actor.c                       | 320 +-------------------------
 clutter/deprecated/clutter-actor-deprecated.c | 318 +++++++++++++++++++++++++
 4 files changed, 326 insertions(+), 317 deletions(-)

commit 2ed9e0d557bab241b1a824a3c9ee154b617a1fd0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 10:34:45 2012 +0000

    x11: Remove CLUTTER_DISABLE_DEPRECATED usage
    
    Switch to CLUTTER_DEPRECATED and CLUTTER_DEPRECATED_FOR.

 clutter/x11/clutter-glx-texture-pixmap.h | 8 ++++----
 clutter/x11/clutter-x11.h                | 4 ----
 2 files changed, 4 insertions(+), 8 deletions(-)

commit 1d84bf2b04e614a93527f6c36f5a7d686a5f7cfd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 10:28:04 2012 +0000

    texture: Deprecate YUV setter
    
    The YUV support depends on the driver support, and not only not many
    drivers support YUV natively: the supported colorspaces are pretty much
    useless.
    
    The proper way to do YUV to RGB colorspace conversion on the GPU is to
    use a fragment shader; for that, ClutterTexture and Cogl provide enough
    API to achieve a good result - see the Clutter-GStreamer implementation,
    for instance.

 clutter/clutter-texture.c | 11 +++++++++++
 clutter/clutter-texture.h | 15 +++++++++------
 2 files changed, 20 insertions(+), 6 deletions(-)

commit c95b1265711bb845013f209b7e594b79c5a68eef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 31 10:23:48 2012 +0000

    texture: It's bytes per pixel, not bits
    
    Clarify the error message when checking the bpp argument.

 clutter/clutter-texture.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 986307f5e4abc5c1c86207bcdb6bb998e67b5364
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 30 10:55:30 2012 +0000

    Use ClutterActorIter inside layout managers
    
    Whenever it is possible, or convenient.

 clutter/clutter-bin-layout.c  |  42 ++++------
 clutter/clutter-box-layout.c  | 179 ++++++++++++++++++++++--------------------
 clutter/clutter-flow-layout.c |  18 ++---
 3 files changed, 119 insertions(+), 120 deletions(-)

commit 8b47ddbce6ac10e4f06f7b5e865492f022e5f54e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Jan 29 22:52:55 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1741 +++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 1733 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 1842 insertions(+), 1632 deletions(-)

commit 7165342948f01665f54ab5647083c82de6c2050c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jan 28 20:59:17 2012 +0100

    Updated Slovenian translation

 po/sl.po | 780 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 444 insertions(+), 336 deletions(-)

commit 842ff82d77b020f6033f418232c7a662fbfae078
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 27 17:07:33 2012 +0000

    docs: Mention the DELEGATE_LAYOUT flag in set_allocation()
    
    With code examples.

 clutter/clutter-actor.c | 46 +++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 45 insertions(+), 1 deletion(-)

commit 534ec4ac7a60a2d86d5562ed03eb5968b0000536
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 27 15:48:46 2012 +0000

    group: Set the NO_LAYOUT flag
    
    Since FixedLayout won't do that for us any more, and we have Group users
    and Group subclasses that may be relying on it.

 clutter/deprecated/clutter-group.c | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 31341986b114ac1df3ccce5e4e9553b97742f7d4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 27 15:45:11 2012 +0000

    fixed-layout: Remove the NO_LAYOUT flag set
    
    ClutterFixedLayout is the default layout manager for ClutterActor.
    
    Existing subclasses of ClutterActor will get a fixed layout manager
    regardless of whether they are going to use it, but since it sets the
    CLUTTER_ACTOR_NO_LAYOUT flag, it will introduce regressions on actors
    that perform their own layout management.
    
    The CLUTTER_ACTOR_NO_LAYOUT flag was a bit of a mistake in the first
    place, as it was introduced as a last minute workaround in the 1.0
    process to deal with broken stuff in Moblin. It's going to be a target
    for deprecation towards a removal when we start the 2.0 process.

 clutter/clutter-fixed-layout.c | 37 -------------------------------------
 1 file changed, 37 deletions(-)

commit 4360fcccf44fe17bb385a9780bb9b2d6f5e19bb7
Author: Kerrick Staley <mail@kerrickstaley.com>
Date:   Thu Dec 29 03:15:05 2011 -0600

    Fix spelling in Clutter Cookbook: ouest -> west

 doc/cookbook/examples/textures-split-go.c    | 26 +++++++++++++-------------
 doc/cookbook/examples/textures-sub-texture.c |  2 +-
 doc/cookbook/textures.xml                    |  2 +-
 3 files changed, 15 insertions(+), 15 deletions(-)

commit 5c9c5d24b23a3ddb365bd4ce0c5e2014d89a412e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 26 17:10:18 2012 +0000

    box: Use the ActorIter API
    
    And remove a useless override of the pick() virtual function while we're
    at it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668669

 clutter/deprecated/clutter-box.c | 23 +++--------------------
 1 file changed, 3 insertions(+), 20 deletions(-)

commit c6e14914740f0ac274cf92a294634b8955d85349
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 25 15:31:51 2012 +0000

    stage: Use the iterator API instead of the DOM one
    
    Whenever we're iterating over the children of the Stage we can now use
    the ClutterActorIter API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668669

 clutter/clutter-stage.c | 54 +++++++++++++++++++------------------------------
 1 file changed, 21 insertions(+), 33 deletions(-)

commit 58ffcfb10ed8b7fc0e299035c8b049967f8fc0ef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 25 15:27:57 2012 +0000

    actor: Add ClutterActorIter
    
    Iterating over children and ancestors of an actor is a relatively common
    operation. Currently, you only have one option: start a for() loop, get
    the first child of the actor, and advance to the next sibling for the
    list of children; or start a for() loop and advance to the parent of the
    actor.
    
    These operations can be easily done through the ClutterActor API, but
    they all require going through the public API, and performing multiple
    type checks on the arguments.
    
    Along with the DOM API, it would be nice to have an ancillary, utility
    API that uses an iterator structure to hold the state, and can be
    advanced in a loop.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668669

 clutter/clutter-actor.c                    | 186 +++++++++++++++++++++++++++++
 clutter/clutter-actor.h                    |  29 +++++
 clutter/clutter-types.h                    |  13 ++
 clutter/clutter.symbols                    |   4 +
 doc/reference/clutter/clutter-sections.txt |   7 ++
 tests/conform/Makefile.am                  |   1 +
 tests/conform/test-actor-iter.c            | 129 ++++++++++++++++++++
 tests/conform/test-conform-main.c          |  31 ++---
 8 files changed, 386 insertions(+), 14 deletions(-)

commit fa856e3f5ed71a3dbf022525aafbd27ad63410fe
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 27 11:48:14 2012 +0000

    box: Restore the ::destroy handler
    
    During the gutting of ClutterBox, the destroy and dispose implementation
    were removed. The former, especially, destroyed all children - which
    usually meant that the redraw queues for the childre was cleared as
    well. The removal introduced crashes when a Box was destroyed while its
    children were still queueing redraws.

 clutter/deprecated/clutter-box.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 9d355f12c6d1c804a3e0d205e2ff1c8e3f5e7538
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 27 11:42:33 2012 +0000

    conform: Avoid a deadlock
    
    Something is causing a deadlock when using clutter_threads_* API inside
    the offscreen redirect conformance test. The conformance tests are
    pretty insane anyway, so for the time being, let's put g_timeout_add()
    back in while we figure out the issue.

 tests/conform/test-offscreen-redirect.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ccc70a911d1314941d95b68a263a60c9b3c30a3e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 27 09:47:25 2012 +0000

    tests: Update to use the symbolic button names
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668692

 tests/interactive/test-box-layout.c | 2 +-
 tests/interactive/test-clip.c       | 4 ++--
 tests/interactive/test-easing.c     | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 54c9257f28f6ecb8cbbef0215357a62e2dfe4731
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 27 09:46:51 2012 +0000

    docs: Update to show the symbolic button names
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668692

 doc/cookbook/events.xml                         | 12 +++++++++---
 doc/cookbook/examples/animations-scaling-zoom.c |  4 ++--
 doc/reference/clutter/clutter-sections.txt      |  3 +++
 3 files changed, 14 insertions(+), 5 deletions(-)

commit 12a79a66d8f3466084088389f111729f0cc834b1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 27 09:46:10 2012 +0000

    drag-action: Use the symbolic constants for the button
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668692

 clutter/clutter-drag-action.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 60cddbd28e403abe17d22d96b7b8f2f9418abd2b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 27 09:43:06 2012 +0000

    event: Add symbolic names for left, middle, and right buttons
    
    Symbolic names are better than magic numbers, even if they are
    well-established and won't likely change.
    
    This maps to a commit in GTK+ that introduced the same names; it
    was decided to go for PRIMARY, MIDDLE, and SECONDARY because of
    the confusion that may arise when the button order gets flipped
    in left-handed configurations - the "left" button (i.e. 1) becomes
    the right-most button, and the "right" button (i.e. 3) becomes
    the left-most button.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668692

 clutter/clutter-event.h | 43 ++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 38 insertions(+), 5 deletions(-)

commit 90397bf06c1ed2de1740f5e659d2a819df5e4aec
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 27 07:30:02 2012 +0000

    doc/cookbook: Remove dead link

 doc/cookbook/actors.xml | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit bacd4dd6a0ae770c1c850963cefefa0c88d2a230
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 26 17:11:27 2012 +0000

    Remove unused variable

 clutter/x11/clutter-stage-x11.c | 2 --
 1 file changed, 2 deletions(-)

commit 78533cfd1a06a751582d3867f8a6c157dbb2501f
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 26 15:39:16 2012 +0000

    wayland: Correctly support fullscreening before the stage is realized
    
    Rather than just call into wl_shell_surface_set_fullscreen we must repeat all
    the steps to correctly fullscreen the surface.

 clutter/wayland/clutter-stage-wayland.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 797336762e40baf9c187b99883aa893c1f5de92a
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 26 14:23:57 2012 +0000

    wayland: Force a redraw of the stage to get the new sized buffer attached

 clutter/wayland/clutter-stage-wayland.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 65e27a830b341606dd1834fa442675eeebdc97c0
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 26 14:23:16 2012 +0000

    wayland: Use new stage state manipulation functions

 clutter/wayland/clutter-stage-wayland.c | 27 ++++++++++++---------------
 1 file changed, 12 insertions(+), 15 deletions(-)

commit 0094350467941139a53a173c725bed7a74d39e7b
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Jan 23 13:07:13 2012 +0000

    wayland: Refine fullscreen/unfullscreen to emit the state change events
    
    Also update the code to set the size of the stage to set it to the size of the
    output. In future versions of the Wayland protocol we'll get a configure
    message advising of us of the size we can be to achieve fullscreen.

 clutter/wayland/clutter-stage-wayland.c | 35 +++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

commit dd64ad1e4209793c436ad1cb90ba18ec85bbe936
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Jan 20 15:49:16 2012 +0000

    wayland: Support programmatically resizing the stage
    
    This will call into Cogl and ask it to resize the framebuffer which will then
    update the underlying EGL surface.

 clutter/wayland/clutter-stage-wayland.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 838fc6276feb746e66a50b38a560f3b5e33fb273
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jan 12 15:25:02 2012 +0000

    wayland: Support setting fullscreen before the stage is realized

 clutter/wayland/clutter-stage-wayland.c | 8 ++++++++
 clutter/wayland/clutter-stage-wayland.h | 1 +
 2 files changed, 9 insertions(+)

commit da19c3dfca17c93e2e4ffa18c73dc177f94d3003
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Dec 9 16:54:52 2011 +0000

    wayland: Implement set_fullscreen vfunc in ClutterStageWayland

 clutter/wayland/clutter-stage-wayland.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit cb4b9d758feae876aa660a9222f5d1d5233cf6f1
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Dec 9 16:52:29 2011 +0000

    wayland: Include the Wayland surface and shell surface in ClutterStageWayland

 clutter/wayland/clutter-stage-wayland.c | 3 +++
 clutter/wayland/clutter-stage-wayland.h | 3 +++
 2 files changed, 6 insertions(+)

commit 737c5e104512cf7319588b1921f26783e97c5e36
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Jan 20 18:22:50 2012 +0000

    wayland: Save the output mode so that it can be used to fullscreen windows

 clutter/wayland/clutter-backend-wayland.c | 52 +++++++++++++++++++++++++++++--
 clutter/wayland/clutter-backend-wayland.h |  3 ++
 2 files changed, 52 insertions(+), 3 deletions(-)

commit 3780e3e4f065e0f43ba007369e08878821f2dc5b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 26 10:29:50 2012 +0000

    x11: Unbreak the build
    
    The stage wrapper is on the ClutterStageCogl instance.

 clutter/x11/clutter-stage-x11.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit fdf89a9e06859f38453196f97e7b5ea692113729
Merge: 9206bd7 9dab334
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 26 08:42:00 2012 +0000

    Merge branch 'stage-state'
    
    * stage-state:
      docs: Update ClutterStageState flags
      wayland: Use the Stage state tracking
      gdk: Use the Stage state tracking
      win32: Use the Stage state tracking
      x11: Use the Stage state tracking
      osx: Use the Stage state tracking
      stage: Add state tracking

commit 9dab33401f69c7b03c7205ab3a521ec90a98b1e7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 26 08:33:45 2012 +0000

    docs: Update ClutterStageState flags

 clutter/clutter-enums.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2b547442a373794fd0b3dbb5799ad732bf091d03
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 26 08:27:39 2012 +0000

    wayland: Use the Stage state tracking

 clutter/wayland/clutter-input-device-wayland.c | 21 ++++++---------------
 1 file changed, 6 insertions(+), 15 deletions(-)

commit 8c184f53cb3d01ef8cbefbf856e173b7f6555a45
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 26 08:27:25 2012 +0000

    gdk: Use the Stage state tracking

 clutter/gdk/clutter-event-gdk.c | 32 +++++++++++---------------------
 1 file changed, 11 insertions(+), 21 deletions(-)

commit e73c2bf4ea3dcc72e32e1814e5cc6d64ed377e0f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 26 08:27:08 2012 +0000

    win32: Use the Stage state tracking

 clutter/win32/clutter-event-win32.c | 28 ++++++++--------------------
 clutter/win32/clutter-stage-win32.c | 31 ++++++++++++++++---------------
 clutter/win32/clutter-stage-win32.h |  1 -
 3 files changed, 24 insertions(+), 36 deletions(-)

commit 12e4f300a7d360b4efda714ce038da7057fb3ed9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 25 21:36:55 2012 +0000

    x11: Use the Stage state tracking

 clutter/x11/clutter-stage-x11.c | 72 +++++++++++++++--------------------------
 clutter/x11/clutter-stage-x11.h |  2 --
 2 files changed, 26 insertions(+), 48 deletions(-)

commit 2c9a693c14fb97dfb091ff00109e084de4b9caca
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 25 21:25:59 2012 +0000

    osx: Use the Stage state tracking

 clutter/osx/clutter-stage-osx.c | 60 ++++++++++++++++-------------------------
 clutter/osx/clutter-stage-osx.h |  2 --
 2 files changed, 23 insertions(+), 39 deletions(-)

commit 19ff11ac933cbfcc1f87c5914d36a85ee014f8e9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 25 21:24:47 2012 +0000

    stage: Add state tracking
    
    State changes on the Stage are currently deferred to the windowing
    system backends, but the code is generally the same, and it should
    be abstracted neatly inside the Stage class itself.
    
    There's also the extra caveat for backends that state changes on a
    Stage must also emit a ClutterEvent of type CLUTTER_STAGE_STATE, a
    requirement that needlessly complicates the backend code.

 clutter/clutter-stage-private.h |   7 +++
 clutter/clutter-stage.c         | 121 ++++++++++++++++++++++++++++++++++------
 2 files changed, 111 insertions(+), 17 deletions(-)

commit 9206bd7627e64a26784a4d6e3d66056f14db12e8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 25 23:09:38 2012 +0000

    tests/*: Use symbolic constants for sources and events
    
    And make sure to use clutter_threads_add_* instead of the bare
    g_*_add().

 tests/conform/test-anchors.c                |  4 ++--
 tests/conform/test-clutter-cairo-texture.c  |  4 ++--
 tests/conform/test-cogl-backface-culling.c  |  4 ++--
 tests/conform/test-cogl-blend-strings.c     |  4 ++--
 tests/conform/test-cogl-depth-test.c        |  4 ++--
 tests/conform/test-cogl-materials.c         |  4 ++--
 tests/conform/test-cogl-multitexture.c      |  4 ++--
 tests/conform/test-cogl-npot-texture.c      |  4 ++--
 tests/conform/test-cogl-offscreen.c         |  4 ++--
 tests/conform/test-offscreen-redirect.c     |  4 ++--
 tests/conform/test-pick.c                   |  7 +++---
 tests/conform/test-texture-fbo.c            |  4 ++--
 tests/conform/test-timeline-rewind.c        | 12 +++++-----
 tests/interactive/test-cogl-point-sprites.c |  7 +++---
 tests/interactive/test-cogl-shader-arbfp.c  | 20 ++++++++---------
 tests/interactive/test-cogl-shader-glsl.c   | 35 +++++++++++++++--------------
 tests/interactive/test-depth.c              | 10 ++++-----
 tests/interactive/test-pixmap.c             | 12 +++++-----
 tests/interactive/test-shader.c             |  6 ++---
 tests/micro-bench/test-text-perf.c          |  4 ++--
 tests/micro-bench/test-text.c               |  4 ++--
 tests/performance/test-common.h             |  4 ++--
 tests/performance/test-text-perf.c          |  5 +++--
 23 files changed, 88 insertions(+), 82 deletions(-)

commit b2bf2dbb089a0e4784586d40c7f28e02082a7734
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 25 23:09:03 2012 +0000

    docs: Use symbolic constants for sources and events

 doc/cookbook/examples/textures-split-go.c          |  8 ++---
 .../clutter/clutter-animation-tutorial.xml         | 40 +++++++++++-----------
 2 files changed, 24 insertions(+), 24 deletions(-)

commit 71323b8bfc942a20952c2152485ed0f23b5a834f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 25 23:17:42 2012 +0000

    x11/stage: Use symbolic constants for source function
    
    And make sure to use the clutter_threads_add_timeout(), so that the
    function is called under the Clutter lock.

 clutter/x11/clutter-stage-x11.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit a4d571aaf91541bf66b46949d1445a58d37f483d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 24 15:42:20 2012 +0000

    Post-release version bump to 1.9.9

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7179bd44c869ffce17b6a135735dbaec5f5c4411
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 24 15:20:35 2012 +0000

    Release Clutter 1.9.8 (snapshot)

 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit 18ec12a3b7d7a764c569c37aa280694f76403b41
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 24 15:12:41 2012 +0000

    cookbook: Start migrating to the new API
    
    Drop mentions of deprecated classes and API, and update the inline
    example code.
    
    Still some way to go, and the cookbook would probably benefit from
    having a recipe on how to use ClutterActor to build a scene.

 doc/cookbook/actors.xml     |  9 ++----
 doc/cookbook/animations.xml |  8 ++++--
 doc/cookbook/events.xml     |  4 +--
 doc/cookbook/layouts.xml    | 68 +++++++++++++++++++++------------------------
 4 files changed, 42 insertions(+), 47 deletions(-)

commit 1c01554e6a06db0e6afc9a76deea99daa44f9fba
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 24 15:01:00 2012 +0000

    cookbook: Begin porting examples to the new API
    
    Start dropping the usage of deprecated classes and API.

 doc/cookbook/examples/actors-composite-main.c      |  2 +-
 doc/cookbook/examples/animations-moving-animator.c | 43 ++++++++++++----------
 doc/cookbook/examples/cb-button.c                  |  6 +--
 doc/cookbook/examples/events-buttons-click.c       | 18 +++++----
 doc/cookbook/examples/events-mouse-scroll.c        |  6 +--
 .../examples/layouts-bind-constraint-allocation.c  | 12 +++---
 doc/cookbook/examples/layouts-box.c                | 41 +++++++++++----------
 7 files changed, 68 insertions(+), 60 deletions(-)

commit 75549456fd7697bf8ad1e5aaa1776b87554bcc37
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 24 14:52:33 2012 +0000

    actor: use paint opacity to paint the background color

 clutter/clutter-actor.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 414f8c1a0f5fe66ed578ac32410b51e5c987d6d0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 24 14:20:07 2012 +0000

    docs: Add missing function

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 825e1e62421e72d7fbfeb6d362264ca485ccf4de
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 24 14:13:53 2012 +0000

    docs: Inlined examples break enums gtk-doc

 clutter/clutter-enums.h | 35 ++---------------------------------
 1 file changed, 2 insertions(+), 33 deletions(-)

commit 8d8d4ae7e59d869c05251f9ad351f85e6784d136
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 16 11:27:08 2012 +0000

    script: Add loading from a resource
    
    GLib has gained support for compiling ancillary data files into the same
    binary blob as a library or as an executable.
    
    We should add this feature to ClutterScript, so that it's possible to
    bundle UI definitions with an application.

 clutter/clutter-script.c | 39 +++++++++++++++++++++++++++++++++++++++
 clutter/clutter-script.h |  3 +++
 clutter/clutter.symbols  |  1 +
 configure.ac             |  2 +-
 4 files changed, 44 insertions(+), 1 deletion(-)

commit 254ebd876556e1012947513d2855ab0c7fd83a1c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jan 24 09:36:31 2012 +0000

    actor: Remove unused function

 clutter/clutter-actor-private.h |  2 --
 clutter/clutter-actor.c         | 59 +----------------------------------------
 2 files changed, 1 insertion(+), 60 deletions(-)

commit 4330f45d0579cc20ecf049226cd399f985024a3c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 23 18:00:01 2012 +0000

    Override Container inside ClutterStage
    
    The only actor that results in a mix of the old Container API and the
    new Actor API is ClutterStage. By inheritance, a Stage is a Group, but
    we don't want it to behave like a Group - as it already overrides most
    of the Actor API, and the reason why it was made as a Group in the
    first place was convenience for adding/removing children.
    
    Given that touching Group to make it aware of the new Actor API has
    rapidly devolved into a struggle between a Demiurge that tries to
    avoid breakage and a Chaos that finds new and interesting ways to
    break ClutterGroup, let's declare API bankruptcy here and now.
    
    ClutterStage should override ClutterContainer methods, and use the
    layout management of ClutterFixedLayout as the proper class that it
    was meant to be ages ago. Let ClutterGroup rot in pieces.

 clutter/clutter-stage.c            | 105 +++++++++++++++++++++++++++++++++++--
 clutter/deprecated/clutter-group.c |  21 +-------
 2 files changed, 102 insertions(+), 24 deletions(-)

commit cfac97ffe105477c83c13504d8dbfd0b9933ca5e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jan 21 23:06:49 2012 +0000

    Allow mixing old and new API without falling apart
    
    Now that we reinstated Group to its "former glory", we need to ensure
    that applications using the deprecated containers with the new DOM API
    in ClutterActor can actually work - or, at least, not break horribly.
    
    This actually means making sure that ClutterStage and ClutterGroup can
    cope with the DOM, while retaining their old implementations, as well as
    their bizarre idiosyncrasies and their utter, utter brokenness.

 clutter/clutter-actor-private.h    |   2 +
 clutter/clutter-actor.c            | 546 +++++++++++++++++++++++++------------
 clutter/clutter-enums.h            |  49 +++-
 clutter/clutter-stage.c            |   3 +-
 clutter/deprecated/clutter-group.c |  62 ++++-
 5 files changed, 464 insertions(+), 198 deletions(-)

commit f5de10c05fdfa995108f6ce26a04f9ac08a3eb1e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 18:05:53 2012 +0000

    interactive/actors: Update the venerable test-actors

 tests/interactive/test-actors.c | 44 ++++++++++++++++++++++++-----------------
 1 file changed, 26 insertions(+), 18 deletions(-)

commit c7d8c097ecc947ad5c56a8d9d3b68666c3a9880e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jan 23 00:34:20 2012 +0100

    Updated Galician translations

 po/gl.po | 438 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 241 insertions(+), 197 deletions(-)

commit 29384c114f5c27b47ce074e7fd36fea4d40a25dc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 17:15:20 2012 +0000

    actor: NULL-ify sibling fields when removing
    
    Let's try and avoid leaving around stale pointers.

 clutter/clutter-actor.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 27784de94166e7e507b7db7aaa16b5cec4826e4b
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Jan 16 11:55:32 2012 +0000

    wayland: Update to changes in the SHM api
    
    The enum value for the SHM formats has changed to be more explicit about the
    format of the data.

 clutter/wayland/clutter-backend-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d7d753a49656d14c7ecf7461aaf4d39bbafb2af
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 16:00:19 2012 +0000

    group: Restore previous implementation
    
    Making Group just a proxy to Actor broke some behaviour that application
    and toolkit code was relying on. Let's keep Group around to fight
    another day.
    
    This commit fixes gnome-shell as far as I can test it.

 clutter/clutter-actor.c            |   4 +-
 clutter/deprecated/clutter-group.c | 373 +++++++++++++++++++++++++++++++++----
 2 files changed, 340 insertions(+), 37 deletions(-)

commit 3ff502fbb2d4d43813190141181060dd79801cd4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 14:55:57 2012 +0000

    stage: Restore the chain up inside allocate()
    
    Group does not have a custom allocate() any more, so it would end up
    calling the default allocate() implementation provided by ClutterActor
    anyway.

 clutter/clutter-stage.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8ebf46d74c507055d741ac2c86fd6230b3e27515
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 14:55:13 2012 +0000

    actor: Remove default layout-manager
    
    It's creating more issues than what it's trying to solve. At least for
    the time being, let's not set one.

 clutter/clutter-actor.c | 51 ++++++-------------------------------------------
 1 file changed, 6 insertions(+), 45 deletions(-)

commit bd348625c70a2f0f784d5780d3bda38f51fb347f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 14:53:41 2012 +0000

    group: Gut the implementation
    
    A Group is a just a ClutterActor with the layout-manager property set at
    instance initialization time. It doesn't need anything else from
    ClutterActor's vtable, except the slightly custom show_all/hide_all
    implementation, and a simplified get_paint_volume.

 clutter/deprecated/clutter-group.c | 138 +++++++++++--------------------------
 1 file changed, 41 insertions(+), 97 deletions(-)

commit 1afd3827c7c9e2e343ad0e8165d9d2ff4bd62b7f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 12:04:48 2012 +0000

    actor: Move underallocation warning to diagnostic mode
    
    This should keep down the warning messages — at least for the time
    being.

 clutter/clutter-actor.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c760657903b8d1599e25e54fcca01a5f546eb9aa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 20 12:02:49 2012 +0000

    actor: Use internal add/remove child in reparent()
    
    Do not use the public API; reparent() used to use unparent() and
    set_parent(), so we need to maintain the old behaviour.

 clutter/clutter-actor.c | 29 ++++++++++++++++++-----------
 1 file changed, 18 insertions(+), 11 deletions(-)

commit 683657cc301e928c1a9324d19285a3ecc2ea660e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 14:01:20 2012 +0000

    Post-release version bump to 1.9.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75d97ffdc509058915e2eee5c1480d83e6ee7776
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 13:42:37 2012 +0000

    Release Clutter 1.9.6 (snapshot)

 NEWS         | 35 +++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 36 insertions(+), 1 deletion(-)

commit a222e75e332685e458d027a3ac4b1aa8bd763269
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 13:41:45 2012 +0000

    build: Bump up the Cogl requirement
    
    Clutter requires a new version of Cogl's API, but we never bumped the
    requirement inside configure.ac.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 480514b721e985bad1c8aed69fbee1bbb24260c0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 13:40:02 2012 +0000

    stage: Use clutter_actor_set_allocation()
    
    Instead of chaining up, given that we want to bypass chaining up and
    just set the allocation. This also allows us to bail out of the
    overridden allocate vfunc check, given that we want the default Actor
    behaviour to apply - including eventual layout manager delegates.

 clutter/clutter-stage.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit f7bae2a064f4cdf17d854414d3a9acee690649b7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 13:39:14 2012 +0000

    actor: Fix the has_overridden_allocate check

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit acf8aff6d5427ee3768057eb9de49612cb60793d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 13:14:47 2012 +0000

    docs: Add clutter_actor_set_allocation()

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit b206a3d025d416098d8e77f7e668d5ccd7dd3998
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 13:14:33 2012 +0000

    symbols: Add clutter_actor_set_allocation()

 clutter/clutter.symbols | 1 +
 1 file changed, 1 insertion(+)

commit 67eeea6b6290ef916fde04d684ecb3bc3ac8656d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 19 12:40:32 2012 +0000

    actor: Maintain behaviour of old allocate() implementations
    
    The usual way to implement a container actor is to override the
    allocate() virtual function, chain up, and then allocate the actor's
    children.
    
    Clutter now has the ability to delegate layout management to
    ClutterLayoutManager directly; in the allocation, this is done by
    checking whether the actor has children, and then call
    clutter_layout_manager_allocate() from within the default implementation
    of the ClutterActor::allocate() vfunc. The same vfunc that everyone, has
    been chaining up to.
    
    Whoopsie.
    
    Well, we can check if there's a layout manager, and if it's NULL, we
    bail out. Except that there's a default layout manager, and it's the
    fixed layout manager, so that classes like Group and Stage work by
    default.
    
    Double whoopsie.
    
    The fix for this scenario is a bit nasty; we have to check if the actor
    class has overridden the allocate() vfunc or not, before actually
    looking at the layout manager. This means that classes that override the
    allocate() vfunc are expected to do everything that ClutterActor's
    default implementation does - which I think it's a fair requirement to
    have.
    
    For newly written code, though, it would probably be best if we just
    provided a function that does the right thing by default, and that
    you're supposed to be calling from within the allocate() vfunc
    implementation, if you ever chose to override it. This new function,
    clutter_actor_set_allocation(), should come with a warning the size of
    Texas, to avoid people thinking it's a way to override the whole "call
    allocate() on each child" mechanism. Plus, it should check if we're
    inside an allocation sequence, and bail out if not.

 clutter/clutter-actor.c | 272 +++++++++++++++++++++++++++++++++++++-----------
 clutter/clutter-actor.h |   3 +
 2 files changed, 216 insertions(+), 59 deletions(-)

commit 70679dc68ca805f0669cf9f94b4e441a50ed82f9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 18 16:05:12 2012 +0000

    actor: Be more conservative with the default paint volume
    
    Check the allocation, when one is being used to initialize the paint
    volume.

 clutter/clutter-actor.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit eafb0ee734a6a5c04a92216b4425bd675c1c4999
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jan 18 12:39:55 2012 +0100

    Updated Spanish translation

 po/es.po | 288 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 164 insertions(+), 124 deletions(-)

commit 7e4260ee8a594aa7f32b68c231a5b152055fb593
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jan 17 22:54:44 2012 +0000

    build: Fix up the test rules for private deps
    
    Thanks to diegoe for the help with testing.

 configure.ac | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit f6ae8cf62180a6a9465b40f01129f15ddbefc2d5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jan 17 23:24:14 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit d7e6deef9c448bfcd07cb33c5dc58667fcccdcb4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jan 17 21:59:37 2012 +0000

    build: Add private deps to cflags and libs
    
    If we go through the whole exercise of having private dependencies, we
    should at least use the compiler flags and linker flags that those
    dependencies give us when building Clutter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668137

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7d9eab36d187a16161dfb58230fd16cef17407b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 18:46:41 2012 +0000

    actor: Add :first-child and :last-child properties
    
    Toolkits tracking first and last children of a ClutterActor can use
    these properties to get notification of hierarchy changes.

 clutter/clutter-actor.c | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

commit bb8abe832ec11cdc9c336cc949ce913ef4e131e7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 18:13:42 2012 +0000

    actor: Do not use ::constructed
    
    If we want to set a default layout manager, we need to do so inside
    init(), as it's not guaranteed that people subclassing Actor and
    overriding ::constructed will actually chain up as they should.

 clutter/clutter-actor.c | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

commit 7dd06de6d58c7d1ab9c3615ac87a45331244789d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 16:54:30 2012 +0000

    interactive: Drop more deprecated classes

 tests/interactive/test-constraints.c | 13 +++++++------
 tests/interactive/test-depth.c       | 21 +++++++++------------
 tests/interactive/test-state.c       | 10 +++++++---
 3 files changed, 23 insertions(+), 21 deletions(-)

commit 8f1575b970936762039083df49925afaec9c48f7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 16:20:41 2012 +0000

    interactive: Use ClutterActor instead of deprecated classes

 tests/interactive/test-actors.c    |  2 +-
 tests/interactive/test-scrolling.c | 14 ++++++++------
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 8492b17ae23bf154d11286a4ab530c42c31c107c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 16:20:19 2012 +0000

    conform/actor-size: Do not use Rectangle
    
    Use ClutterActor directly, instead.

 tests/conform/test-actor-size.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 629ded568e30a845337e41f04b04b5fcc20a82d4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 16:13:55 2012 +0000

    actor: Provide a better default pick() behaviour
    
    The default pick() behaviour does not take into consideration the
    children of a ClutterActor because the existing containter actors
    usually override pick(), chain up, and then paint their children.
    
    With ClutterActor now a concrete class, though, we need a way to pick
    its children without requiring a sub-class; we could simply iterate over
    the children inside the default pick() implementation, but this would
    lead to double painting, which is not acceptable.
    
    A moderately gross hack is to check if the Actor instance did override
    the pick() implementation, and if it is not the case, paint the children
    in pick mode.

 clutter/clutter-actor.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 0f39f20db6c906c3f32c9376a1cca94ce4c1a14f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 16:11:29 2012 +0000

    actor: Deprecate show_all()/hide_all()
    
    The hide_all() method is pretty much pointless, as hiding an actor will
    automatically prevent its children from being painted. The show_all()
    method would only be marginally useful, if actors weren't set to be
    visible by default when added to another actor - which was the case when
    we introduced show_all() and hide_all().

 clutter/clutter-actor.c            | 5 +++++
 clutter/clutter-actor.h            | 8 ++++----
 clutter/deprecated/clutter-actor.h | 6 ++++++
 3 files changed, 15 insertions(+), 4 deletions(-)

commit d363279fd308922af22c934d73715ea3833b7235
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jan 17 17:12:52 2012 +0100

    Updated Spanish translation

 po/es.po | 124 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 63 insertions(+), 61 deletions(-)

commit 41bef2b23ad8a75cce14b54a581527468790c3ad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 14:44:28 2012 +0000

    Post-release version bump to 1.9.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1854ce2d06d6c0badab174aa6c38dd6a46963284
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 14:32:19 2012 +0000

    Release Clutter 1.9.4 (snapshot)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 696f9e84c938808c645e66e3d2dd2a78ceafc154
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 14:21:02 2012 +0000

    text: Fix the buffer length check on paint

 clutter/clutter-text.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f0ba2da0fece26167b3b2a44f3eb00ef1202702
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 14:17:20 2012 +0000

    script: Fix a segfault
    
    Accessing a variable before it is being set is not a great plan.

 clutter/clutter-script-parser.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 37d94c6b870f79f0d3cce4a9dace36633cac9319
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 12:23:28 2012 +0000

    text-buffer: Fix the Since annotations

 clutter/clutter-text-buffer.c | 82 +++++++++++++++++++++++--------------------
 1 file changed, 44 insertions(+), 38 deletions(-)

commit b03aa254692a47f60464d04e67f5a45ec842ede7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 12:19:35 2012 +0000

    Update the NEWS file

 NEWS | 74 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 74 insertions(+)

commit 5085c11bdec3ca772cff428833926a38efb5bf93
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 12:00:54 2012 +0000

    Add ClutterTextBuffer to the API reference

 clutter/clutter.symbols                    |  3 +++
 doc/reference/clutter/clutter-docs.xml.in  |  1 +
 doc/reference/clutter/clutter-sections.txt | 32 ++++++++++++++++++++++++++++++
 doc/reference/clutter/clutter.types        |  1 +
 4 files changed, 37 insertions(+)

commit 57f5813058137aa8f0f13547b8e64f539d1a6870
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 11:56:23 2012 +0000

    Update clutter.symbols for TextBuffer

 clutter/clutter.symbols | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 40b023a33eb154b7ef0288181920fd1527cf6044
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 11:52:37 2012 +0000

    interactive/text: Remove spurious g_object_unref()

 tests/interactive/test-text.c | 2 --
 1 file changed, 2 deletions(-)

commit c073764369ee5969aa40ab90bcbbd1d9ffb22518
Author: Stef Walter <stefw@collabora.co.uk>
Date:   Wed Jun 15 10:06:31 2011 +0100

    text: Implement ClutterTextBuffer
    
     * Abstracts the buffer for text in ClutterText
     * Allows implementation of undo/redo.
     * Allows use of non-pageable memory for text
       in the case of sensitive passwords.
     * Implement a test with two ClutterText using the same
       buffer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652653

 clutter/Makefile.am           |   6 +-
 clutter/clutter-marshal.list  |   2 +
 clutter/clutter-text-buffer.c | 764 ++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-text-buffer.h | 139 ++++++++
 clutter/clutter-text.c        | 693 ++++++++++++++++++++------------------
 clutter/clutter-text.h        |   6 +-
 tests/interactive/test-text.c |  24 +-
 7 files changed, 1304 insertions(+), 330 deletions(-)

commit d95bdf3a07ac82591886eb8f5bc4fab9fc98e62f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jan 17 12:52:01 2012 +0100

    Updated Spanish translation

 po/es.po | 766 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 415 insertions(+), 351 deletions(-)

commit 6b5b2910290dfe4afe494b8660bb65c4dba331bb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 17 11:49:05 2012 +0000

    Update clutter.symbols

 clutter/clutter.symbols | 106 ++++++++++++++++--------------------------------
 1 file changed, 36 insertions(+), 70 deletions(-)

commit 89e4bc3dcda824d687006e151e57effeaa3efd1c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jan 17 01:44:53 2012 +0100

    Updated Galician translations

 po/gl.po | 537 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 300 insertions(+), 237 deletions(-)

commit 2d6ad03e863d0d0990d1b234a9e57de31a8669e3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jan 17 01:29:26 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1dfc503df1085e197f291bc92a3af5495ec7f11d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 16 23:49:49 2012 +0000

    Fix compiler warnings
    
    When dereferencing GArray.data to a C structure you need a double cast
    from guint8* to void*, and then from void* to the actual type. This
    avoids compiler warnings, especially when using clang on OSX.

 clutter/clutter-script-parser.c |  3 ++-
 clutter/clutter-state.c         | 31 ++++++++++++++++---------------
 clutter/clutter-table-layout.c  | 14 +++++++-------
 clutter/clutter-timeline.c      |  2 +-
 4 files changed, 26 insertions(+), 24 deletions(-)

commit eb489a40debd05735f9eed6f54ac4cae19e8be6e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 3 14:51:37 2012 +0000

    docs: Move deprecated sections to the proper location

 doc/reference/clutter/clutter-docs.xml.in | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit f41061b8dfbe972bbd58d802b4191cdf86a3c4b4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 3 14:36:32 2012 +0000

    actor: Deprecated push/pop internal methods
    
    The concept of "internal child" only meant anything when we had a
    separate API for containers and actors. Now that we plugged that
    particular hole, we can drop all the hacks we used to have in place
    to work around its design limitations.

 clutter/clutter-actor.c            | 12 +++++++++++-
 clutter/clutter-actor.h            |  3 ---
 clutter/deprecated/clutter-actor.h |  6 ++++++
 3 files changed, 17 insertions(+), 4 deletions(-)

commit ad2cfc01506ad08e91469bf269fcd50a0f337cfe
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 3 14:31:06 2012 +0000

    docs: Fixes for the API reference

 clutter/clutter-actor.c                    | 16 +++++++++++++++-
 doc/reference/clutter/clutter-sections.txt | 22 ++++++++++------------
 2 files changed, 25 insertions(+), 13 deletions(-)

commit ea6ddd15349da9d5088800905e54efbd1b955a15
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 3 14:29:39 2012 +0000

    actor: Add boxed margin accessors
    
    It can be convenient to be able to set, or get, all the components of an
    actor's margin at the same time; since we already have a boxed type for
    storing a margin, an accessors pair based on it is not a complicated
    addition to the API.

 clutter/clutter-actor.c | 84 +++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-actor.h |  4 +++
 2 files changed, 88 insertions(+)

commit 8de4b85175712785b754c339c5c49060e92616d2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 28 18:37:16 2011 +0000

    docs: Update the release notes

 README.in | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 25ca2f135cca1b88f09ecaf6f5ca0fa6a555b350
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 28 18:32:00 2011 +0000

    build: Add inclusion guards and license notices

 clutter/deprecated/clutter-actor.h     | 28 ++++++++++++++++++++++++++++
 clutter/deprecated/clutter-backend.h   | 28 ++++++++++++++++++++++++++++
 clutter/deprecated/clutter-container.h |  7 +++++--
 clutter/deprecated/clutter-group.h     | 27 ++++++++++++++++++++++++++-
 clutter/deprecated/clutter-main.h      | 25 +++++++++++++++++++++++++
 clutter/deprecated/clutter-stage.h     | 25 +++++++++++++++++++++++++
 6 files changed, 137 insertions(+), 3 deletions(-)

commit 6f4578838ca89aa42cf7ac80c908c4c3868d4dd2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 27 19:28:47 2011 +0000

    actor: Use proper internal API
    
    Inside the set_child_[above|below]_sibling() and set_child_at_index() we
    should be using the internal API for mutating the children list, instead
    of the delegate functions. This ensures that we go through a single,
    well-defined code path for all operations on the list of children of
    an actor.

 clutter/clutter-actor.c | 187 +++++++++++++++++++++++++++++-------------------
 1 file changed, 113 insertions(+), 74 deletions(-)

commit b835e1f8c4101c668589c2c760e251853c20474a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 27 18:57:32 2011 +0000

    Deprecate the old raise/lower API
    
    We have a replacement in ClutterActor, now.
    
    The old ClutterContainer API needs to be deprecated, and the raise() and
    lower() virtual functions need a default implementation, so we can check
    for implementations overriding them, by using the diagnostic mode like
    we do for add(), remove(), and foreach().
    
    The sort_depth_order() virtual function just doesn't do anything, as it
    should have been made ages ago.
    
    The Actor wrappers for the Container methods also need to be deprecated.

 clutter/clutter-actor.c                |  51 +++++----------
 clutter/clutter-actor.h                |   7 ---
 clutter/clutter-container.c            | 111 ++++++++++++++++++++++++++-------
 clutter/clutter-container.h            |  20 +++---
 clutter/deprecated/clutter-actor.h     |  14 +++++
 clutter/deprecated/clutter-container.h |  47 +++++++++-----
 6 files changed, 154 insertions(+), 96 deletions(-)

commit 9a66392d49f7403ac35d31edd96b580e4921600b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 27 18:22:05 2011 +0000

    actor: Add new methods for changing the paint sequence
    
    ClutterActor provides four methods for changing the paint sequence order
    of its children:
    
      raise_top()
      raise()
      lower()
      lower_bottom()
    
    The first and last one being just wrappers around raise() and lower(),
    respectively. These methods have various issues: they omit the parent,
    preferring to retrieve it from the actor passed as the first argument;
    this does not match the new style of API introduced to operate on the
    list of children of an actor.
    
    Additionally, the raise() and lower() methods of ClutterActor call into
    the Container interface, and are not really aptly named (raise() in
    particular collides with the completely unrelated 'raise' keyword in
    Python, and usually needs to be wrapped in order to be used at all).
    
    Furthermore, we need public methods that Container can call from its
    default implementation, as well as methods to port current Container
    implementations.
    
    Finally, since we have insert_child_at_index(), we should also have an
    equivalent set_child_at_index() as well.

 clutter/clutter-actor.c          | 102 +++++++++++++++++++++++++++++++++++++++
 clutter/clutter-actor.h          |  10 ++++
 tests/conform/test-actor-graph.c |  10 ++--
 3 files changed, 118 insertions(+), 4 deletions(-)

commit fa1792c3949c551763c812188429db447566d1ef
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 27 11:28:36 2011 +0000

    actor: Use flags to control add/remove child
    
    The internal versions of add_child() and remove_child() currently use
    boolean arguments to control things like the ChildMeta instances and
    the emissions of signals; using more than one boolean argument is an
    indication that you need flags to avoid readability issues, as well as
    providing a way to add new behaviours without a combinatorial explosion
    of arguments, later on.

 clutter/clutter-actor.c | 124 +++++++++++++++++++++++++++++++-----------------
 1 file changed, 80 insertions(+), 44 deletions(-)

commit 72fa75c034ad0a3d94f4966e6644626e85b5b0e7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Dec 21 17:07:25 2011 +0000

    actor: Remove automagic "expand" flag
    
    I don't feel comfortable with this feature, and its implementation
    still has too many rough edges. We can safely punt it for now, and
    introduce it at a later point, as it doesn't block existing features
    or API.

 clutter/clutter-actor.c          | 471 +--------------------------------------
 clutter/clutter-actor.h          |  10 -
 clutter/clutter-box-layout.c     |  57 +----
 clutter/clutter-layout-manager.c |  16 --
 clutter/clutter-layout-manager.h |  10 +-
 clutter/clutter-table-layout.c   |  42 +---
 6 files changed, 14 insertions(+), 592 deletions(-)

commit 72b523c9e9b9d5f7688090e181bd80e4ab94b83e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 18:42:53 2011 +0000

    table-layout: Override compute_expand()
    
    The TableLayout has two expansion flags that need to be taken into
    consideration when computing the Actor expansion flags.

 clutter/clutter-table-layout.c | 56 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 48 insertions(+), 8 deletions(-)

commit 5f79f6ee3715dad19d0b471bbea91a5363e29cf9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 18:41:51 2011 +0000

    box-layout: Override compute_expand()
    
    ClutterBoxLayout has an expansion flag, and we need to take that into
    consideration when computing the Actor expansion flags.

 clutter/clutter-box-layout.c | 57 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 55 insertions(+), 2 deletions(-)

commit 508f09f0a0c326b9a04cf021d134611e75690dd5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 18:40:11 2011 +0000

    actor: Ask the LayoutManager to compute the expansion flags
    
    If an actor has a layout manager, we want to involve the delegate object
    into the lazy computation of the expansion flags state.

 clutter/clutter-actor.c | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit 29561165611b6c76315664271cc130bf37cf5c1e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 18:38:47 2011 +0000

    layout-manager: Add compute_expand() vfunc
    
    This virtual function will let layout managers with legacy expansion
    flags be able to influence the lazy computation of the expansion flags
    on ClutterActor.

 clutter/clutter-layout-manager.c | 16 ++++++++++++++++
 clutter/clutter-layout-manager.h | 12 +++++++++---
 2 files changed, 25 insertions(+), 3 deletions(-)

commit fd5e422b9fc58bec4cd98d626226b0ae03766e98
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 17:05:48 2011 +0000

    actor: Paint the background color in the paint class handler
    
    We need to paint the background color in the default class handler for
    two reasons: it's logically appropriate, and we don't want actor
    subclasses overriding the ::paint class handler to change behaviour only
    because somebody decided to set the background color.

 clutter/clutter-actor.c | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 2aaf359272aa3b7a38e472bed10aff69caa7303b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 15:59:15 2011 +0000

    docs: Update the release notes

 README.in | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit e6082fe42f9fbee6b3e01ca86118fab455cca4b0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 15:49:20 2011 +0000

    docs: Clean up ClutterContainer's description
    
    The API to add/remove/iterate over children is in ClutterActor, now.

 clutter/clutter-container.c | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 7f092af15b46daba025d41646bb18c5d7ebb4d03
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 15:21:06 2011 +0000

    container: Add diagnostic warnings for deprecated vfuncs
    
    The old add(), remove(), and foreach() virtual functions are deprecated;
    ClutterContainer should warn if the public API detects that the vfuncs
    have been overridden.
    
    Strictly speaking, it's still legal to override those vfuncs: you can
    chain up to the default vtable, or you could just provide an equivalent
    implementation. The goal is to avoid having to override the Container
    interface, until we can safely deprecate it and remove it in Clutter
    2.0.

 clutter/clutter-container.c | 51 ++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 48 insertions(+), 3 deletions(-)

commit 477c60c185fd666bf9ce207915cbffca4e8aaa02
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 15:04:24 2011 +0000

    container: Provide default implementation of vfuncs
    
    Instead of making ClutterActor implement the basic add/remove/foreach
    virtual functions of ClutterContainer, we can simply do that from
    within the ClutterContainer implementation.

 clutter/clutter-actor.c     | 49 ------------------------
 clutter/clutter-container.c | 92 +++++++++++++++++++++++++++++----------------
 2 files changed, 59 insertions(+), 82 deletions(-)

commit 959f875cbcfd5c5b11818b589aeb6a284d046695
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 14:58:08 2011 +0000

    container: Deprecate more methods
    
    The get_children(), foreach(), and foreach_with_internals() methods and
    virtual functions are superceded by the Actor API, and should not be
    used in newly written code.

 clutter/clutter-container.c            | 15 +++++++++++++--
 clutter/clutter-container.h            | 17 +++++------------
 clutter/deprecated/clutter-container.h | 13 +++++++++++++
 3 files changed, 31 insertions(+), 14 deletions(-)

commit 4eaa899871924304f4eb635fdaad3ef0663de51a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 20 14:57:38 2011 +0000

    group: Use Actor.remove_all_children()
    
    To implement the remove_all() method.

 clutter/deprecated/clutter-group.c | 18 +++---------------
 1 file changed, 3 insertions(+), 15 deletions(-)

commit 1979faee0065d34b211e205d64f5484a58285480
